Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GMFGenPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  GMFGenPackageImpl

public interface GMFGenPackage
extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `GMFGenFactory`
** Generated **
Model:
  kind="package" annotation="http://www.eclipse.org/emf/2004/EmfaticAnnotationMap constraints='http://www.eclipse.org/gmf/2005/constraints' meta='http://www.eclipse.org/gmf/2005/constraints/meta' deprecated='http://www.eclipse.org/gmf/2006/deprecated'" annotation="http://www.eclipse.org/gmf/2005/constraints import='http://www.eclipse.org/gmf/runtime/1.0.0/notation'"

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ATTRIBUTES` The meta object id for the '`Attributes`' class
`static int` `ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Attributes' class
`static int` `BATCH_VALIDATION` The meta object id for the '`Batch Validation`' class
`static int` `BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_CLASS_NAME` The feature id for the 'Marker Navigation Provider Class Name' attribute
`static int` `BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_PRIORITY` The feature id for the 'Marker Navigation Provider Priority' attribute
`static int` `BATCH_VALIDATION__METRIC_PROVIDER_CLASS_NAME` The feature id for the 'Metric Provider Class Name' attribute
`static int` `BATCH_VALIDATION__METRIC_PROVIDER_PRIORITY` The feature id for the 'Metric Provider Priority' attribute
`static int` `BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME` The feature id for the 'Validation Decorator Provider Class Name' attribute
`static int` `BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_PRIORITY` The feature id for the 'Validation Decorator Provider Priority' attribute
`static int` `BATCH_VALIDATION__VALIDATION_DECORATORS` The feature id for the 'Validation Decorators' attribute
`static int` `BATCH_VALIDATION__VALIDATION_ENABLED` The feature id for the 'Validation Enabled' attribute
`static int` `BATCH_VALIDATION__VALIDATION_PROVIDER_CLASS_NAME` The feature id for the 'Validation Provider Class Name' attribute
`static int` `BATCH_VALIDATION__VALIDATION_PROVIDER_PRIORITY` The feature id for the 'Validation Provider Priority' attribute
`static int` `BATCH_VALIDATION_FEATURE_COUNT` The number of structural features of the 'Batch Validation' class
`static int` `COLOR_ATTRIBUTES` The meta object id for the '`Color Attributes`' class
`static int` `COLOR_ATTRIBUTES__BACKGROUND_COLOR` The feature id for the 'Background Color' attribute
`static int` `COLOR_ATTRIBUTES__FOREGROUND_COLOR` The feature id for the 'Foreground Color' attribute
`static int` `COLOR_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Color Attributes' class
`static int` `COMPOSITE_FEATURE_LABEL_MODEL_FACET` The meta object id for the '`Composite Feature Label Model Facet`' class
`static int` `COMPOSITE_FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN` The feature id for the 'Edit Pattern' attribute
`static int` `COMPOSITE_FEATURE_LABEL_MODEL_FACET__META_FEATURES` The feature id for the 'Meta Features' reference list
`static int` `COMPOSITE_FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN` The feature id for the 'View Pattern' attribute
`static int` `COMPOSITE_FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Composite Feature Label Model Facet' class
`static int` `COMPOSITE_FEATURE_MODEL_FACET` The meta object id for the '`Composite Feature Model Facet`' class
`static int` `COMPOSITE_FEATURE_MODEL_FACET__META_FEATURES` The feature id for the 'Meta Features' reference list
`static int` `COMPOSITE_FEATURE_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Composite Feature Model Facet' class
`static int` `DEFAULT_SIZE_ATTRIBUTES` The meta object id for the '`Default Size Attributes`' class
`static int` `DEFAULT_SIZE_ATTRIBUTES__HEIGHT` The feature id for the 'Height' attribute
`static int` `DEFAULT_SIZE_ATTRIBUTES__WIDTH` The feature id for the 'Width' attribute
`static int` `DEFAULT_SIZE_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Default Size Attributes' class
`static int` `DESIGN_LABEL_MODEL_FACET` The meta object id for the '`Design Label Model Facet`' class
`static int` `DESIGN_LABEL_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Design Label Model Facet' class
`static int` `EDIT_PART_CANDIES` The meta object id for the '`Edit Part Candies`' class
`static int` `EDIT_PART_CANDIES__BASE_EDIT_HELPER_CLASS_NAME` The feature id for the 'Base Edit Helper Class Name' attribute
`static int` `EDIT_PART_CANDIES__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME` The feature id for the 'Base External Node Label Edit Part Class Name' attribute
`static int` `EDIT_PART_CANDIES__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME` The feature id for the 'Base Graphical Node Edit Policy Class Name' attribute
`static int` `EDIT_PART_CANDIES__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Base Item Semantic Edit Policy Class Name' attribute
`static int` `EDIT_PART_CANDIES__CANONICAL_EDIT_POLICY_CLASS_NAME` The feature id for the 'Canonical Edit Policy Class Name' attribute
`static int` `EDIT_PART_CANDIES__EDIT_PART_FACTORY_CLASS_NAME` The feature id for the 'Edit Part Factory Class Name' attribute
`static int` `EDIT_PART_CANDIES__EXTERNAL_NODE_LABEL_HOST_LAYOUT_EDIT_POLICY_CLASS_NAME` The feature id for the 'External Node Label Host Layout Edit Policy Class Name' attribute
`static int` `EDIT_PART_CANDIES__REFERENCE_CONNECTION_EDIT_POLICY_CLASS_NAME` The feature id for the 'Reference Connection Edit Policy Class Name' attribute
`static int` `EDIT_PART_CANDIES__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME` The feature id for the 'Reorient Connection View Command Class Name' attribute
`static int` `EDIT_PART_CANDIES__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME` The feature id for the 'Text Non Resizable Edit Policy Class Name' attribute
`static int` `EDIT_PART_CANDIES__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME` The feature id for the 'Text Selection Edit Policy Class Name' attribute
`static int` `EDIT_PART_CANDIES_FEATURE_COUNT` The number of structural features of the 'Edit Part Candies' class
`static int` `EDITOR_CANDIES` The meta object id for the '`Editor Candies`' class
`static int` `EDITOR_CANDIES__CREATION_WIZARD_CATEGORY_ID` The feature id for the 'Creation Wizard Category ID' attribute
`static int` `EDITOR_CANDIES__CREATION_WIZARD_CLASS_NAME` The feature id for the 'Creation Wizard Class Name' attribute
`static int` `EDITOR_CANDIES__CREATION_WIZARD_ICON_PATH` The feature id for the 'Creation Wizard Icon Path' attribute
`static int` `EDITOR_CANDIES__CREATION_WIZARD_PAGE_CLASS_NAME` The feature id for the 'Creation Wizard Page Class Name' attribute
`static int` `EDITOR_CANDIES__DIAGRAM_EDITOR_UTIL_CLASS_NAME` The feature id for the 'Diagram Editor Util Class Name' attribute
`static int` `EDITOR_CANDIES__DIAGRAM_FILE_CREATOR_CLASS_NAME` The feature id for the 'Diagram File Creator Class Name' attribute
`static int` `EDITOR_CANDIES__DOCUMENT_PROVIDER_CLASS_NAME` The feature id for the 'Document Provider Class Name' attribute
`static int` `EDITOR_CANDIES__EDITING_DOMAIN_ID` The feature id for the 'Editing Domain ID' attribute
`static int` `EDITOR_CANDIES__ELEMENT_CHOOSER_CLASS_NAME` The feature id for the 'Element Chooser Class Name' attribute
`static int` `EDITOR_CANDIES__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME` The feature id for the 'Init Diagram File Action Class Name' attribute
`static int` `EDITOR_CANDIES__LOAD_RESOURCE_ACTION_CLASS_NAME` The feature id for the 'Load Resource Action Class Name' attribute
`static int` `EDITOR_CANDIES__MATCHING_STRATEGY_CLASS_NAME` The feature id for the 'Matching Strategy Class Name' attribute
`static int` `EDITOR_CANDIES__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME` The feature id for the 'New Diagram File Wizard Class Name' attribute
`static int` `EDITOR_CANDIES__PREFERENCE_INITIALIZER_CLASS_NAME` The feature id for the 'Preference Initializer Class Name' attribute
`static int` `EDITOR_CANDIES__VISUAL_ID_REGISTRY_CLASS_NAME` The feature id for the 'Visual ID Registry Class Name' attribute
`static int` `EDITOR_CANDIES_FEATURE_COUNT` The number of structural features of the 'Editor Candies' class
`static GMFGenPackage` `eINSTANCE` The singleton instance of the package
`static int` `ELEMENT_TYPE` The meta object id for the '`Element Type`' class
`static int` `ELEMENT_TYPE__DEFINED_EXTERNALLY` The feature id for the 'Defined Externally' attribute
`static int` `ELEMENT_TYPE__DIAGRAM_ELEMENT` The feature id for the 'Diagram Element' container reference
`static int` `ELEMENT_TYPE__DISPLAY_NAME` The feature id for the 'Display Name' attribute
`static int` `ELEMENT_TYPE__UNIQUE_IDENTIFIER` The feature id for the 'Unique Identifier' attribute
`static int` `ELEMENT_TYPE_FEATURE_COUNT` The number of structural features of the 'Element Type' class
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `ENTRY_BASE` The meta object id for the '`Entry Base`' class
`static int` `ENTRY_BASE__CREATE_METHOD_NAME` The feature id for the 'Create Method Name' attribute
`static int` `ENTRY_BASE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `ENTRY_BASE__LARGE_ICON_PATH` The feature id for the 'Large Icon Path' attribute
`static int` `ENTRY_BASE__SMALL_ICON_PATH` The feature id for the 'Small Icon Path' attribute
`static int` `ENTRY_BASE__TITLE` The feature id for the 'Title' attribute
`static int` `ENTRY_BASE_FEATURE_COUNT` The number of structural features of the 'Entry Base' class
`static int` `FEATURE_LABEL_MODEL_FACET` The meta object id for the '`Feature Label Model Facet`' class
`static int` `FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN` The feature id for the 'Edit Pattern' attribute
`static int` `FEATURE_LABEL_MODEL_FACET__META_FEATURE` The feature id for the 'Meta Feature' reference
`static int` `FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN` The feature id for the 'View Pattern' attribute
`static int` `FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Feature Label Model Facet' class
`static int` `FEATURE_LINK_MODEL_FACET` The meta object id for the '`Feature Link Model Facet`' class
`static int` `FEATURE_LINK_MODEL_FACET__META_FEATURE` The feature id for the 'Meta Feature' reference
`static int` `FEATURE_LINK_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Feature Link Model Facet' class
`static int` `FEATURE_MODEL_FACET` The meta object id for the '`Feature Model Facet`' class
`static int` `FEATURE_MODEL_FACET__META_FEATURE` The feature id for the 'Meta Feature' reference
`static int` `FEATURE_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Feature Model Facet' class
`static int` `FIGURE_VIEWMAP` The meta object id for the '`Figure Viewmap`' class
`static int` `FIGURE_VIEWMAP__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `FIGURE_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME` The feature id for the 'Figure Qualified Class Name' attribute
`static int` `FIGURE_VIEWMAP__LAYOUT_TYPE` The feature id for the 'Layout Type' attribute
`static int` `FIGURE_VIEWMAP__REQUIRED_PLUGIN_IDS` The feature id for the 'Required Plugin IDs' attribute list
`static int` `FIGURE_VIEWMAP_FEATURE_COUNT` The number of structural features of the 'Figure Viewmap' class
`static int` `GEN_AUDIT_CONTAINER` The meta object id for the '`Gen Audit Container`' class
`static int` `GEN_AUDIT_CONTAINER__AUDITS` The feature id for the 'Audits' containment reference list
`static int` `GEN_AUDIT_CONTAINER__CHILD_CONTAINERS` The feature id for the 'Child Containers' containment reference list
`static int` `GEN_AUDIT_CONTAINER__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `GEN_AUDIT_CONTAINER__EDITOR` The feature id for the 'Editor' reference
`static int` `GEN_AUDIT_CONTAINER__ID` The feature id for the 'Id' attribute
`static int` `GEN_AUDIT_CONTAINER__NAME` The feature id for the 'Name' attribute
`static int` `GEN_AUDIT_CONTAINER__PARENT_CONTAINER` The feature id for the 'Parent Container' container reference
`static int` `GEN_AUDIT_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Gen Audit Container' class
`static int` `GEN_AUDIT_RULE` The meta object id for the '`Gen Audit Rule`' class
`static int` `GEN_AUDIT_RULE__CONTAINER` The feature id for the 'Container' container reference
`static int` `GEN_AUDIT_RULE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `GEN_AUDIT_RULE__ID` The feature id for the 'Id' attribute
`static int` `GEN_AUDIT_RULE__MESSAGE` The feature id for the 'Message' attribute
`static int` `GEN_AUDIT_RULE__NAME` The feature id for the 'Name' attribute
`static int` `GEN_AUDIT_RULE__RULE` The feature id for the 'Rule' containment reference
`static int` `GEN_AUDIT_RULE__SEVERITY` The feature id for the 'Severity' attribute
`static int` `GEN_AUDIT_RULE__TARGET` The feature id for the 'Target' containment reference
`static int` `GEN_AUDIT_RULE__USE_IN_LIVE_MODE` The feature id for the 'Use In Live Mode' attribute
`static int` `GEN_AUDIT_RULE_FEATURE_COUNT` The number of structural features of the 'Gen Audit Rule' class
`static int` `GEN_AUDITABLE` The meta object id for the '`Gen Auditable`' class
`static int` `GEN_AUDITABLE_FEATURE_COUNT` The number of structural features of the 'Gen Auditable' class
`static int` `GEN_AUDITED_METRIC_TARGET` The meta object id for the '`Gen Audited Metric Target`' class
`static int` `GEN_AUDITED_METRIC_TARGET__METRIC` The feature id for the 'Metric' reference
`static int` `GEN_AUDITED_METRIC_TARGET__METRIC_VALUE_CONTEXT` The feature id for the 'Metric Value Context' reference
`static int` `GEN_AUDITED_METRIC_TARGET_FEATURE_COUNT` The number of structural features of the 'Gen Audited Metric Target' class
`static int` `GEN_CHILD_CONTAINER` The meta object id for the '`Gen Child Container`' class
`static int` `GEN_CHILD_CONTAINER__CANONICAL_EDIT_POLICY_CLASS_NAME` The feature id for the 'Canonical Edit Policy Class Name' attribute
`static int` `GEN_CHILD_CONTAINER__CHILD_NODES` The feature id for the 'Child Nodes' reference list
`static int` `GEN_CHILD_CONTAINER__CONTAINED_NODES` The feature id for the 'Contained Nodes' reference list
`static int` `GEN_CHILD_CONTAINER__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_CHILD_CONTAINER__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_CHILD_CONTAINER__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_CHILD_CONTAINER__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_CHILD_CONTAINER__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_CHILD_CONTAINER__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_CHILD_CONTAINER__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_CHILD_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Gen Child Container' class
`static int` `GEN_CHILD_LABEL_NODE` The meta object id for the '`Gen Child Label Node`' class
`static int` `GEN_CHILD_LABEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME` The feature id for the 'Canonical Edit Policy Class Name' attribute
`static int` `GEN_CHILD_LABEL_NODE__CHILD_NODES` The feature id for the 'Child Nodes' reference list
`static int` `GEN_CHILD_LABEL_NODE__COMPARTMENTS` The feature id for the 'Compartments' reference list
`static int` `GEN_CHILD_LABEL_NODE__CONTAINED_NODES` The feature id for the 'Contained Nodes' reference list
`static int` `GEN_CHILD_LABEL_NODE__CONTAINERS` The feature id for the 'Containers' reference list
`static int` `GEN_CHILD_LABEL_NODE__DIAGRAM` The feature id for the 'Diagram' container reference
`static int` `GEN_CHILD_LABEL_NODE__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_CHILD_LABEL_NODE__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_CHILD_LABEL_NODE__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_CHILD_LABEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME` The feature id for the 'Graphical Node Edit Policy Class Name' attribute
`static int` `GEN_CHILD_LABEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_CHILD_LABEL_NODE__LABEL_ELEMENT_ICON` The feature id for the 'Label Element Icon' attribute
`static int` `GEN_CHILD_LABEL_NODE__LABEL_MODEL_FACET` The feature id for the 'Label Model Facet' containment reference
`static int` `GEN_CHILD_LABEL_NODE__LABEL_READ_ONLY` The feature id for the 'Label Read Only' attribute
`static int` `GEN_CHILD_LABEL_NODE__LABELS` The feature id for the 'Labels' containment reference list
`static int` `GEN_CHILD_LABEL_NODE__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_CHILD_LABEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_CHILD_LABEL_NODE__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_CHILD_LABEL_NODE__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_CHILD_LABEL_NODE_FEATURE_COUNT` The number of structural features of the 'Gen Child Label Node' class
`static int` `GEN_CHILD_NODE` The meta object id for the '`Gen Child Node`' class
`static int` `GEN_CHILD_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME` The feature id for the 'Canonical Edit Policy Class Name' attribute
`static int` `GEN_CHILD_NODE__CHILD_NODES` The feature id for the 'Child Nodes' reference list
`static int` `GEN_CHILD_NODE__COMPARTMENTS` The feature id for the 'Compartments' reference list
`static int` `GEN_CHILD_NODE__CONTAINED_NODES` The feature id for the 'Contained Nodes' reference list
`static int` `GEN_CHILD_NODE__CONTAINERS` The feature id for the 'Containers' reference list
`static int` `GEN_CHILD_NODE__DIAGRAM` The feature id for the 'Diagram' container reference
`static int` `GEN_CHILD_NODE__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_CHILD_NODE__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_CHILD_NODE__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_CHILD_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME` The feature id for the 'Graphical Node Edit Policy Class Name' attribute
`static int` `GEN_CHILD_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_CHILD_NODE__LABELS` The feature id for the 'Labels' containment reference list
`static int` `GEN_CHILD_NODE__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_CHILD_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_CHILD_NODE__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_CHILD_NODE__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_CHILD_NODE_FEATURE_COUNT` The number of structural features of the 'Gen Child Node' class
`static int` `GEN_COMMON_BASE` The meta object id for the '`Gen Common Base`' class
`static int` `GEN_COMMON_BASE__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_COMMON_BASE__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_COMMON_BASE__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_COMMON_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_COMMON_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_COMMON_BASE__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_COMMON_BASE__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_COMMON_BASE_FEATURE_COUNT` The number of structural features of the 'Gen Common Base' class
`static int` `GEN_COMPARTMENT` The meta object id for the '`Gen Compartment`' class
`static int` `GEN_COMPARTMENT__CAN_COLLAPSE` The feature id for the 'Can Collapse' attribute
`static int` `GEN_COMPARTMENT__CANONICAL_EDIT_POLICY_CLASS_NAME` The feature id for the 'Canonical Edit Policy Class Name' attribute
`static int` `GEN_COMPARTMENT__CHILD_NODES` The feature id for the 'Child Nodes' reference list
`static int` `GEN_COMPARTMENT__CONTAINED_NODES` The feature id for the 'Contained Nodes' reference list
`static int` `GEN_COMPARTMENT__DIAGRAM` The feature id for the 'Diagram' container reference
`static int` `GEN_COMPARTMENT__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_COMPARTMENT__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_COMPARTMENT__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_COMPARTMENT__HIDE_IF_EMPTY` The feature id for the 'Hide If Empty' attribute
`static int` `GEN_COMPARTMENT__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_COMPARTMENT__LIST_LAYOUT` The feature id for the 'List Layout' attribute
`static int` `GEN_COMPARTMENT__NEEDS_TITLE` The feature id for the 'Needs Title' attribute
`static int` `GEN_COMPARTMENT__NODE` The feature id for the 'Node' reference
`static int` `GEN_COMPARTMENT__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_COMPARTMENT__TITLE` The feature id for the 'Title' attribute
`static int` `GEN_COMPARTMENT__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_COMPARTMENT__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_COMPARTMENT_FEATURE_COUNT` The number of structural features of the 'Gen Compartment' class
`static int` `GEN_CONSTRAINT` The meta object id for the '`Gen Constraint`' class
`static int` `GEN_CONSTRAINT__BODY` The feature id for the 'Body' attribute
`static int` `GEN_CONSTRAINT__LANG_NAME` The feature id for the 'Lang Name' attribute
`static int` `GEN_CONSTRAINT__LANGUAGE` The feature id for the 'Language' attribute
`static int` `GEN_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Gen Constraint' class
`static int` `GEN_CONTAINER_BASE` The meta object id for the '`Gen Container Base`' class
`static int` `GEN_CONTAINER_BASE__CONTAINED_NODES` The feature id for the 'Contained Nodes' reference list
`static int` `GEN_CONTAINER_BASE__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_CONTAINER_BASE__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_CONTAINER_BASE__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_CONTAINER_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_CONTAINER_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_CONTAINER_BASE__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_CONTAINER_BASE__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_CONTAINER_BASE_FEATURE_COUNT` The number of structural features of the 'Gen Container Base' class
`static int` `GEN_DIAGRAM` The meta object id for the '`Gen Diagram`' class
`static int` `GEN_DIAGRAM__ABSTRACT_PARSER_CLASS_NAME` The feature id for the 'Abstract Parser Class Name' attribute
`static int` `GEN_DIAGRAM__BASE_EDIT_HELPER_CLASS_NAME` The feature id for the 'Base Edit Helper Class Name' attribute
`static int` `GEN_DIAGRAM__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME` The feature id for the 'Base External Node Label Edit Part Class Name' attribute
`static int` `GEN_DIAGRAM__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME` The feature id for the 'Base Graphical Node Edit Policy Class Name' attribute
`static int` `GEN_DIAGRAM__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Base Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_DIAGRAM__CANONICAL_EDIT_POLICY_CLASS_NAME` The feature id for the 'Canonical Edit Policy Class Name' attribute
`static int` `GEN_DIAGRAM__CHILD_NODES` The feature id for the 'Child Nodes' containment reference list
`static int` `GEN_DIAGRAM__COMPARTMENTS` The feature id for the 'Compartments' containment reference list
`static int` `GEN_DIAGRAM__CONTAINED_NODES` The feature id for the 'Contained Nodes' reference list
`static int` `GEN_DIAGRAM__CONTAINS_SHORTCUTS_TO` The feature id for the 'Contains Shortcuts To' attribute list
`static int` `GEN_DIAGRAM__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME` The feature id for the 'Contribution Item Provider Class Name' attribute
`static int` `GEN_DIAGRAM__CREATE_SHORTCUT_ACTION_CLASS_NAME` The feature id for the 'Create Shortcut Action Class Name' attribute
`static int` `GEN_DIAGRAM__CREATION_WIZARD_CATEGORY_ID` The feature id for the 'Creation Wizard Category ID' attribute
`static int` `GEN_DIAGRAM__CREATION_WIZARD_CLASS_NAME` The feature id for the 'Creation Wizard Class Name' attribute
`static int` `GEN_DIAGRAM__CREATION_WIZARD_ICON_PATH` The feature id for the 'Creation Wizard Icon Path' attribute
`static int` `GEN_DIAGRAM__CREATION_WIZARD_PAGE_CLASS_NAME` The feature id for the 'Creation Wizard Page Class Name' attribute
`static int` `GEN_DIAGRAM__DIAGRAM_EDITOR_UTIL_CLASS_NAME` The feature id for the 'Diagram Editor Util Class Name' attribute
`static int` `GEN_DIAGRAM__DIAGRAM_FILE_CREATOR_CLASS_NAME` The feature id for the 'Diagram File Creator Class Name' attribute
`static int` `GEN_DIAGRAM__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_DIAGRAM__DOCUMENT_PROVIDER_CLASS_NAME` The feature id for the 'Document Provider Class Name' attribute
`static int` `GEN_DIAGRAM__DOMAIN_DIAGRAM_ELEMENT` The feature id for the 'Domain Diagram Element' reference
`static int` `GEN_DIAGRAM__EDIT_COMMANDS_PACKAGE_NAME` The feature id for the 'Edit Commands Package Name' attribute
`static int` `GEN_DIAGRAM__EDIT_HELPERS_PACKAGE_NAME` The feature id for the 'Edit Helpers Package Name' attribute
`static int` `GEN_DIAGRAM__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_DIAGRAM__EDIT_PART_FACTORY_CLASS_NAME` The feature id for the 'Edit Part Factory Class Name' attribute
`static int` `GEN_DIAGRAM__EDIT_PART_PROVIDER_CLASS_NAME` The feature id for the 'Edit Part Provider Class Name' attribute
`static int` `GEN_DIAGRAM__EDIT_PART_PROVIDER_PRIORITY` The feature id for the 'Edit Part Provider Priority' attribute
`static int` `GEN_DIAGRAM__EDIT_PARTS_PACKAGE_NAME` The feature id for the 'Edit Parts Package Name' attribute
`static int` `GEN_DIAGRAM__EDIT_POLICIES_PACKAGE_NAME` The feature id for the 'Edit Policies Package Name' attribute
`static int` `GEN_DIAGRAM__EDITING_DOMAIN_ID` The feature id for the 'Editing Domain ID' attribute
`static int` `GEN_DIAGRAM__EDITOR_GEN` The feature id for the 'Editor Gen' container reference
`static int` `GEN_DIAGRAM__ELEMENT_CHOOSER_CLASS_NAME` The feature id for the 'Element Chooser Class Name' attribute
`static int` `GEN_DIAGRAM__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_DIAGRAM__ELEMENT_TYPES_CLASS_NAME` The feature id for the 'Element Types Class Name' attribute
`static int` `GEN_DIAGRAM__EXTERNAL_NODE_LABEL_HOST_LAYOUT_EDIT_POLICY_CLASS_NAME` The feature id for the 'External Node Label Host Layout Edit Policy Class Name' attribute
`static int` `GEN_DIAGRAM__ICON_PROVIDER_CLASS_NAME` The feature id for the 'Icon Provider Class Name' attribute
`static int` `GEN_DIAGRAM__ICON_PROVIDER_PRIORITY` The feature id for the 'Icon Provider Priority' attribute
`static int` `GEN_DIAGRAM__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME` The feature id for the 'Init Diagram File Action Class Name' attribute
`static int` `GEN_DIAGRAM__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_DIAGRAM__LINKS` The feature id for the 'Links' containment reference list
`static int` `GEN_DIAGRAM__LOAD_RESOURCE_ACTION_CLASS_NAME` The feature id for the 'Load Resource Action Class Name' attribute
`static int` `GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_CLASS_NAME` The feature id for the 'Marker Navigation Provider Class Name' attribute
`static int` `GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_PRIORITY` The feature id for the 'Marker Navigation Provider Priority' attribute
`static int` `GEN_DIAGRAM__MATCHING_STRATEGY_CLASS_NAME` The feature id for the 'Matching Strategy Class Name' attribute
`static int` `GEN_DIAGRAM__METRIC_PROVIDER_CLASS_NAME` The feature id for the 'Metric Provider Class Name' attribute
`static int` `GEN_DIAGRAM__METRIC_PROVIDER_PRIORITY` The feature id for the 'Metric Provider Priority' attribute
`static int` `GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_CLASS_NAME` The feature id for the 'Modeling Assistant Provider Class Name' attribute
`static int` `GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_PRIORITY` The feature id for the 'Modeling Assistant Provider Priority' attribute
`static int` `GEN_DIAGRAM__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME` The feature id for the 'New Diagram File Wizard Class Name' attribute
`static int` `GEN_DIAGRAM__NOTATION_VIEW_FACTORIES_PACKAGE_NAME` The feature id for the 'Notation View Factories Package Name' attribute
`static int` `GEN_DIAGRAM__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_CLASS_NAME` The feature id for the 'Notation View Provider Class Name' attribute
`static int` `GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_PRIORITY` The feature id for the 'Notation View Provider Priority' attribute
`static int` `GEN_DIAGRAM__PALETTE` The feature id for the 'Palette' containment reference
`static int` `GEN_DIAGRAM__PALETTE_PROVIDER_CLASS_NAME` The feature id for the 'Palette Provider Class Name' attribute
`static int` `GEN_DIAGRAM__PALETTE_PROVIDER_PRIORITY` The feature id for the 'Palette Provider Priority' attribute
`static int` `GEN_DIAGRAM__PARSER_PROVIDER_CLASS_NAME` The feature id for the 'Parser Provider Class Name' attribute
`static int` `GEN_DIAGRAM__PARSER_PROVIDER_PRIORITY` The feature id for the 'Parser Provider Priority' attribute
`static int` `GEN_DIAGRAM__PREFERENCE_INITIALIZER_CLASS_NAME` The feature id for the 'Preference Initializer Class Name' attribute
`static int` `GEN_DIAGRAM__PROPERTY_PROVIDER_CLASS_NAME` The feature id for the 'Property Provider Class Name' attribute
`static int` `GEN_DIAGRAM__PROPERTY_PROVIDER_PRIORITY` The feature id for the 'Property Provider Priority' attribute
`static int` `GEN_DIAGRAM__PROVIDERS_PACKAGE_NAME` The feature id for the 'Providers Package Name' attribute
`static int` `GEN_DIAGRAM__REFERENCE_CONNECTION_EDIT_POLICY_CLASS_NAME` The feature id for the 'Reference Connection Edit Policy Class Name' attribute
`static int` `GEN_DIAGRAM__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME` The feature id for the 'Reorient Connection View Command Class Name' attribute
`static int` `GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME` The feature id for the 'Shortcuts Decorator Provider Class Name' attribute
`static int` `GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY` The feature id for the 'Shortcuts Decorator Provider Priority' attribute
`static int` `GEN_DIAGRAM__SHORTCUTS_PROVIDED_FOR` The feature id for the 'Shortcuts Provided For' attribute list
`static int` `GEN_DIAGRAM__STRUCTURAL_FEATURE_PARSER_CLASS_NAME` The feature id for the 'Structural Feature Parser Class Name' attribute
`static int` `GEN_DIAGRAM__STRUCTURAL_FEATURES_PARSER_CLASS_NAME` The feature id for the 'Structural Features Parser Class Name' attribute
`static int` `GEN_DIAGRAM__SYNCHRONIZED` The feature id for the 'Synchronized' attribute
`static int` `GEN_DIAGRAM__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME` The feature id for the 'Text Non Resizable Edit Policy Class Name' attribute
`static int` `GEN_DIAGRAM__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME` The feature id for the 'Text Selection Edit Policy Class Name' attribute
`static int` `GEN_DIAGRAM__TOP_LEVEL_NODES` The feature id for the 'Top Level Nodes' containment reference list
`static int` `GEN_DIAGRAM__UNITS` The feature id for the 'Units' attribute
`static int` `GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME` The feature id for the 'Validation Decorator Provider Class Name' attribute
`static int` `GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_PRIORITY` The feature id for the 'Validation Decorator Provider Priority' attribute
`static int` `GEN_DIAGRAM__VALIDATION_DECORATORS` The feature id for the 'Validation Decorators' attribute
`static int` `GEN_DIAGRAM__VALIDATION_ENABLED` The feature id for the 'Validation Enabled' attribute
`static int` `GEN_DIAGRAM__VALIDATION_PROVIDER_CLASS_NAME` The feature id for the 'Validation Provider Class Name' attribute
`static int` `GEN_DIAGRAM__VALIDATION_PROVIDER_PRIORITY` The feature id for the 'Validation Provider Priority' attribute
`static int` `GEN_DIAGRAM__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_DIAGRAM__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_DIAGRAM__VISUAL_ID_REGISTRY_CLASS_NAME` The feature id for the 'Visual ID Registry Class Name' attribute
`static int` `GEN_DIAGRAM_ELEMENT_TARGET` The meta object id for the '`Gen Diagram Element Target`' class
`static int` `GEN_DIAGRAM_ELEMENT_TARGET__ELEMENT` The feature id for the 'Element' reference list
`static int` `GEN_DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT` The number of structural features of the 'Gen Diagram Element Target' class
`static int` `GEN_DIAGRAM_FEATURE_COUNT` The number of structural features of the 'Gen Diagram' class
`static int` `GEN_DOMAIN_ATTRIBUTE_TARGET` The meta object id for the '`Gen Domain Attribute Target`' class
`static int` `GEN_DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE` The feature id for the 'Attribute' reference
`static int` `GEN_DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR` The feature id for the 'Null As Error' attribute
`static int` `GEN_DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT` The number of structural features of the 'Gen Domain Attribute Target' class
`static int` `GEN_DOMAIN_ELEMENT_TARGET` The meta object id for the '`Gen Domain Element Target`' class
`static int` `GEN_DOMAIN_ELEMENT_TARGET__ELEMENT` The feature id for the 'Element' reference
`static int` `GEN_DOMAIN_ELEMENT_TARGET_FEATURE_COUNT` The number of structural features of the 'Gen Domain Element Target' class
`static int` `GEN_EDITOR_GENERATOR` The meta object id for the '`Gen Editor Generator`' class
`static int` `GEN_EDITOR_GENERATOR__AUDITS` The feature id for the 'Audits' containment reference
`static int` `GEN_EDITOR_GENERATOR__COPYRIGHT_TEXT` The feature id for the 'Copyright Text' attribute
`static int` `GEN_EDITOR_GENERATOR__DIAGRAM` The feature id for the 'Diagram' containment reference
`static int` `GEN_EDITOR_GENERATOR__DIAGRAM_FILE_EXTENSION` The feature id for the 'Diagram File Extension' attribute
`static int` `GEN_EDITOR_GENERATOR__DOMAIN_FILE_EXTENSION` The feature id for the 'Domain File Extension' attribute
`static int` `GEN_EDITOR_GENERATOR__DOMAIN_GEN_MODEL` The feature id for the 'Domain Gen Model' reference
`static int` `GEN_EDITOR_GENERATOR__DYNAMIC_TEMPLATES` The feature id for the 'Dynamic Templates' attribute
`static int` `GEN_EDITOR_GENERATOR__EDITOR` The feature id for the 'Editor' containment reference
`static int` `GEN_EDITOR_GENERATOR__EXPRESSION_PROVIDERS` The feature id for the 'Expression Providers' containment reference
`static int` `GEN_EDITOR_GENERATOR__METRICS` The feature id for the 'Metrics' containment reference
`static int` `GEN_EDITOR_GENERATOR__MODEL_ID` The feature id for the 'Model ID' attribute
`static int` `GEN_EDITOR_GENERATOR__PACKAGE_NAME_PREFIX` The feature id for the 'Package Name Prefix' attribute
`static int` `GEN_EDITOR_GENERATOR__PLUGIN` The feature id for the 'Plugin' containment reference
`static int` `GEN_EDITOR_GENERATOR__SAME_FILE_FOR_DIAGRAM_AND_MODEL` The feature id for the 'Same File For Diagram And Model' attribute
`static int` `GEN_EDITOR_GENERATOR__TEMPLATE_DIRECTORY` The feature id for the 'Template Directory' attribute
`static int` `GEN_EDITOR_GENERATOR_FEATURE_COUNT` The number of structural features of the 'Gen Editor Generator' class
`static int` `GEN_EDITOR_VIEW` The meta object id for the '`Gen Editor View`' class
`static int` `GEN_EDITOR_VIEW__ACTION_BAR_CONTRIBUTOR_CLASS_NAME` The feature id for the 'Action Bar Contributor Class Name' attribute
`static int` `GEN_EDITOR_VIEW__CLASS_NAME` The feature id for the 'Class Name' attribute
`static int` `GEN_EDITOR_VIEW__EDITOR_GEN` The feature id for the 'Editor Gen' container reference
`static int` `GEN_EDITOR_VIEW__ICON_PATH` The feature id for the 'Icon Path' attribute
`static int` `GEN_EDITOR_VIEW__ID` The feature id for the 'ID' attribute
`static int` `GEN_EDITOR_VIEW__PACKAGE_NAME` The feature id for the 'Package Name' attribute
`static int` `GEN_EDITOR_VIEW_FEATURE_COUNT` The number of structural features of the 'Gen Editor View' class
`static int` `GEN_ELEMENT_INITIALIZER` The meta object id for the '`Gen Element Initializer`' class
`static int` `GEN_ELEMENT_INITIALIZER__TYPE_MODEL_FACET` The feature id for the 'Type Model Facet' container reference
`static int` `GEN_ELEMENT_INITIALIZER_FEATURE_COUNT` The number of structural features of the 'Gen Element Initializer' class
`static int` `GEN_EXPRESSION_INTERPRETER` The meta object id for the '`Gen Expression Interpreter`' class
`static int` `GEN_EXPRESSION_INTERPRETER__CLASS_NAME` The feature id for the 'Class Name' attribute
`static int` `GEN_EXPRESSION_INTERPRETER__CONTAINER` The feature id for the 'Container' container reference
`static int` `GEN_EXPRESSION_INTERPRETER__EXPRESSIONS` The feature id for the 'Expressions' reference list
`static int` `GEN_EXPRESSION_INTERPRETER__LANGUAGE` The feature id for the 'Language' attribute
`static int` `GEN_EXPRESSION_INTERPRETER__REQUIRED_PLUGIN_IDS` The feature id for the 'Required Plugin IDs' attribute list
`static int` `GEN_EXPRESSION_INTERPRETER_FEATURE_COUNT` The number of structural features of the 'Gen Expression Interpreter' class
`static int` `GEN_EXPRESSION_PROVIDER_BASE` The meta object id for the '`Gen Expression Provider Base`' class
`static int` `GEN_EXPRESSION_PROVIDER_BASE__CONTAINER` The feature id for the 'Container' container reference
`static int` `GEN_EXPRESSION_PROVIDER_BASE__EXPRESSIONS` The feature id for the 'Expressions' reference list
`static int` `GEN_EXPRESSION_PROVIDER_BASE_FEATURE_COUNT` The number of structural features of the 'Gen Expression Provider Base' class
`static int` `GEN_EXPRESSION_PROVIDER_CONTAINER` The meta object id for the '`Gen Expression Provider Container`' class
`static int` `GEN_EXPRESSION_PROVIDER_CONTAINER__ABSTRACT_EXPRESSION_CLASS_NAME` The feature id for the 'Abstract Expression Class Name' attribute
`static int` `GEN_EXPRESSION_PROVIDER_CONTAINER__EDITOR_GEN` The feature id for the 'Editor Gen' container reference
`static int` `GEN_EXPRESSION_PROVIDER_CONTAINER__EXPRESSIONS_PACKAGE_NAME` The feature id for the 'Expressions Package Name' attribute
`static int` `GEN_EXPRESSION_PROVIDER_CONTAINER__PROVIDERS` The feature id for the 'Providers' containment reference list
`static int` `GEN_EXPRESSION_PROVIDER_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Gen Expression Provider Container' class
`static int` `GEN_EXTERNAL_NODE_LABEL` The meta object id for the '`Gen External Node Label`' class
`static int` `GEN_EXTERNAL_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_EXTERNAL_NODE_LABEL__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_EXTERNAL_NODE_LABEL__ELEMENT_ICON` The feature id for the 'Element Icon' attribute
`static int` `GEN_EXTERNAL_NODE_LABEL__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_EXTERNAL_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_EXTERNAL_NODE_LABEL__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_EXTERNAL_NODE_LABEL__NODE` The feature id for the 'Node' container reference
`static int` `GEN_EXTERNAL_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_EXTERNAL_NODE_LABEL__READ_ONLY` The feature id for the 'Read Only' attribute
`static int` `GEN_EXTERNAL_NODE_LABEL__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_EXTERNAL_NODE_LABEL__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_EXTERNAL_NODE_LABEL_FEATURE_COUNT` The number of structural features of the 'Gen External Node Label' class
`static int` `GEN_FEATURE_SEQ_INITIALIZER` The meta object id for the '`Gen Feature Seq Initializer`' class
`static int` `GEN_FEATURE_SEQ_INITIALIZER__INITIALIZERS` The feature id for the 'Initializers' containment reference list
`static int` `GEN_FEATURE_SEQ_INITIALIZER__TYPE_MODEL_FACET` The feature id for the 'Type Model Facet' container reference
`static int` `GEN_FEATURE_SEQ_INITIALIZER_FEATURE_COUNT` The number of structural features of the 'Gen Feature Seq Initializer' class
`static int` `GEN_FEATURE_VALUE_SPEC` The meta object id for the '`Gen Feature Value Spec`' class
`static int` `GEN_FEATURE_VALUE_SPEC__BODY` The feature id for the 'Body' attribute
`static int` `GEN_FEATURE_VALUE_SPEC__FEATURE` The feature id for the 'Feature' reference
`static int` `GEN_FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER` The feature id for the 'Feature Seq Initializer' container reference
`static int` `GEN_FEATURE_VALUE_SPEC__LANG_NAME` The feature id for the 'Lang Name' attribute
`static int` `GEN_FEATURE_VALUE_SPEC__LANGUAGE` The feature id for the 'Language' attribute
`static int` `GEN_FEATURE_VALUE_SPEC_FEATURE_COUNT` The number of structural features of the 'Gen Feature Value Spec' class
`static int` `GEN_JAVA_EXPRESSION_PROVIDER` The meta object id for the '`Gen Java Expression Provider`' class
`static int` `GEN_JAVA_EXPRESSION_PROVIDER__CONTAINER` The feature id for the 'Container' container reference
`static int` `GEN_JAVA_EXPRESSION_PROVIDER__EXPRESSIONS` The feature id for the 'Expressions' reference list
`static int` `GEN_JAVA_EXPRESSION_PROVIDER_FEATURE_COUNT` The number of structural features of the 'Gen Java Expression Provider' class
`static int` `GEN_LABEL` The meta object id for the '`Gen Label`' class
`static int` `GEN_LABEL__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_LABEL__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_LABEL__ELEMENT_ICON` The feature id for the 'Element Icon' attribute
`static int` `GEN_LABEL__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_LABEL__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_LABEL__READ_ONLY` The feature id for the 'Read Only' attribute
`static int` `GEN_LABEL__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_LABEL__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_LABEL_FEATURE_COUNT` The number of structural features of the 'Gen Label' class
`static int` `GEN_LANGUAGE` The meta object id for the '`Gen Language`' enum
`static int` `GEN_LINK` The meta object id for the '`Gen Link`' class
`static int` `GEN_LINK__CREATION_CONSTRAINTS` The feature id for the 'Creation Constraints' containment reference
`static int` `GEN_LINK__DIAGRAM` The feature id for the 'Diagram' container reference
`static int` `GEN_LINK__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_LINK__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_LINK__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_LINK__INCOMING_CREATION_ALLOWED` The feature id for the 'Incoming Creation Allowed' attribute
`static int` `GEN_LINK__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_LINK__LABELS` The feature id for the 'Labels' containment reference list
`static int` `GEN_LINK__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_LINK__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_LINK__OUTGOING_CREATION_ALLOWED` The feature id for the 'Outgoing Creation Allowed' attribute
`static int` `GEN_LINK__VIEW_DIRECTION_ALIGNED_WITH_MODEL` The feature id for the 'View Direction Aligned With Model' attribute
`static int` `GEN_LINK__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_LINK__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_LINK_CONSTRAINTS` The meta object id for the '`Gen Link Constraints`' class
`static int` `GEN_LINK_CONSTRAINTS__LINK` The feature id for the 'Link' container reference
`static int` `GEN_LINK_CONSTRAINTS__SOURCE_END` The feature id for the 'Source End' containment reference
`static int` `GEN_LINK_CONSTRAINTS__TARGET_END` The feature id for the 'Target End' containment reference
`static int` `GEN_LINK_CONSTRAINTS_FEATURE_COUNT` The number of structural features of the 'Gen Link Constraints' class
`static int` `GEN_LINK_FEATURE_COUNT` The number of structural features of the 'Gen Link' class
`static int` `GEN_LINK_LABEL` The meta object id for the '`Gen Link Label`' class
`static int` `GEN_LINK_LABEL__ALIGNMENT` The feature id for the 'Alignment' attribute
`static int` `GEN_LINK_LABEL__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_LINK_LABEL__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_LINK_LABEL__ELEMENT_ICON` The feature id for the 'Element Icon' attribute
`static int` `GEN_LINK_LABEL__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_LINK_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_LINK_LABEL__LINK` The feature id for the 'Link' container reference
`static int` `GEN_LINK_LABEL__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_LINK_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_LINK_LABEL__READ_ONLY` The feature id for the 'Read Only' attribute
`static int` `GEN_LINK_LABEL__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_LINK_LABEL__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_LINK_LABEL_FEATURE_COUNT` The number of structural features of the 'Gen Link Label' class
`static int` `GEN_MEASURABLE` The meta object id for the '`Gen Measurable`' class
`static int` `GEN_MEASURABLE_FEATURE_COUNT` The number of structural features of the 'Gen Measurable' class
`static int` `GEN_METRIC_CONTAINER` The meta object id for the '`Gen Metric Container`' class
`static int` `GEN_METRIC_CONTAINER__EDITOR` The feature id for the 'Editor' reference
`static int` `GEN_METRIC_CONTAINER__METRICS` The feature id for the 'Metrics' containment reference list
`static int` `GEN_METRIC_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Gen Metric Container' class
`static int` `GEN_METRIC_RULE` The meta object id for the '`Gen Metric Rule`' class
`static int` `GEN_METRIC_RULE__CONTAINER` The feature id for the 'Container' container reference
`static int` `GEN_METRIC_RULE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `GEN_METRIC_RULE__HIGH_LIMIT` The feature id for the 'High Limit' attribute
`static int` `GEN_METRIC_RULE__KEY` The feature id for the 'Key' attribute
`static int` `GEN_METRIC_RULE__LOW_LIMIT` The feature id for the 'Low Limit' attribute
`static int` `GEN_METRIC_RULE__NAME` The feature id for the 'Name' attribute
`static int` `GEN_METRIC_RULE__RULE` The feature id for the 'Rule' containment reference
`static int` `GEN_METRIC_RULE__TARGET` The feature id for the 'Target' containment reference
`static int` `GEN_METRIC_RULE_FEATURE_COUNT` The number of structural features of the 'Gen Metric Rule' class
`static int` `GEN_NODE` The meta object id for the '`Gen Node`' class
`static int` `GEN_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME` The feature id for the 'Canonical Edit Policy Class Name' attribute
`static int` `GEN_NODE__CHILD_NODES` The feature id for the 'Child Nodes' reference list
`static int` `GEN_NODE__COMPARTMENTS` The feature id for the 'Compartments' reference list
`static int` `GEN_NODE__CONTAINED_NODES` The feature id for the 'Contained Nodes' reference list
`static int` `GEN_NODE__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_NODE__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_NODE__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME` The feature id for the 'Graphical Node Edit Policy Class Name' attribute
`static int` `GEN_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_NODE__LABELS` The feature id for the 'Labels' containment reference list
`static int` `GEN_NODE__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_NODE__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_NODE__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_NODE_FEATURE_COUNT` The number of structural features of the 'Gen Node' class
`static int` `GEN_NODE_LABEL` The meta object id for the '`Gen Node Label`' class
`static int` `GEN_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_NODE_LABEL__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_NODE_LABEL__ELEMENT_ICON` The feature id for the 'Element Icon' attribute
`static int` `GEN_NODE_LABEL__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_NODE_LABEL__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_NODE_LABEL__NODE` The feature id for the 'Node' container reference
`static int` `GEN_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_NODE_LABEL__READ_ONLY` The feature id for the 'Read Only' attribute
`static int` `GEN_NODE_LABEL__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_NODE_LABEL__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_NODE_LABEL_FEATURE_COUNT` The number of structural features of the 'Gen Node Label' class
`static int` `GEN_NOTATION_ELEMENT_TARGET` The meta object id for the '`Gen Notation Element Target`' class
`static int` `GEN_NOTATION_ELEMENT_TARGET__ELEMENT` The feature id for the 'Element' reference
`static int` `GEN_NOTATION_ELEMENT_TARGET_FEATURE_COUNT` The number of structural features of the 'Gen Notation Element Target' class
`static int` `GEN_PLUGIN` The meta object id for the '`Gen Plugin`' class
`static int` `GEN_PLUGIN__ACTIVATOR_CLASS_NAME` The feature id for the 'Activator Class Name' attribute
`static int` `GEN_PLUGIN__EDITOR_GEN` The feature id for the 'Editor Gen' container reference
`static int` `GEN_PLUGIN__ID` The feature id for the 'ID' attribute
`static int` `GEN_PLUGIN__NAME` The feature id for the 'Name' attribute
`static int` `GEN_PLUGIN__PRINTING_ENABLED` The feature id for the 'Printing Enabled' attribute
`static int` `GEN_PLUGIN__PROVIDER` The feature id for the 'Provider' attribute
`static int` `GEN_PLUGIN__VERSION` The feature id for the 'Version' attribute
`static int` `GEN_PLUGIN_FEATURE_COUNT` The number of structural features of the 'Gen Plugin' class
`static int` `GEN_RULE_BASE` The meta object id for the '`Gen Rule Base`' class
`static int` `GEN_RULE_BASE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `GEN_RULE_BASE__NAME` The feature id for the 'Name' attribute
`static int` `GEN_RULE_BASE_FEATURE_COUNT` The number of structural features of the 'Gen Rule Base' class
`static int` `GEN_RULE_CONTAINER_BASE` The meta object id for the '`Gen Rule Container Base`' class
`static int` `GEN_RULE_CONTAINER_BASE__EDITOR` The feature id for the 'Editor' reference
`static int` `GEN_RULE_CONTAINER_BASE_FEATURE_COUNT` The number of structural features of the 'Gen Rule Container Base' class
`static int` `GEN_RULE_TARGET` The meta object id for the '`Gen Rule Target`' class
`static int` `GEN_RULE_TARGET_FEATURE_COUNT` The number of structural features of the 'Gen Rule Target' class
`static int` `GEN_SEVERITY` The meta object id for the '`Gen Severity`' enum
`static int` `GEN_TOP_LEVEL_NODE` The meta object id for the '`Gen Top Level Node`' class
`static int` `GEN_TOP_LEVEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME` The feature id for the 'Canonical Edit Policy Class Name' attribute
`static int` `GEN_TOP_LEVEL_NODE__CHILD_NODES` The feature id for the 'Child Nodes' reference list
`static int` `GEN_TOP_LEVEL_NODE__COMPARTMENTS` The feature id for the 'Compartments' reference list
`static int` `GEN_TOP_LEVEL_NODE__CONTAINED_NODES` The feature id for the 'Contained Nodes' reference list
`static int` `GEN_TOP_LEVEL_NODE__DIAGRAM` The feature id for the 'Diagram' container reference
`static int` `GEN_TOP_LEVEL_NODE__DIAGRAM_RUN_TIME_CLASS` The feature id for the 'Diagram Run Time Class' reference
`static int` `GEN_TOP_LEVEL_NODE__EDIT_PART_CLASS_NAME` The feature id for the 'Edit Part Class Name' attribute
`static int` `GEN_TOP_LEVEL_NODE__ELEMENT_TYPE` The feature id for the 'Element Type' containment reference
`static int` `GEN_TOP_LEVEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME` The feature id for the 'Graphical Node Edit Policy Class Name' attribute
`static int` `GEN_TOP_LEVEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME` The feature id for the 'Item Semantic Edit Policy Class Name' attribute
`static int` `GEN_TOP_LEVEL_NODE__LABELS` The feature id for the 'Labels' containment reference list
`static int` `GEN_TOP_LEVEL_NODE__MODEL_FACET` The feature id for the 'Model Facet' containment reference
`static int` `GEN_TOP_LEVEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME` The feature id for the 'Notation View Factory Class Name' attribute
`static int` `GEN_TOP_LEVEL_NODE__VIEWMAP` The feature id for the 'Viewmap' containment reference
`static int` `GEN_TOP_LEVEL_NODE__VISUAL_ID` The feature id for the 'Visual ID' attribute
`static int` `GEN_TOP_LEVEL_NODE_FEATURE_COUNT` The number of structural features of the 'Gen Top Level Node' class
`static int` `INNER_CLASS_VIEWMAP` The meta object id for the '`Inner Class Viewmap`' class
`static int` `INNER_CLASS_VIEWMAP__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `INNER_CLASS_VIEWMAP__CLASS_BODY` The feature id for the 'Class Body' attribute
`static int` `INNER_CLASS_VIEWMAP__CLASS_NAME` The feature id for the 'Class Name' attribute
`static int` `INNER_CLASS_VIEWMAP__LAYOUT_TYPE` The feature id for the 'Layout Type' attribute
`static int` `INNER_CLASS_VIEWMAP__REQUIRED_PLUGIN_IDS` The feature id for the 'Required Plugin IDs' attribute list
`static int` `INNER_CLASS_VIEWMAP_FEATURE_COUNT` The number of structural features of the 'Inner Class Viewmap' class
`static int` `LABEL_MODEL_FACET` The meta object id for the '`Label Model Facet`' class
`static int` `LABEL_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Label Model Facet' class
`static int` `LABEL_OFFSET_ATTRIBUTES` The meta object id for the '`Label Offset Attributes`' class
`static int` `LABEL_OFFSET_ATTRIBUTES__X` The feature id for the 'X' attribute
`static int` `LABEL_OFFSET_ATTRIBUTES__Y` The feature id for the 'Y' attribute
`static int` `LABEL_OFFSET_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Label Offset Attributes' class
`static int` `LINK_CONSTRAINTS` The meta object id for the '`Link Constraints`' class
`static int` `LINK_CONSTRAINTS_FEATURE_COUNT` The number of structural features of the 'Link Constraints' class
`static int` `LINK_LABEL_ALIGNMENT` The meta object id for the '`Link Label Alignment`' enum
`static int` `LINK_MODEL_FACET` The meta object id for the '`Link Model Facet`' class
`static int` `LINK_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Link Model Facet' class
`static int` `MEASUREMENT_UNIT` The meta object id for the '`Measurement Unit`' class
`static int` `MEASUREMENT_UNIT__UNITS` The feature id for the 'Units' attribute
`static int` `MEASUREMENT_UNIT_FEATURE_COUNT` The number of structural features of the 'Measurement Unit' class
`static int` `METAMODEL_TYPE` The meta object id for the '`Metamodel Type`' class
`static int` `METAMODEL_TYPE__DEFINED_EXTERNALLY` The feature id for the 'Defined Externally' attribute
`static int` `METAMODEL_TYPE__DIAGRAM_ELEMENT` The feature id for the 'Diagram Element' container reference
`static int` `METAMODEL_TYPE__DISPLAY_NAME` The feature id for the 'Display Name' attribute
`static int` `METAMODEL_TYPE__EDIT_HELPER_CLASS_NAME` The feature id for the 'Edit Helper Class Name' attribute
`static int` `METAMODEL_TYPE__UNIQUE_IDENTIFIER` The feature id for the 'Unique Identifier' attribute
`static int` `METAMODEL_TYPE_FEATURE_COUNT` The number of structural features of the 'Metamodel Type' class
`static int` `MODEL_FACET` The meta object id for the '`Model Facet`' class
`static int` `MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Model Facet' class
`static int` `NOTATION_TYPE` The meta object id for the '`Notation Type`' class
`static int` `NOTATION_TYPE__DEFINED_EXTERNALLY` The feature id for the 'Defined Externally' attribute
`static int` `NOTATION_TYPE__DIAGRAM_ELEMENT` The feature id for the 'Diagram Element' container reference
`static int` `NOTATION_TYPE__DISPLAY_NAME` The feature id for the 'Display Name' attribute
`static int` `NOTATION_TYPE__UNIQUE_IDENTIFIER` The feature id for the 'Unique Identifier' attribute
`static int` `NOTATION_TYPE_FEATURE_COUNT` The number of structural features of the 'Notation Type' class
`static int` `PACKAGE_NAMES` The meta object id for the '`Package Names`' class
`static int` `PACKAGE_NAMES__EDIT_COMMANDS_PACKAGE_NAME` The feature id for the 'Edit Commands Package Name' attribute
`static int` `PACKAGE_NAMES__EDIT_HELPERS_PACKAGE_NAME` The feature id for the 'Edit Helpers Package Name' attribute
`static int` `PACKAGE_NAMES__EDIT_PARTS_PACKAGE_NAME` The feature id for the 'Edit Parts Package Name' attribute
`static int` `PACKAGE_NAMES__EDIT_POLICIES_PACKAGE_NAME` The feature id for the 'Edit Policies Package Name' attribute
`static int` `PACKAGE_NAMES__NOTATION_VIEW_FACTORIES_PACKAGE_NAME` The feature id for the 'Notation View Factories Package Name' attribute
`static int` `PACKAGE_NAMES__PROVIDERS_PACKAGE_NAME` The feature id for the 'Providers Package Name' attribute
`static int` `PACKAGE_NAMES_FEATURE_COUNT` The number of structural features of the 'Package Names' class
`static int` `PALETTE` The meta object id for the '`Palette`' class
`static int` `PALETTE__DIAGRAM` The feature id for the 'Diagram' container reference
`static int` `PALETTE__FACTORY_CLASS_NAME` The feature id for the 'Factory Class Name' attribute
`static int` `PALETTE__FLYOUT` The feature id for the 'Flyout' attribute
`static int` `PALETTE__GROUPS` The feature id for the 'Groups' containment reference list
`static int` `PALETTE__PACKAGE_NAME` The feature id for the 'Package Name' attribute
`static int` `PALETTE_FEATURE_COUNT` The number of structural features of the 'Palette' class
`static int` `PARENT_ASSIGNED_VIEWMAP` The meta object id for the '`Parent Assigned Viewmap`' class
`static int` `PARENT_ASSIGNED_VIEWMAP__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `PARENT_ASSIGNED_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME` The feature id for the 'Figure Qualified Class Name' attribute
`static int` `PARENT_ASSIGNED_VIEWMAP__GETTER_NAME` The feature id for the 'Getter Name' attribute
`static int` `PARENT_ASSIGNED_VIEWMAP__LAYOUT_TYPE` The feature id for the 'Layout Type' attribute
`static int` `PARENT_ASSIGNED_VIEWMAP__REQUIRED_PLUGIN_IDS` The feature id for the 'Required Plugin IDs' attribute list
`static int` `PARENT_ASSIGNED_VIEWMAP__SETTER_NAME` The feature id for the 'Setter Name' attribute
`static int` `PARENT_ASSIGNED_VIEWMAP_FEATURE_COUNT` The number of structural features of the 'Parent Assigned Viewmap' class
`static int` `PROVIDER_CLASS_NAMES` The meta object id for the '`Provider Class Names`' class
`static int` `PROVIDER_CLASS_NAMES__ABSTRACT_PARSER_CLASS_NAME` The feature id for the 'Abstract Parser Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME` The feature id for the 'Contribution Item Provider Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_CLASS_NAME` The feature id for the 'Edit Part Provider Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_PRIORITY` The feature id for the 'Edit Part Provider Priority' attribute
`static int` `PROVIDER_CLASS_NAMES__ELEMENT_TYPES_CLASS_NAME` The feature id for the 'Element Types Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__ICON_PROVIDER_CLASS_NAME` The feature id for the 'Icon Provider Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__ICON_PROVIDER_PRIORITY` The feature id for the 'Icon Provider Priority' attribute
`static int` `PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_CLASS_NAME` The feature id for the 'Modeling Assistant Provider Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_PRIORITY` The feature id for the 'Modeling Assistant Provider Priority' attribute
`static int` `PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_CLASS_NAME` The feature id for the 'Notation View Provider Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_PRIORITY` The feature id for the 'Notation View Provider Priority' attribute
`static int` `PROVIDER_CLASS_NAMES__PALETTE_PROVIDER_CLASS_NAME` The feature id for the 'Palette Provider Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__PALETTE_PROVIDER_PRIORITY` The feature id for the 'Palette Provider Priority' attribute
`static int` `PROVIDER_CLASS_NAMES__PARSER_PROVIDER_CLASS_NAME` The feature id for the 'Parser Provider Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__PARSER_PROVIDER_PRIORITY` The feature id for the 'Parser Provider Priority' attribute
`static int` `PROVIDER_CLASS_NAMES__PROPERTY_PROVIDER_CLASS_NAME` The feature id for the 'Property Provider Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__PROPERTY_PROVIDER_PRIORITY` The feature id for the 'Property Provider Priority' attribute
`static int` `PROVIDER_CLASS_NAMES__STRUCTURAL_FEATURE_PARSER_CLASS_NAME` The feature id for the 'Structural Feature Parser Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES__STRUCTURAL_FEATURES_PARSER_CLASS_NAME` The feature id for the 'Structural Features Parser Class Name' attribute
`static int` `PROVIDER_CLASS_NAMES_FEATURE_COUNT` The number of structural features of the 'Provider Class Names' class
`static int` `PROVIDER_PRIORITY` The meta object id for the '`Provider Priority`' enum
`static int` `RESIZE_CONSTRAINTS` The meta object id for the '`Resize Constraints`' class
`static int` `RESIZE_CONSTRAINTS__NON_RESIZE_HANDLES` The feature id for the 'Non Resize Handles' attribute
`static int` `RESIZE_CONSTRAINTS__RESIZE_HANDLES` The feature id for the 'Resize Handles' attribute
`static int` `RESIZE_CONSTRAINTS_FEATURE_COUNT` The number of structural features of the 'Resize Constraints' class
`static int` `SEPARATOR` The meta object id for the '`Separator`' class
`static int` `SEPARATOR_FEATURE_COUNT` The number of structural features of the 'Separator' class
`static int` `SHORTCUTS` The meta object id for the '`Shortcuts`' class
`static int` `SHORTCUTS__CONTAINS_SHORTCUTS_TO` The feature id for the 'Contains Shortcuts To' attribute list
`static int` `SHORTCUTS__CREATE_SHORTCUT_ACTION_CLASS_NAME` The feature id for the 'Create Shortcut Action Class Name' attribute
`static int` `SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME` The feature id for the 'Shortcuts Decorator Provider Class Name' attribute
`static int` `SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY` The feature id for the 'Shortcuts Decorator Provider Priority' attribute
`static int` `SHORTCUTS__SHORTCUTS_PROVIDED_FOR` The feature id for the 'Shortcuts Provided For' attribute list
`static int` `SHORTCUTS_FEATURE_COUNT` The number of structural features of the 'Shortcuts' class
`static int` `SNIPPET_VIEWMAP` The meta object id for the '`Snippet Viewmap`' class
`static int` `SNIPPET_VIEWMAP__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `SNIPPET_VIEWMAP__BODY` The feature id for the 'Body' attribute
`static int` `SNIPPET_VIEWMAP__LAYOUT_TYPE` The feature id for the 'Layout Type' attribute
`static int` `SNIPPET_VIEWMAP__REQUIRED_PLUGIN_IDS` The feature id for the 'Required Plugin IDs' attribute list
`static int` `SNIPPET_VIEWMAP_FEATURE_COUNT` The number of structural features of the 'Snippet Viewmap' class
`static int` `SPECIALIZATION_TYPE` The meta object id for the '`Specialization Type`' class
`static int` `SPECIALIZATION_TYPE__DEFINED_EXTERNALLY` The feature id for the 'Defined Externally' attribute
`static int` `SPECIALIZATION_TYPE__DIAGRAM_ELEMENT` The feature id for the 'Diagram Element' container reference
`static int` `SPECIALIZATION_TYPE__DISPLAY_NAME` The feature id for the 'Display Name' attribute
`static int` `SPECIALIZATION_TYPE__EDIT_HELPER_ADVICE_CLASS_NAME` The feature id for the 'Edit Helper Advice Class Name' attribute
`static int` `SPECIALIZATION_TYPE__METAMODEL_TYPE` The feature id for the 'Metamodel Type' reference
`static int` `SPECIALIZATION_TYPE__UNIQUE_IDENTIFIER` The feature id for the 'Unique Identifier' attribute
`static int` `SPECIALIZATION_TYPE_FEATURE_COUNT` The number of structural features of the 'Specialization Type' class
`static int` `STYLE_ATTRIBUTES` The meta object id for the '`Style Attributes`' class
`static int` `STYLE_ATTRIBUTES__FIXED_BACKGROUND` The feature id for the 'Fixed Background' attribute
`static int` `STYLE_ATTRIBUTES__FIXED_FONT` The feature id for the 'Fixed Font' attribute
`static int` `STYLE_ATTRIBUTES__FIXED_FOREGROUND` The feature id for the 'Fixed Foreground' attribute
`static int` `STYLE_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Style Attributes' class
`static int` `TOOL_ENTRY` The meta object id for the '`Tool Entry`' class
`static int` `TOOL_ENTRY__CREATE_METHOD_NAME` The feature id for the 'Create Method Name' attribute
`static int` `TOOL_ENTRY__DEFAULT` The feature id for the 'Default' attribute
`static int` `TOOL_ENTRY__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `TOOL_ENTRY__ELEMENTS` The feature id for the 'Elements' reference list
`static int` `TOOL_ENTRY__GEN_LINKS` The feature id for the 'Gen Links' reference list
`static int` `TOOL_ENTRY__GEN_NODES` The feature id for the 'Gen Nodes' reference list
`static int` `TOOL_ENTRY__LARGE_ICON_PATH` The feature id for the 'Large Icon Path' attribute
`static int` `TOOL_ENTRY__PROPERTIES` The feature id for the 'Properties' map
`static int` `TOOL_ENTRY__QUALIFIED_TOOL_NAME` The feature id for the 'Qualified Tool Name' attribute
`static int` `TOOL_ENTRY__SMALL_ICON_PATH` The feature id for the 'Small Icon Path' attribute
`static int` `TOOL_ENTRY__TITLE` The feature id for the 'Title' attribute
`static int` `TOOL_ENTRY_FEATURE_COUNT` The number of structural features of the 'Tool Entry' class
`static int` `TOOL_GROUP` The meta object id for the '`Tool Group`' class
`static int` `TOOL_GROUP__COLLAPSE` The feature id for the 'Collapse' attribute
`static int` `TOOL_GROUP__CREATE_METHOD_NAME` The feature id for the 'Create Method Name' attribute
`static int` `TOOL_GROUP__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `TOOL_GROUP__ENTRIES` The feature id for the 'Entries' containment reference list
`static int` `TOOL_GROUP__LARGE_ICON_PATH` The feature id for the 'Large Icon Path' attribute
`static int` `TOOL_GROUP__SMALL_ICON_PATH` The feature id for the 'Small Icon Path' attribute
`static int` `TOOL_GROUP__STACK` The feature id for the 'Stack' attribute
`static int` `TOOL_GROUP__TITLE` The feature id for the 'Title' attribute
`static int` `TOOL_GROUP__TOOLS_ONLY` The feature id for the 'Tools Only' attribute
`static int` `TOOL_GROUP_FEATURE_COUNT` The number of structural features of the 'Tool Group' class
`static int` `TOOL_GROUP_ITEM` The meta object id for the '`Tool Group Item`' class
`static int` `TOOL_GROUP_ITEM_FEATURE_COUNT` The number of structural features of the 'Tool Group Item' class
`static int` `TYPE_LINK_MODEL_FACET` The meta object id for the '`Type Link Model Facet`' class
`static int` `TYPE_LINK_MODEL_FACET__CHILD_META_FEATURE` The feature id for the 'Child Meta Feature' reference
`static int` `TYPE_LINK_MODEL_FACET__CONTAINMENT_META_FEATURE` The feature id for the 'Containment Meta Feature' reference
`static int` `TYPE_LINK_MODEL_FACET__META_CLASS` The feature id for the 'Meta Class' reference
`static int` `TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_INITIALIZER` The feature id for the 'Model Element Initializer' containment reference
`static int` `TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_SELECTOR` The feature id for the 'Model Element Selector' containment reference
`static int` `TYPE_LINK_MODEL_FACET__SOURCE_META_FEATURE` The feature id for the 'Source Meta Feature' reference
`static int` `TYPE_LINK_MODEL_FACET__TARGET_META_FEATURE` The feature id for the 'Target Meta Feature' reference
`static int` `TYPE_LINK_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Type Link Model Facet' class
`static int` `TYPE_MODEL_FACET` The meta object id for the '`Type Model Facet`' class
`static int` `TYPE_MODEL_FACET__CHILD_META_FEATURE` The feature id for the 'Child Meta Feature' reference
`static int` `TYPE_MODEL_FACET__CONTAINMENT_META_FEATURE` The feature id for the 'Containment Meta Feature' reference
`static int` `TYPE_MODEL_FACET__META_CLASS` The feature id for the 'Meta Class' reference
`static int` `TYPE_MODEL_FACET__MODEL_ELEMENT_INITIALIZER` The feature id for the 'Model Element Initializer' containment reference
`static int` `TYPE_MODEL_FACET__MODEL_ELEMENT_SELECTOR` The feature id for the 'Model Element Selector' containment reference
`static int` `TYPE_MODEL_FACET_FEATURE_COUNT` The number of structural features of the 'Type Model Facet' class
`static int` `VALUE_EXPRESSION` The meta object id for the '`Value Expression`' class
`static int` `VALUE_EXPRESSION__BODY` The feature id for the 'Body' attribute
`static int` `VALUE_EXPRESSION__LANG_NAME` The feature id for the 'Lang Name' attribute
`static int` `VALUE_EXPRESSION__LANGUAGE` The feature id for the 'Language' attribute
`static int` `VALUE_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Value Expression' class
`static int` `VIEWMAP` The meta object id for the '`Viewmap`' class
`static int` `VIEWMAP__ATTRIBUTES` The feature id for the 'Attributes' containment reference list
`static int` `VIEWMAP__LAYOUT_TYPE` The feature id for the 'Layout Type' attribute
`static int` `VIEWMAP__REQUIRED_PLUGIN_IDS` The feature id for the 'Required Plugin IDs' attribute list
`static int` `VIEWMAP_FEATURE_COUNT` The number of structural features of the 'Viewmap' class
`static int` `VIEWMAP_LAYOUT_TYPE` The meta object id for the '`Viewmap Layout Type`' enum

Method Summary
`EClass` `getAttributes()` Returns the meta object for class '`Attributes`'
`EAttribute` `getBatchValidation_MarkerNavigationProviderClassName()` Returns the meta object for the attribute '`Marker Navigation Provider Class Name`'
`EAttribute` `getBatchValidation_MarkerNavigationProviderPriority()` Returns the meta object for the attribute '`Marker Navigation Provider Priority`'
`EAttribute` `getBatchValidation_MetricProviderClassName()` Returns the meta object for the attribute '`Metric Provider Class Name`'
`EAttribute` `getBatchValidation_MetricProviderPriority()` Returns the meta object for the attribute '`Metric Provider Priority`'
`EAttribute` `getBatchValidation_ValidationDecoratorProviderClassName()` Returns the meta object for the attribute '`Validation Decorator Provider Class Name`'
`EAttribute` `getBatchValidation_ValidationDecoratorProviderPriority()` Returns the meta object for the attribute '`Validation Decorator Provider Priority`'
`EAttribute` `getBatchValidation_ValidationDecorators()` Returns the meta object for the attribute '`Validation Decorators`'
`EAttribute` `getBatchValidation_ValidationEnabled()` Returns the meta object for the attribute '`Validation Enabled`'
`EAttribute` `getBatchValidation_ValidationProviderClassName()` Returns the meta object for the attribute '`Validation Provider Class Name`'
`EAttribute` `getBatchValidation_ValidationProviderPriority()` Returns the meta object for the attribute '`Validation Provider Priority`'
`EClass` `getBatchValidation()` Returns the meta object for class '`Batch Validation`'
`EAttribute` `getColorAttributes_BackgroundColor()` Returns the meta object for the attribute '`Background Color`'
`EAttribute` `getColorAttributes_ForegroundColor()` Returns the meta object for the attribute '`Foreground Color`'
`EClass` `getColorAttributes()` Returns the meta object for class '`Color Attributes`'
`EAttribute` `getCompositeFeatureLabelModelFacet_EditPattern()` Returns the meta object for the attribute '`Edit Pattern`'
`EAttribute` `getCompositeFeatureLabelModelFacet_ViewPattern()` Returns the meta object for the attribute '`View Pattern`'
`EClass` `getCompositeFeatureLabelModelFacet()` Returns the meta object for class '`Composite Feature Label Model Facet`'
`EReference` `getCompositeFeatureModelFacet_MetaFeatures()` Returns the meta object for the reference list '`Meta Features`'
`EClass` `getCompositeFeatureModelFacet()` Returns the meta object for class '`Composite Feature Model Facet`'
`EAttribute` `getDefaultSizeAttributes_Height()` Returns the meta object for the attribute '`Height`'
`EAttribute` `getDefaultSizeAttributes_Width()` Returns the meta object for the attribute '`Width`'
`EClass` `getDefaultSizeAttributes()` Returns the meta object for class '`Default Size Attributes`'
`EClass` `getDesignLabelModelFacet()` Returns the meta object for class '`Design Label Model Facet`'
`EAttribute` `getEditorCandies_CreationWizardCategoryID()` Returns the meta object for the attribute '`Creation Wizard Category ID`'
`EAttribute` `getEditorCandies_CreationWizardClassName()` Returns the meta object for the attribute '`Creation Wizard Class Name`'
`EAttribute` `getEditorCandies_CreationWizardIconPath()` Returns the meta object for the attribute '`Creation Wizard Icon Path`'
`EAttribute` `getEditorCandies_CreationWizardPageClassName()` Returns the meta object for the attribute '`Creation Wizard Page Class Name`'
`EAttribute` `getEditorCandies_DiagramEditorUtilClassName()` Returns the meta object for the attribute '`Diagram Editor Util Class Name`'
`EAttribute` `getEditorCandies_DiagramFileCreatorClassName()` Returns the meta object for the attribute '`Diagram File Creator Class Name`'
`EAttribute` `getEditorCandies_DocumentProviderClassName()` Returns the meta object for the attribute '`Document Provider Class Name`'
`EAttribute` `getEditorCandies_EditingDomainID()` Returns the meta object for the attribute '`Editing Domain ID`'
`EAttribute` `getEditorCandies_ElementChooserClassName()` Returns the meta object for the attribute '`Element Chooser Class Name`'
`EAttribute` `getEditorCandies_InitDiagramFileActionClassName()` Returns the meta object for the attribute '`Init Diagram File Action Class Name`'
`EAttribute` `getEditorCandies_LoadResourceActionClassName()` Returns the meta object for the attribute '`Load Resource Action Class Name`'
`EAttribute` `getEditorCandies_MatchingStrategyClassName()` Returns the meta object for the attribute '`Matching Strategy Class Name`'
`EAttribute` `getEditorCandies_NewDiagramFileWizardClassName()` Returns the meta object for the attribute '`New Diagram File Wizard Class Name`'
`EAttribute` `getEditorCandies_PreferenceInitializerClassName()` Returns the meta object for the attribute '`Preference Initializer Class Name`'
`EAttribute` `getEditorCandies_VisualIDRegistryClassName()` Returns the meta object for the attribute '`Visual ID Registry Class Name`'
`EClass` `getEditorCandies()` Returns the meta object for class '`Editor Candies`'
`EAttribute` `getEditPartCandies_BaseEditHelperClassName()` Returns the meta object for the attribute '`Base Edit Helper Class Name`'
`EAttribute` `getEditPartCandies_BaseExternalNodeLabelEditPartClassName()` Returns the meta object for the attribute '`Base External Node Label Edit Part Class Name`'
`EAttribute` `getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()` Returns the meta object for the attribute '`Base Graphical Node Edit Policy Class Name`'
`EAttribute` `getEditPartCandies_BaseItemSemanticEditPolicyClassName()` Returns the meta object for the attribute '`Base Item Semantic Edit Policy Class Name`'
`EAttribute` `getEditPartCandies_CanonicalEditPolicyClassName()` Returns the meta object for the attribute '`Canonical Edit Policy Class Name`'
`EAttribute` `getEditPartCandies_EditPartFactoryClassName()` Returns the meta object for the attribute '`Edit Part Factory Class Name`'
`EAttribute` `getEditPartCandies_ExternalNodeLabelHostLayoutEditPolicyClassName()` Returns the meta object for the attribute '`External Node Label Host Layout Edit Policy Class Name`'
`EAttribute` `getEditPartCandies_ReferenceConnectionEditPolicyClassName()` Returns the meta object for the attribute '`Reference Connection Edit Policy Class Name`'
`EAttribute` `getEditPartCandies_ReorientConnectionViewCommandClassName()` Returns the meta object for the attribute '`Reorient Connection View Command Class Name`'
`EAttribute` `getEditPartCandies_TextNonResizableEditPolicyClassName()` Returns the meta object for the attribute '`Text Non Resizable Edit Policy Class Name`'
`EAttribute` `getEditPartCandies_TextSelectionEditPolicyClassName()` Returns the meta object for the attribute '`Text Selection Edit Policy Class Name`'
`EClass` `getEditPartCandies()` Returns the meta object for class '`Edit Part Candies`'
`EAttribute` `getElementType_DefinedExternally()` Returns the meta object for the attribute '`Defined Externally`'
`EReference` `getElementType_DiagramElement()` Returns the meta object for the container reference '`Diagram Element`'
`EAttribute` `getElementType_DisplayName()` Returns the meta object for the attribute '`Display Name`'
`EAttribute` `getElementType_UniqueIdentifier()` Returns the meta object for the attribute '`Unique Identifier`'
`EClass` `getElementType()` Returns the meta object for class '`Element Type`'
`EAttribute` `getEntryBase_CreateMethodName()` Returns the meta object for the attribute '`Create Method Name`'
`EAttribute` `getEntryBase_Description()` Returns the meta object for the attribute '`Description`'
`EAttribute` `getEntryBase_LargeIconPath()` Returns the meta object for the attribute '`Large Icon Path`'
`EAttribute` `getEntryBase_SmallIconPath()` Returns the meta object for the attribute '`Small Icon Path`'
`EAttribute` `getEntryBase_Title()` Returns the meta object for the attribute '`Title`'
`EClass` `getEntryBase()` Returns the meta object for class '`Entry Base`'
`EAttribute` `getFeatureLabelModelFacet_EditPattern()` Returns the meta object for the attribute '`Edit Pattern`'
`EAttribute` `getFeatureLabelModelFacet_ViewPattern()` Returns the meta object for the attribute '`View Pattern`'
`EClass` `getFeatureLabelModelFacet()` Returns the meta object for class '`Feature Label Model Facet`'
`EClass` `getFeatureLinkModelFacet()` Returns the meta object for class '`Feature Link Model Facet`'
`EReference` `getFeatureModelFacet_MetaFeature()` Returns the meta object for the reference '`Meta Feature`'
`EClass` `getFeatureModelFacet()` Returns the meta object for class '`Feature Model Facet`'
`EAttribute` `getFigureViewmap_FigureQualifiedClassName()` Returns the meta object for the attribute '`Figure Qualified Class Name`'
`EClass` `getFigureViewmap()` Returns the meta object for class '`Figure Viewmap`'
`EClass` `getGenAuditable()` Returns the meta object for class '`Gen Auditable`'
`EReference` `getGenAuditContainer_Audits()` Returns the meta object for the containment reference list '`Audits`'
`EReference` `getGenAuditContainer_ChildContainers()` Returns the meta object for the containment reference list '`Child Containers`'
`EAttribute` `getGenAuditContainer_Description()` Returns the meta object for the attribute '`Description`'
`EAttribute` `getGenAuditContainer_Id()` Returns the meta object for the attribute '`Id`'
`EAttribute` `getGenAuditContainer_Name()` Returns the meta object for the attribute '`Name`'
`EReference` `getGenAuditContainer_ParentContainer()` Returns the meta object for the container reference '`Parent Container`'
`EClass` `getGenAuditContainer()` Returns the meta object for class '`Gen Audit Container`'
`EReference` `getGenAuditedMetricTarget_Metric()` Returns the meta object for the reference '`Metric`'
`EReference` `getGenAuditedMetricTarget_MetricValueContext()` Returns the meta object for the reference '`Metric Value Context`'
`EClass` `getGenAuditedMetricTarget()` Returns the meta object for class '`Gen Audited Metric Target`'
`EReference` `getGenAuditRule_Container()` Returns the meta object for the container reference '`Container`'
`EAttribute` `getGenAuditRule_Id()` Returns the meta object for the attribute '`Id`'
`EAttribute` `getGenAuditRule_Message()` Returns the meta object for the attribute '`Message`'
`EReference` `getGenAuditRule_Rule()` Returns the meta object for the containment reference '`Rule`'
`EAttribute` `getGenAuditRule_Severity()` Returns the meta object for the attribute '`Severity`'
`EReference` `getGenAuditRule_Target()` Returns the meta object for the containment reference '`Target`'
`EAttribute` `getGenAuditRule_UseInLiveMode()` Returns the meta object for the attribute '`Use In Live Mode`'
`EClass` `getGenAuditRule()` Returns the meta object for class '`Gen Audit Rule`'
`EAttribute` `getGenChildContainer_CanonicalEditPolicyClassName()` Returns the meta object for the attribute '`Canonical Edit Policy Class Name`'
`EReference` `getGenChildContainer_ChildNodes()` Returns the meta object for the reference list '`Child Nodes`'
`EClass` `getGenChildContainer()` Returns the meta object for class '`Gen Child Container`'
`EAttribute` `getGenChildLabelNode_LabelElementIcon()` Returns the meta object for the attribute '`Label Element Icon`'
`EReference` `getGenChildLabelNode_LabelModelFacet()` Returns the meta object for the containment reference '`Label Model Facet`'
`EAttribute` `getGenChildLabelNode_LabelReadOnly()` Returns the meta object for the attribute '`Label Read Only`'
`EClass` `getGenChildLabelNode()` Returns the meta object for class '`Gen Child Label Node`'
`EReference` `getGenChildNode_Containers()` Returns the meta object for the reference list '`Containers`'
`EReference` `getGenChildNode_Diagram()` Returns the meta object for the container reference '`Diagram`'
`EClass` `getGenChildNode()` Returns the meta object for class '`Gen Child Node`'
`EReference` `getGenCommonBase_DiagramRunTimeClass()` Returns the meta object for the reference '`Diagram Run Time Class`'
`EAttribute` `getGenCommonBase_EditPartClassName()` Returns the meta object for the attribute '`Edit Part Class Name`'
`EReference` `getGenCommonBase_ElementType()` Returns the meta object for the containment reference '`Element Type`'
`EAttribute` `getGenCommonBase_ItemSemanticEditPolicyClassName()` Returns the meta object for the attribute '`Item Semantic Edit Policy Class Name`'
`EAttribute` `getGenCommonBase_NotationViewFactoryClassName()` Returns the meta object for the attribute '`Notation View Factory Class Name`'
`EReference` `getGenCommonBase_Viewmap()` Returns the meta object for the containment reference '`Viewmap`'
`EAttribute` `getGenCommonBase_VisualID()` Returns the meta object for the attribute '`Visual ID`'
`EClass` `getGenCommonBase()` Returns the meta object for class '`Gen Common Base`'
`EAttribute` `getGenCompartment_CanCollapse()` Returns the meta object for the attribute '`Can Collapse`'
`EReference` `getGenCompartment_Diagram()` Returns the meta object for the container reference '`Diagram`'
`EAttribute` `getGenCompartment_HideIfEmpty()` Returns the meta object for the attribute '`Hide If Empty`'
`EAttribute` `getGenCompartment_ListLayout()` Returns the meta object for the attribute '`List Layout`'
`EAttribute` `getGenCompartment_NeedsTitle()` Returns the meta object for the attribute '`Needs Title`'
`EReference` `getGenCompartment_Node()` Returns the meta object for the reference '`Node`'
`EAttribute` `getGenCompartment_Title()` Returns the meta object for the attribute '`Title`'
`EClass` `getGenCompartment()` Returns the meta object for class '`Gen Compartment`'
`EClass` `getGenConstraint()` Returns the meta object for class '`Gen Constraint`'
`EReference` `getGenContainerBase_ContainedNodes()` Returns the meta object for the reference list '`Contained Nodes`'
`EClass` `getGenContainerBase()` Returns the meta object for class '`Gen Container Base`'
`EReference` `getGenDiagram_ChildNodes()` Returns the meta object for the containment reference list '`Child Nodes`'
`EReference` `getGenDiagram_Compartments()` Returns the meta object for the containment reference list '`Compartments`'
`EReference` `getGenDiagram_DomainDiagramElement()` Returns the meta object for the reference '`Domain Diagram Element`'
`EReference` `getGenDiagram_EditorGen()` Returns the meta object for the container reference '`Editor Gen`'
`EReference` `getGenDiagram_Links()` Returns the meta object for the containment reference list '`Links`'
`EReference` `getGenDiagram_Palette()` Returns the meta object for the containment reference '`Palette`'
`EAttribute` `getGenDiagram_Synchronized()` Returns the meta object for the attribute '`Synchronized`'
`EReference` `getGenDiagram_TopLevelNodes()` Returns the meta object for the containment reference list '`Top Level Nodes`'
`EClass` `getGenDiagram()` Returns the meta object for class '`Gen Diagram`'
`EReference` `getGenDiagramElementTarget_Element()` Returns the meta object for the reference list '`Element`'
`EClass` `getGenDiagramElementTarget()` Returns the meta object for class '`Gen Diagram Element Target`'
`EReference` `getGenDomainAttributeTarget_Attribute()` Returns the meta object for the reference '`Attribute`'
`EAttribute` `getGenDomainAttributeTarget_NullAsError()` Returns the meta object for the attribute '`Null As Error`'
`EClass` `getGenDomainAttributeTarget()` Returns the meta object for class '`Gen Domain Attribute Target`'
`EReference` `getGenDomainElementTarget_Element()` Returns the meta object for the reference '`Element`'
`EClass` `getGenDomainElementTarget()` Returns the meta object for class '`Gen Domain Element Target`'
`EReference` `getGenEditorGenerator_Audits()` Returns the meta object for the containment reference '`Audits`'
`EAttribute` `getGenEditorGenerator_CopyrightText()` Returns the meta object for the attribute '`Copyright Text`'
`EReference` `getGenEditorGenerator_Diagram()` Returns the meta object for the containment reference '`Diagram`'
`EAttribute` `getGenEditorGenerator_DiagramFileExtension()` Returns the meta object for the attribute '`Diagram File Extension`'
`EAttribute` `getGenEditorGenerator_DomainFileExtension()` Returns the meta object for the attribute '`Domain File Extension`'
`EReference` `getGenEditorGenerator_DomainGenModel()` Returns the meta object for the reference '`Domain Gen Model`'
`EAttribute` `getGenEditorGenerator_DynamicTemplates()` Returns the meta object for the attribute '`Dynamic Templates`'
`EReference` `getGenEditorGenerator_Editor()` Returns the meta object for the containment reference '`Editor`'
`EReference` `getGenEditorGenerator_ExpressionProviders()` Returns the meta object for the containment reference '`Expression Providers`'
`EReference` `getGenEditorGenerator_Metrics()` Returns the meta object for the containment reference '`Metrics`'
`EAttribute` `getGenEditorGenerator_ModelID()` Returns the meta object for the attribute '`Model ID`'
`EAttribute` `getGenEditorGenerator_PackageNamePrefix()` Returns the meta object for the attribute '`Package Name Prefix`'
`EReference` `getGenEditorGenerator_Plugin()` Returns the meta object for the containment reference '`Plugin`'
`EAttribute` `getGenEditorGenerator_SameFileForDiagramAndModel()` Returns the meta object for the attribute '`Same File For Diagram And Model`'
`EAttribute` `getGenEditorGenerator_TemplateDirectory()` Returns the meta object for the attribute '`Template Directory`'
`EClass` `getGenEditorGenerator()` Returns the meta object for class '`Gen Editor Generator`'
`EAttribute` `getGenEditorView_ActionBarContributorClassName()` Returns the meta object for the attribute '`Action Bar Contributor Class Name`'
`EAttribute` `getGenEditorView_ClassName()` Returns the meta object for the attribute '`Class Name`'
`EReference` `getGenEditorView_EditorGen()` Returns the meta object for the container reference '`Editor Gen`'
`EAttribute` `getGenEditorView_IconPath()` Returns the meta object for the attribute '`Icon Path`'
`EAttribute` `getGenEditorView_ID()` Returns the meta object for the attribute '`ID`'
`EAttribute` `getGenEditorView_PackageName()` Returns the meta object for the attribute '`Package Name`'
`EClass` `getGenEditorView()` Returns the meta object for class '`Gen Editor View`'
`EReference` `getGenElementInitializer_TypeModelFacet()` Returns the meta object for the container reference '`Type Model Facet`'
`EClass` `getGenElementInitializer()` Returns the meta object for class '`Gen Element Initializer`'
`EAttribute` `getGenExpressionInterpreter_ClassName()` Returns the meta object for the attribute '`Class Name`'
`EAttribute` `getGenExpressionInterpreter_Language()` Returns the meta object for the attribute '`Language`'
`EAttribute` `getGenExpressionInterpreter_RequiredPluginIDs()` Returns the meta object for the attribute list '`Required Plugin IDs`'
`EClass` `getGenExpressionInterpreter()` Returns the meta object for class '`Gen Expression Interpreter`'
`EReference` `getGenExpressionProviderBase_Container()` Returns the meta object for the container reference '`Container`'
`EReference` `getGenExpressionProviderBase_Expressions()` Returns the meta object for the reference list '`Expressions`'
`EClass` `getGenExpressionProviderBase()` Returns the meta object for class '`Gen Expression Provider Base`'
`EAttribute` `getGenExpressionProviderContainer_AbstractExpressionClassName()` Returns the meta object for the attribute '`Abstract Expression Class Name`'
`EReference` `getGenExpressionProviderContainer_EditorGen()` Returns the meta object for the container reference '`Editor Gen`'
`EAttribute` `getGenExpressionProviderContainer_ExpressionsPackageName()` Returns the meta object for the attribute '`Expressions Package Name`'
`EReference` `getGenExpressionProviderContainer_Providers()` Returns the meta object for the containment reference list '`Providers`'
`EClass` `getGenExpressionProviderContainer()` Returns the meta object for class '`Gen Expression Provider Container`'
`EClass` `getGenExternalNodeLabel()` Returns the meta object for class '`Gen External Node Label`'
`EReference` `getGenFeatureSeqInitializer_Initializers()` Returns the meta object for the containment reference list '`Initializers`'
`EClass` `getGenFeatureSeqInitializer()` Returns the meta object for class '`Gen Feature Seq Initializer`'
`EReference` `getGenFeatureValueSpec_Feature()` Returns the meta object for the reference '`Feature`'
`EReference` `getGenFeatureValueSpec_FeatureSeqInitializer()` Returns the meta object for the container reference '`Feature Seq Initializer`'
`EClass` `getGenFeatureValueSpec()` Returns the meta object for class '`Gen Feature Value Spec`'
`EClass` `getGenJavaExpressionProvider()` Returns the meta object for class '`Gen Java Expression Provider`'
`EAttribute` `getGenLabel_ElementIcon()` Returns the meta object for the attribute '`Element Icon`'
`EReference` `getGenLabel_ModelFacet()` Returns the meta object for the containment reference '`Model Facet`'
`EAttribute` `getGenLabel_ReadOnly()` Returns the meta object for the attribute '`Read Only`'
`EClass` `getGenLabel()` Returns the meta object for class '`Gen Label`'
`EEnum` `getGenLanguage()` Returns the meta object for enum '`Gen Language`'
`EReference` `getGenLink_CreationConstraints()` Returns the meta object for the containment reference '`Creation Constraints`'
`EReference` `getGenLink_Diagram()` Returns the meta object for the container reference '`Diagram`'
`EAttribute` `getGenLink_IncomingCreationAllowed()` Returns the meta object for the attribute '`Incoming Creation Allowed`'
`EReference` `getGenLink_Labels()` Returns the meta object for the containment reference list '`Labels`'
`EReference` `getGenLink_ModelFacet()` Returns the meta object for the containment reference '`Model Facet`'
`EAttribute` `getGenLink_OutgoingCreationAllowed()` Returns the meta object for the attribute '`Outgoing Creation Allowed`'
`EAttribute` `getGenLink_ViewDirectionAlignedWithModel()` Returns the meta object for the attribute '`View Direction Aligned With Model`'
`EClass` `getGenLink()` Returns the meta object for class '`Gen Link`'
`EReference` `getGenLinkConstraints_Link()` Returns the meta object for the container reference '`Link`'
`EReference` `getGenLinkConstraints_SourceEnd()` Returns the meta object for the containment reference '`Source End`'
`EReference` `getGenLinkConstraints_TargetEnd()` Returns the meta object for the containment reference '`Target End`'
`EClass` `getGenLinkConstraints()` Returns the meta object for class '`Gen Link Constraints`'
`EAttribute` `getGenLinkLabel_Alignment()` Returns the meta object for the attribute '`Alignment`'
`EReference` `getGenLinkLabel_Link()` Returns the meta object for the container reference '`Link`'
`EClass` `getGenLinkLabel()` Returns the meta object for class '`Gen Link Label`'
`EClass` `getGenMeasurable()` Returns the meta object for class '`Gen Measurable`'
`EReference` `getGenMetricContainer_Metrics()` Returns the meta object for the containment reference list '`Metrics`'
`EClass` `getGenMetricContainer()` Returns the meta object for class '`Gen Metric Container`'
`EReference` `getGenMetricRule_Container()` Returns the meta object for the container reference '`Container`'
`EAttribute` `getGenMetricRule_HighLimit()` Returns the meta object for the attribute '`High Limit`'
`EAttribute` `getGenMetricRule_Key()` Returns the meta object for the attribute '`Key`'
`EAttribute` `getGenMetricRule_LowLimit()` Returns the meta object for the attribute '`Low Limit`'
`EReference` `getGenMetricRule_Rule()` Returns the meta object for the containment reference '`Rule`'
`EReference` `getGenMetricRule_Target()` Returns the meta object for the containment reference '`Target`'
`EClass` `getGenMetricRule()` Returns the meta object for class '`Gen Metric Rule`'
`EReference` `getGenNode_Compartments()` Returns the meta object for the reference list '`Compartments`'
`EAttribute` `getGenNode_GraphicalNodeEditPolicyClassName()` Returns the meta object for the attribute '`Graphical Node Edit Policy Class Name`'
`EReference` `getGenNode_Labels()` Returns the meta object for the containment reference list '`Labels`'
`EReference` `getGenNode_ModelFacet()` Returns the meta object for the containment reference '`Model Facet`'
`EClass` `getGenNode()` Returns the meta object for class '`Gen Node`'
`EReference` `getGenNodeLabel_Node()` Returns the meta object for the container reference '`Node`'
`EClass` `getGenNodeLabel()` Returns the meta object for class '`Gen Node Label`'
`EReference` `getGenNotationElementTarget_Element()` Returns the meta object for the reference '`Element`'
`EClass` `getGenNotationElementTarget()` Returns the meta object for class '`Gen Notation Element Target`'
`EAttribute` `getGenPlugin_ActivatorClassName()` Returns the meta object for the attribute '`Activator Class Name`'
`EReference` `getGenPlugin_EditorGen()` Returns the meta object for the container reference '`Editor Gen`'
`EAttribute` `getGenPlugin_ID()` Returns the meta object for the attribute '`ID`'
`EAttribute` `getGenPlugin_Name()` Returns the meta object for the attribute '`Name`'
`EAttribute` `getGenPlugin_PrintingEnabled()` Returns the meta object for the attribute '`Printing Enabled`'
`EAttribute` `getGenPlugin_Provider()` Returns the meta object for the attribute '`Provider`'
`EAttribute` `getGenPlugin_Version()` Returns the meta object for the attribute '`Version`'
`EClass` `getGenPlugin()` Returns the meta object for class '`Gen Plugin`'
`EAttribute` `getGenRuleBase_Description()` Returns the meta object for the attribute '`Description`'
`EAttribute` `getGenRuleBase_Name()` Returns the meta object for the attribute '`Name`'
`EClass` `getGenRuleBase()` Returns the meta object for class '`Gen Rule Base`'
`EReference` `getGenRuleContainerBase_Editor()` Returns the meta object for the reference '`Editor`'
`EClass` `getGenRuleContainerBase()` Returns the meta object for class '`Gen Rule Container Base`'
`EClass` `getGenRuleTarget()` Returns the meta object for class '`Gen Rule Target`'
`EEnum` `getGenSeverity()` Returns the meta object for enum '`Gen Severity`'
`EReference` `getGenTopLevelNode_Diagram()` Returns the meta object for the container reference '`Diagram`'
`EClass` `getGenTopLevelNode()` Returns the meta object for class '`Gen Top Level Node`'
`GMFGenFactory` `getGMFGenFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getInnerClassViewmap_ClassBody()` Returns the meta object for the attribute '`Class Body`'
`EAttribute` `getInnerClassViewmap_ClassName()` Returns the meta object for the attribute '`Class Name`'
`EClass` `getInnerClassViewmap()` Returns the meta object for class '`Inner Class Viewmap`'
`EClass` `getLabelModelFacet()` Returns the meta object for class '`Label Model Facet`'
`EAttribute` `getLabelOffsetAttributes_X()` Returns the meta object for the attribute '`X`'
`EAttribute` `getLabelOffsetAttributes_Y()` Returns the meta object for the attribute '`Y`'
`EClass` `getLabelOffsetAttributes()` Returns the meta object for class '`Label Offset Attributes`'
`EClass` `getLinkConstraints()` Returns the meta object for class '`Link Constraints`'
`EEnum` `getLinkLabelAlignment()` Returns the meta object for enum '`Link Label Alignment`'
`EClass` `getLinkModelFacet()` Returns the meta object for class '`Link Model Facet`'
`EAttribute` `getMeasurementUnit_Units()` Returns the meta object for the attribute '`Units`'
`EClass` `getMeasurementUnit()` Returns the meta object for class '`Measurement Unit`'
`EAttribute` `getMetamodelType_EditHelperClassName()` Returns the meta object for the attribute '`Edit Helper Class Name`'
`EClass` `getMetamodelType()` Returns the meta object for class '`Metamodel Type`'
`EClass` `getModelFacet()` Returns the meta object for class '`Model Facet`'
`EClass` `getNotationType()` Returns the meta object for class '`Notation Type`'
`EAttribute` `getPackageNames_EditCommandsPackageName()` Returns the meta object for the attribute '`Edit Commands Package Name`'
`EAttribute` `getPackageNames_EditHelpersPackageName()` Returns the meta object for the attribute '`Edit Helpers Package Name`'
`EAttribute` `getPackageNames_EditPartsPackageName()` Returns the meta object for the attribute '`Edit Parts Package Name`'
`EAttribute` `getPackageNames_EditPoliciesPackageName()` Returns the meta object for the attribute '`Edit Policies Package Name`'
`EAttribute` `getPackageNames_NotationViewFactoriesPackageName()` Returns the meta object for the attribute '`Notation View Factories Package Name`'
`EAttribute` `getPackageNames_ProvidersPackageName()` Returns the meta object for the attribute '`Providers Package Name`'
`EClass` `getPackageNames()` Returns the meta object for class '`Package Names`'
`EReference` `getPalette_Diagram()` Returns the meta object for the container reference '`Diagram`'
`EAttribute` `getPalette_FactoryClassName()` Returns the meta object for the attribute '`Factory Class Name`'
`EAttribute` `getPalette_Flyout()` Returns the meta object for the attribute '`Flyout`'
`EReference` `getPalette_Groups()` Returns the meta object for the containment reference list '`Groups`'
`EAttribute` `getPalette_PackageName()` Returns the meta object for the attribute '`Package Name`'
`EClass` `getPalette()` Returns the meta object for class '`Palette`'
`EAttribute` `getParentAssignedViewmap_FigureQualifiedClassName()` Returns the meta object for the attribute '`Figure Qualified Class Name`'
`EAttribute` `getParentAssignedViewmap_GetterName()` Returns the meta object for the attribute '`Getter Name`'
`EAttribute` `getParentAssignedViewmap_SetterName()` Returns the meta object for the attribute '`Setter Name`'
`EClass` `getParentAssignedViewmap()` Returns the meta object for class '`Parent Assigned Viewmap`'
`EAttribute` `getProviderClassNames_AbstractParserClassName()` Returns the meta object for the attribute '`Abstract Parser Class Name`'
`EAttribute` `getProviderClassNames_ContributionItemProviderClassName()` Returns the meta object for the attribute '`Contribution Item Provider Class Name`'
`EAttribute` `getProviderClassNames_EditPartProviderClassName()` Returns the meta object for the attribute '`Edit Part Provider Class Name`'
`EAttribute` `getProviderClassNames_EditPartProviderPriority()` Returns the meta object for the attribute '`Edit Part Provider Priority`'
`EAttribute` `getProviderClassNames_ElementTypesClassName()` Returns the meta object for the attribute '`Element Types Class Name`'
`EAttribute` `getProviderClassNames_IconProviderClassName()` Returns the meta object for the attribute '`Icon Provider Class Name`'
`EAttribute` `getProviderClassNames_IconProviderPriority()` Returns the meta object for the attribute '`Icon Provider Priority`'
`EAttribute` `getProviderClassNames_ModelingAssistantProviderClassName()` Returns the meta object for the attribute '`Modeling Assistant Provider Class Name`'
`EAttribute` `getProviderClassNames_ModelingAssistantProviderPriority()` Returns the meta object for the attribute '`Modeling Assistant Provider Priority`'
`EAttribute` `getProviderClassNames_NotationViewProviderClassName()` Returns the meta object for the attribute '`Notation View Provider Class Name`'
`EAttribute` `getProviderClassNames_NotationViewProviderPriority()` Returns the meta object for the attribute '`Notation View Provider Priority`'
`EAttribute` `getProviderClassNames_PaletteProviderClassName()` Returns the meta object for the attribute '`Palette Provider Class Name`'
`EAttribute` `getProviderClassNames_PaletteProviderPriority()` Returns the meta object for the attribute '`Palette Provider Priority`'
`EAttribute` `getProviderClassNames_ParserProviderClassName()` Returns the meta object for the attribute '`Parser Provider Class Name`'
`EAttribute` `getProviderClassNames_ParserProviderPriority()` Returns the meta object for the attribute '`Parser Provider Priority`'
`EAttribute` `getProviderClassNames_PropertyProviderClassName()` Returns the meta object for the attribute '`Property Provider Class Name`'
`EAttribute` `getProviderClassNames_PropertyProviderPriority()` Returns the meta object for the attribute '`Property Provider Priority`'
`EAttribute` `getProviderClassNames_StructuralFeatureParserClassName()` Returns the meta object for the attribute '`Structural Feature Parser Class Name`'
`EAttribute` `getProviderClassNames_StructuralFeaturesParserClassName()` Returns the meta object for the attribute '`Structural Features Parser Class Name`'
`EClass` `getProviderClassNames()` Returns the meta object for class '`Provider Class Names`'
`EEnum` `getProviderPriority()` Returns the meta object for enum '`Provider Priority`'
`EAttribute` `getResizeConstraints_NonResizeHandles()` Returns the meta object for the attribute '`Non Resize Handles`'
`EAttribute` `getResizeConstraints_ResizeHandles()` Returns the meta object for the attribute '`Resize Handles`'
`EClass` `getResizeConstraints()` Returns the meta object for class '`Resize Constraints`'
`EClass` `getSeparator()` Returns the meta object for class '`Separator`'
`EAttribute` `getShortcuts_ContainsShortcutsTo()` Returns the meta object for the attribute list '`Contains Shortcuts To`'
`EAttribute` `getShortcuts_CreateShortcutActionClassName()` Returns the meta object for the attribute '`Create Shortcut Action Class Name`'
`EAttribute` `getShortcuts_ShortcutsDecoratorProviderClassName()` Returns the meta object for the attribute '`Shortcuts Decorator Provider Class Name`'
`EAttribute` `getShortcuts_ShortcutsDecoratorProviderPriority()` Returns the meta object for the attribute '`Shortcuts Decorator Provider Priority`'
`EAttribute` `getShortcuts_ShortcutsProvidedFor()` Returns the meta object for the attribute list '`Shortcuts Provided For`'
`EClass` `getShortcuts()` Returns the meta object for class '`Shortcuts`'
`EAttribute` `getSnippetViewmap_Body()` Returns the meta object for the attribute '`Body`'
`EClass` `getSnippetViewmap()` Returns the meta object for class '`Snippet Viewmap`'
`EAttribute` `getSpecializationType_EditHelperAdviceClassName()` Returns the meta object for the attribute '`Edit Helper Advice Class Name`'
`EReference` `getSpecializationType_MetamodelType()` Returns the meta object for the reference '`Metamodel Type`'
`EClass` `getSpecializationType()` Returns the meta object for class '`Specialization Type`'
`EAttribute` `getStyleAttributes_FixedBackground()` Returns the meta object for the attribute '`Fixed Background`'
`EAttribute` `getStyleAttributes_FixedFont()` Returns the meta object for the attribute '`Fixed Font`'
`EAttribute` `getStyleAttributes_FixedForeground()` Returns the meta object for the attribute '`Fixed Foreground`'
`EClass` `getStyleAttributes()` Returns the meta object for class '`Style Attributes`'
`EAttribute` `getToolEntry_Default()` Returns the meta object for the attribute '`Default`'
`EReference` `getToolEntry_Elements()` Returns the meta object for the reference list '`Elements`'
`EReference` `getToolEntry_GenLinks()` Returns the meta object for the reference list '`Gen Links`'
`EReference` `getToolEntry_GenNodes()` Returns the meta object for the reference list '`Gen Nodes`'
`EReference` `getToolEntry_Properties()` Returns the meta object for the map '`Properties`'
`EAttribute` `getToolEntry_QualifiedToolName()` Returns the meta object for the attribute '`Qualified Tool Name`'
`EClass` `getToolEntry()` Returns the meta object for class '`Tool Entry`'
`EAttribute` `getToolGroup_Collapse()` Returns the meta object for the attribute '`Collapse`'
`EReference` `getToolGroup_Entries()` Returns the meta object for the containment reference list '`Entries`'
`EAttribute` `getToolGroup_Stack()` Returns the meta object for the attribute '`Stack`'
`EAttribute` `getToolGroup_ToolsOnly()` Returns the meta object for the attribute '`Tools Only`'
`EClass` `getToolGroup()` Returns the meta object for class '`Tool Group`'
`EClass` `getToolGroupItem()` Returns the meta object for class '`Tool Group Item`'
`EReference` `getTypeLinkModelFacet_SourceMetaFeature()` Returns the meta object for the reference '`Source Meta Feature`'
`EReference` `getTypeLinkModelFacet_TargetMetaFeature()` Returns the meta object for the reference '`Target Meta Feature`'
`EClass` `getTypeLinkModelFacet()` Returns the meta object for class '`Type Link Model Facet`'
`EReference` `getTypeModelFacet_ChildMetaFeature()` Returns the meta object for the reference '`Child Meta Feature`'
`EReference` `getTypeModelFacet_ContainmentMetaFeature()` Returns the meta object for the reference '`Containment Meta Feature`'
`EReference` `getTypeModelFacet_MetaClass()` Returns the meta object for the reference '`Meta Class`'
`EReference` `getTypeModelFacet_ModelElementInitializer()` Returns the meta object for the containment reference '`Model Element Initializer`'
`EReference` `getTypeModelFacet_ModelElementSelector()` Returns the meta object for the containment reference '`Model Element Selector`'
`EClass` `getTypeModelFacet()` Returns the meta object for class '`Type Model Facet`'
`EAttribute` `getValueExpression_Body()` Returns the meta object for the attribute '`Body`'
`EAttribute` `getValueExpression_LangName()` Returns the meta object for the attribute '`Lang Name`'
`EAttribute` `getValueExpression_Language()` Returns the meta object for the attribute '`Language`'
`EClass` `getValueExpression()` Returns the meta object for class '`Value Expression`'
`EReference` `getViewmap_Attributes()` Returns the meta object for the containment reference list '`Attributes`'
`EAttribute` `getViewmap_LayoutType()` Returns the meta object for the attribute '`Layout Type`'
`EAttribute` `getViewmap_RequiredPluginIDs()` Returns the meta object for the attribute list '`Required Plugin IDs`'
`EClass` `getViewmap()` Returns the meta object for class '`Viewmap`'
`EEnum` `getViewmapLayoutType()` Returns the meta object for enum '`Viewmap Layout Type`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    public static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_URI

    public static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_PREFIX

    public static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values
  ** Generated **

### eINSTANCE

    public static final GMFGenPackage eINSTANCE

  The singleton instance of the package.

  ** Generated **

### GEN_EDITOR_GENERATOR

    public static final int GEN_EDITOR_GENERATOR

  The meta object id for the '`Gen Editor Generator`' class.

  See Also:
    `GenEditorGeneratorImpl`, `GMFGenPackageImpl.getGenEditorGenerator()`, Constant Field Values
  ** Generated **

### GEN_EDITOR_GENERATOR__AUDITS

    public static final int GEN_EDITOR_GENERATOR__AUDITS

  The feature id for the 'Audits' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__METRICS

    public static final int GEN_EDITOR_GENERATOR__METRICS

  The feature id for the 'Metrics' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__DIAGRAM

    public static final int GEN_EDITOR_GENERATOR__DIAGRAM

  The feature id for the 'Diagram' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__PLUGIN

    public static final int GEN_EDITOR_GENERATOR__PLUGIN

  The feature id for the 'Plugin' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__EDITOR

    public static final int GEN_EDITOR_GENERATOR__EDITOR

  The feature id for the 'Editor' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__DOMAIN_GEN_MODEL

    public static final int GEN_EDITOR_GENERATOR__DOMAIN_GEN_MODEL

  The feature id for the 'Domain Gen Model' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__PACKAGE_NAME_PREFIX

    public static final int GEN_EDITOR_GENERATOR__PACKAGE_NAME_PREFIX

  The feature id for the 'Package Name Prefix' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__MODEL_ID

    public static final int GEN_EDITOR_GENERATOR__MODEL_ID

  The feature id for the 'Model ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__SAME_FILE_FOR_DIAGRAM_AND_MODEL

    public static final int GEN_EDITOR_GENERATOR__SAME_FILE_FOR_DIAGRAM_AND_MODEL

  The feature id for the 'Same File For Diagram And Model' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__DIAGRAM_FILE_EXTENSION

    public static final int GEN_EDITOR_GENERATOR__DIAGRAM_FILE_EXTENSION

  The feature id for the 'Diagram File Extension' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__DOMAIN_FILE_EXTENSION

    public static final int GEN_EDITOR_GENERATOR__DOMAIN_FILE_EXTENSION

  The feature id for the 'Domain File Extension' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__DYNAMIC_TEMPLATES

    public static final int GEN_EDITOR_GENERATOR__DYNAMIC_TEMPLATES

  The feature id for the 'Dynamic Templates' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__TEMPLATE_DIRECTORY

    public static final int GEN_EDITOR_GENERATOR__TEMPLATE_DIRECTORY

  The feature id for the 'Template Directory' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__COPYRIGHT_TEXT

    public static final int GEN_EDITOR_GENERATOR__COPYRIGHT_TEXT

  The feature id for the 'Copyright Text' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR__EXPRESSION_PROVIDERS

    public static final int GEN_EDITOR_GENERATOR__EXPRESSION_PROVIDERS

  The feature id for the 'Expression Providers' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_GENERATOR_FEATURE_COUNT

    public static final int GEN_EDITOR_GENERATOR_FEATURE_COUNT

  The number of structural features of the 'Gen Editor Generator' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMMON_BASE

    public static final int GEN_COMMON_BASE

  The meta object id for the '`Gen Common Base`' class.

  See Also:
    `GenCommonBaseImpl`, `GMFGenPackageImpl.getGenCommonBase()`, Constant Field Values
  ** Generated **

### GEN_COMMON_BASE__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_COMMON_BASE__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMMON_BASE__VISUAL_ID

    public static final int GEN_COMMON_BASE__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMMON_BASE__ELEMENT_TYPE

    public static final int GEN_COMMON_BASE__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMMON_BASE__EDIT_PART_CLASS_NAME

    public static final int GEN_COMMON_BASE__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMMON_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_COMMON_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMMON_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_COMMON_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMMON_BASE__VIEWMAP

    public static final int GEN_COMMON_BASE__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMMON_BASE_FEATURE_COUNT

    public static final int GEN_COMMON_BASE_FEATURE_COUNT

  The number of structural features of the 'Gen Common Base' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE

    public static final int GEN_CONTAINER_BASE

  The meta object id for the '`Gen Container Base`' class.

  See Also:
    `GenContainerBase`, `GMFGenPackageImpl.getGenContainerBase()`, Constant Field Values
  ** Generated **

### GEN_CONTAINER_BASE__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_CONTAINER_BASE__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE__VISUAL_ID

    public static final int GEN_CONTAINER_BASE__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE__ELEMENT_TYPE

    public static final int GEN_CONTAINER_BASE__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE__EDIT_PART_CLASS_NAME

    public static final int GEN_CONTAINER_BASE__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CONTAINER_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_CONTAINER_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE__VIEWMAP

    public static final int GEN_CONTAINER_BASE__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE__CONTAINED_NODES

    public static final int GEN_CONTAINER_BASE__CONTAINED_NODES

  The feature id for the 'Contained Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONTAINER_BASE_FEATURE_COUNT

    public static final int GEN_CONTAINER_BASE_FEATURE_COUNT

  The number of structural features of the 'Gen Container Base' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM

    public static final int GEN_DIAGRAM

  The meta object id for the '`Gen Diagram`' class.

  See Also:
    `GenDiagramImpl`, `GMFGenPackageImpl.getGenDiagram()`, Constant Field Values
  ** Generated **

### GEN_DIAGRAM__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_DIAGRAM__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VISUAL_ID

    public static final int GEN_DIAGRAM__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__ELEMENT_TYPE

    public static final int GEN_DIAGRAM__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDIT_PART_CLASS_NAME

    public static final int GEN_DIAGRAM__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_DIAGRAM__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_DIAGRAM__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VIEWMAP

    public static final int GEN_DIAGRAM__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CONTAINED_NODES

    public static final int GEN_DIAGRAM__CONTAINED_NODES

  The feature id for the 'Contained Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDIT_COMMANDS_PACKAGE_NAME

    public static final int GEN_DIAGRAM__EDIT_COMMANDS_PACKAGE_NAME

  The feature id for the 'Edit Commands Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDIT_HELPERS_PACKAGE_NAME

    public static final int GEN_DIAGRAM__EDIT_HELPERS_PACKAGE_NAME

  The feature id for the 'Edit Helpers Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDIT_PARTS_PACKAGE_NAME

    public static final int GEN_DIAGRAM__EDIT_PARTS_PACKAGE_NAME

  The feature id for the 'Edit Parts Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDIT_POLICIES_PACKAGE_NAME

    public static final int GEN_DIAGRAM__EDIT_POLICIES_PACKAGE_NAME

  The feature id for the 'Edit Policies Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PROVIDERS_PACKAGE_NAME

    public static final int GEN_DIAGRAM__PROVIDERS_PACKAGE_NAME

  The feature id for the 'Providers Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__NOTATION_VIEW_FACTORIES_PACKAGE_NAME

    public static final int GEN_DIAGRAM__NOTATION_VIEW_FACTORIES_PACKAGE_NAME

  The feature id for the 'Notation View Factories Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__ELEMENT_TYPES_CLASS_NAME

    public static final int GEN_DIAGRAM__ELEMENT_TYPES_CLASS_NAME

  The feature id for the 'Element Types Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_CLASS_NAME

  The feature id for the 'Notation View Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_PRIORITY

  The feature id for the 'Notation View Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDIT_PART_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__EDIT_PART_PROVIDER_CLASS_NAME

  The feature id for the 'Edit Part Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDIT_PART_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__EDIT_PART_PROVIDER_PRIORITY

  The feature id for the 'Edit Part Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PALETTE_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__PALETTE_PROVIDER_CLASS_NAME

  The feature id for the 'Palette Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PALETTE_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__PALETTE_PROVIDER_PRIORITY

  The feature id for the 'Palette Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_CLASS_NAME

  The feature id for the 'Modeling Assistant Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_PRIORITY

  The feature id for the 'Modeling Assistant Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PROPERTY_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__PROPERTY_PROVIDER_CLASS_NAME

  The feature id for the 'Property Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PROPERTY_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__PROPERTY_PROVIDER_PRIORITY

  The feature id for the 'Property Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__ICON_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__ICON_PROVIDER_CLASS_NAME

  The feature id for the 'Icon Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__ICON_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__ICON_PROVIDER_PRIORITY

  The feature id for the 'Icon Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PARSER_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__PARSER_PROVIDER_CLASS_NAME

  The feature id for the 'Parser Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PARSER_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__PARSER_PROVIDER_PRIORITY

  The feature id for the 'Parser Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__ABSTRACT_PARSER_CLASS_NAME

    public static final int GEN_DIAGRAM__ABSTRACT_PARSER_CLASS_NAME

  The feature id for the 'Abstract Parser Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__STRUCTURAL_FEATURE_PARSER_CLASS_NAME

    public static final int GEN_DIAGRAM__STRUCTURAL_FEATURE_PARSER_CLASS_NAME

  The feature id for the 'Structural Feature Parser Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__STRUCTURAL_FEATURES_PARSER_CLASS_NAME

    public static final int GEN_DIAGRAM__STRUCTURAL_FEATURES_PARSER_CLASS_NAME

  The feature id for the 'Structural Features Parser Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME

  The feature id for the 'Contribution Item Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME

    public static final int GEN_DIAGRAM__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME

  The feature id for the 'Reorient Connection View Command Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__BASE_EDIT_HELPER_CLASS_NAME

    public static final int GEN_DIAGRAM__BASE_EDIT_HELPER_CLASS_NAME

  The feature id for the 'Base Edit Helper Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDIT_PART_FACTORY_CLASS_NAME

    public static final int GEN_DIAGRAM__EDIT_PART_FACTORY_CLASS_NAME

  The feature id for the 'Edit Part Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME

    public static final int GEN_DIAGRAM__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME

  The feature id for the 'Base External Node Label Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_DIAGRAM__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Base Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

    public static final int GEN_DIAGRAM__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Base Graphical Node Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__REFERENCE_CONNECTION_EDIT_POLICY_CLASS_NAME

    public static final int GEN_DIAGRAM__REFERENCE_CONNECTION_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Reference Connection Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CANONICAL_EDIT_POLICY_CLASS_NAME

    public static final int GEN_DIAGRAM__CANONICAL_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Canonical Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME

    public static final int GEN_DIAGRAM__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Text Selection Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME

    public static final int GEN_DIAGRAM__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Text Non Resizable Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EXTERNAL_NODE_LABEL_HOST_LAYOUT_EDIT_POLICY_CLASS_NAME

    public static final int GEN_DIAGRAM__EXTERNAL_NODE_LABEL_HOST_LAYOUT_EDIT_POLICY_CLASS_NAME

  The feature id for the 'External Node Label Host Layout Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CREATION_WIZARD_CLASS_NAME

    public static final int GEN_DIAGRAM__CREATION_WIZARD_CLASS_NAME

  The feature id for the 'Creation Wizard Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CREATION_WIZARD_PAGE_CLASS_NAME

    public static final int GEN_DIAGRAM__CREATION_WIZARD_PAGE_CLASS_NAME

  The feature id for the 'Creation Wizard Page Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CREATION_WIZARD_ICON_PATH

    public static final int GEN_DIAGRAM__CREATION_WIZARD_ICON_PATH

  The feature id for the 'Creation Wizard Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CREATION_WIZARD_CATEGORY_ID

    public static final int GEN_DIAGRAM__CREATION_WIZARD_CATEGORY_ID

  The feature id for the 'Creation Wizard Category ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__DIAGRAM_EDITOR_UTIL_CLASS_NAME

    public static final int GEN_DIAGRAM__DIAGRAM_EDITOR_UTIL_CLASS_NAME

  The feature id for the 'Diagram Editor Util Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__DIAGRAM_FILE_CREATOR_CLASS_NAME

    public static final int GEN_DIAGRAM__DIAGRAM_FILE_CREATOR_CLASS_NAME

  The feature id for the 'Diagram File Creator Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__DOCUMENT_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__DOCUMENT_PROVIDER_CLASS_NAME

  The feature id for the 'Document Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME

    public static final int GEN_DIAGRAM__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME

  The feature id for the 'Init Diagram File Action Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME

    public static final int GEN_DIAGRAM__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME

  The feature id for the 'New Diagram File Wizard Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__MATCHING_STRATEGY_CLASS_NAME

    public static final int GEN_DIAGRAM__MATCHING_STRATEGY_CLASS_NAME

  The feature id for the 'Matching Strategy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PREFERENCE_INITIALIZER_CLASS_NAME

    public static final int GEN_DIAGRAM__PREFERENCE_INITIALIZER_CLASS_NAME

  The feature id for the 'Preference Initializer Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VISUAL_ID_REGISTRY_CLASS_NAME

    public static final int GEN_DIAGRAM__VISUAL_ID_REGISTRY_CLASS_NAME

  The feature id for the 'Visual ID Registry Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__ELEMENT_CHOOSER_CLASS_NAME

    public static final int GEN_DIAGRAM__ELEMENT_CHOOSER_CLASS_NAME

  The feature id for the 'Element Chooser Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__LOAD_RESOURCE_ACTION_CLASS_NAME

    public static final int GEN_DIAGRAM__LOAD_RESOURCE_ACTION_CLASS_NAME

  The feature id for the 'Load Resource Action Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDITING_DOMAIN_ID

    public static final int GEN_DIAGRAM__EDITING_DOMAIN_ID

  The feature id for the 'Editing Domain ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME

  The feature id for the 'Shortcuts Decorator Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY

  The feature id for the 'Shortcuts Decorator Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CREATE_SHORTCUT_ACTION_CLASS_NAME

    public static final int GEN_DIAGRAM__CREATE_SHORTCUT_ACTION_CLASS_NAME

  The feature id for the 'Create Shortcut Action Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CONTAINS_SHORTCUTS_TO

    public static final int GEN_DIAGRAM__CONTAINS_SHORTCUTS_TO

  The feature id for the 'Contains Shortcuts To' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__SHORTCUTS_PROVIDED_FOR

    public static final int GEN_DIAGRAM__SHORTCUTS_PROVIDED_FOR

  The feature id for the 'Shortcuts Provided For' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VALIDATION_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__VALIDATION_PROVIDER_CLASS_NAME

  The feature id for the 'Validation Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VALIDATION_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__VALIDATION_PROVIDER_PRIORITY

  The feature id for the 'Validation Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_CLASS_NAME

  The feature id for the 'Marker Navigation Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_PRIORITY

  The feature id for the 'Marker Navigation Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VALIDATION_ENABLED

    public static final int GEN_DIAGRAM__VALIDATION_ENABLED

  The feature id for the 'Validation Enabled' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__METRIC_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__METRIC_PROVIDER_CLASS_NAME

  The feature id for the 'Metric Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__METRIC_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__METRIC_PROVIDER_PRIORITY

  The feature id for the 'Metric Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME

    public static final int GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME

  The feature id for the 'Validation Decorator Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VALIDATION_DECORATORS

    public static final int GEN_DIAGRAM__VALIDATION_DECORATORS

  The feature id for the 'Validation Decorators' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_PRIORITY

    public static final int GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_PRIORITY

  The feature id for the 'Validation Decorator Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__UNITS

    public static final int GEN_DIAGRAM__UNITS

  The feature id for the 'Units' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__EDITOR_GEN

    public static final int GEN_DIAGRAM__EDITOR_GEN

  The feature id for the 'Editor Gen' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__DOMAIN_DIAGRAM_ELEMENT

    public static final int GEN_DIAGRAM__DOMAIN_DIAGRAM_ELEMENT

  The feature id for the 'Domain Diagram Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__CHILD_NODES

    public static final int GEN_DIAGRAM__CHILD_NODES

  The feature id for the 'Child Nodes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__TOP_LEVEL_NODES

    public static final int GEN_DIAGRAM__TOP_LEVEL_NODES

  The feature id for the 'Top Level Nodes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__LINKS

    public static final int GEN_DIAGRAM__LINKS

  The feature id for the 'Links' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__COMPARTMENTS

    public static final int GEN_DIAGRAM__COMPARTMENTS

  The feature id for the 'Compartments' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__PALETTE

    public static final int GEN_DIAGRAM__PALETTE

  The feature id for the 'Palette' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM__SYNCHRONIZED

    public static final int GEN_DIAGRAM__SYNCHRONIZED

  The feature id for the 'Synchronized' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM_FEATURE_COUNT

    public static final int GEN_DIAGRAM_FEATURE_COUNT

  The number of structural features of the 'Gen Diagram' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_VIEW

    public static final int GEN_EDITOR_VIEW

  The meta object id for the '`Gen Editor View`' class.

  See Also:
    `GenEditorViewImpl`, `GMFGenPackageImpl.getGenEditorView()`, Constant Field Values
  ** Generated **

### GEN_EDITOR_VIEW__EDITOR_GEN

    public static final int GEN_EDITOR_VIEW__EDITOR_GEN

  The feature id for the 'Editor Gen' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_VIEW__PACKAGE_NAME

    public static final int GEN_EDITOR_VIEW__PACKAGE_NAME

  The feature id for the 'Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_VIEW__ACTION_BAR_CONTRIBUTOR_CLASS_NAME

    public static final int GEN_EDITOR_VIEW__ACTION_BAR_CONTRIBUTOR_CLASS_NAME

  The feature id for the 'Action Bar Contributor Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_VIEW__CLASS_NAME

    public static final int GEN_EDITOR_VIEW__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_VIEW__ICON_PATH

    public static final int GEN_EDITOR_VIEW__ICON_PATH

  The feature id for the 'Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_VIEW__ID

    public static final int GEN_EDITOR_VIEW__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EDITOR_VIEW_FEATURE_COUNT

    public static final int GEN_EDITOR_VIEW_FEATURE_COUNT

  The number of structural features of the 'Gen Editor View' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION

    public static final int BATCH_VALIDATION

  The meta object id for the '`Batch Validation`' class.

  See Also:
    `BatchValidation`, `GMFGenPackageImpl.getBatchValidation()`, Constant Field Values
  ** Generated **

### BATCH_VALIDATION__VALIDATION_PROVIDER_CLASS_NAME

    public static final int BATCH_VALIDATION__VALIDATION_PROVIDER_CLASS_NAME

  The feature id for the 'Validation Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__VALIDATION_PROVIDER_PRIORITY

    public static final int BATCH_VALIDATION__VALIDATION_PROVIDER_PRIORITY

  The feature id for the 'Validation Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_CLASS_NAME

    public static final int BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_CLASS_NAME

  The feature id for the 'Marker Navigation Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_PRIORITY

    public static final int BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_PRIORITY

  The feature id for the 'Marker Navigation Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__VALIDATION_ENABLED

    public static final int BATCH_VALIDATION__VALIDATION_ENABLED

  The feature id for the 'Validation Enabled' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__METRIC_PROVIDER_CLASS_NAME

    public static final int BATCH_VALIDATION__METRIC_PROVIDER_CLASS_NAME

  The feature id for the 'Metric Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__METRIC_PROVIDER_PRIORITY

    public static final int BATCH_VALIDATION__METRIC_PROVIDER_PRIORITY

  The feature id for the 'Metric Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME

    public static final int BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME

  The feature id for the 'Validation Decorator Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__VALIDATION_DECORATORS

    public static final int BATCH_VALIDATION__VALIDATION_DECORATORS

  The feature id for the 'Validation Decorators' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_PRIORITY

    public static final int BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_PRIORITY

  The feature id for the 'Validation Decorator Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BATCH_VALIDATION_FEATURE_COUNT

    public static final int BATCH_VALIDATION_FEATURE_COUNT

  The number of structural features of the 'Batch Validation' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES

    public static final int PROVIDER_CLASS_NAMES

  The meta object id for the '`Provider Class Names`' class.

  See Also:
    `ProviderClassNames`, `GMFGenPackageImpl.getProviderClassNames()`, Constant Field Values
  ** Generated **

### PROVIDER_CLASS_NAMES__ELEMENT_TYPES_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__ELEMENT_TYPES_CLASS_NAME

  The feature id for the 'Element Types Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_CLASS_NAME

  The feature id for the 'Notation View Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_PRIORITY

    public static final int PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_PRIORITY

  The feature id for the 'Notation View Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_CLASS_NAME

  The feature id for the 'Edit Part Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_PRIORITY

    public static final int PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_PRIORITY

  The feature id for the 'Edit Part Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__PALETTE_PROVIDER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__PALETTE_PROVIDER_CLASS_NAME

  The feature id for the 'Palette Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__PALETTE_PROVIDER_PRIORITY

    public static final int PROVIDER_CLASS_NAMES__PALETTE_PROVIDER_PRIORITY

  The feature id for the 'Palette Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_CLASS_NAME

  The feature id for the 'Modeling Assistant Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_PRIORITY

    public static final int PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_PRIORITY

  The feature id for the 'Modeling Assistant Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__PROPERTY_PROVIDER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__PROPERTY_PROVIDER_CLASS_NAME

  The feature id for the 'Property Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__PROPERTY_PROVIDER_PRIORITY

    public static final int PROVIDER_CLASS_NAMES__PROPERTY_PROVIDER_PRIORITY

  The feature id for the 'Property Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__ICON_PROVIDER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__ICON_PROVIDER_CLASS_NAME

  The feature id for the 'Icon Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__ICON_PROVIDER_PRIORITY

    public static final int PROVIDER_CLASS_NAMES__ICON_PROVIDER_PRIORITY

  The feature id for the 'Icon Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__PARSER_PROVIDER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__PARSER_PROVIDER_CLASS_NAME

  The feature id for the 'Parser Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__PARSER_PROVIDER_PRIORITY

    public static final int PROVIDER_CLASS_NAMES__PARSER_PROVIDER_PRIORITY

  The feature id for the 'Parser Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__ABSTRACT_PARSER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__ABSTRACT_PARSER_CLASS_NAME

  The feature id for the 'Abstract Parser Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__STRUCTURAL_FEATURE_PARSER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__STRUCTURAL_FEATURE_PARSER_CLASS_NAME

  The feature id for the 'Structural Feature Parser Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__STRUCTURAL_FEATURES_PARSER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__STRUCTURAL_FEATURES_PARSER_CLASS_NAME

  The feature id for the 'Structural Features Parser Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME

    public static final int PROVIDER_CLASS_NAMES__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME

  The feature id for the 'Contribution Item Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_CLASS_NAMES_FEATURE_COUNT

    public static final int PROVIDER_CLASS_NAMES_FEATURE_COUNT

  The number of structural features of the 'Provider Class Names' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHORTCUTS

    public static final int SHORTCUTS

  The meta object id for the '`Shortcuts`' class.

  See Also:
    `Shortcuts`, `GMFGenPackageImpl.getShortcuts()`, Constant Field Values
  ** Generated **

### SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME

    public static final int SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME

  The feature id for the 'Shortcuts Decorator Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY

    public static final int SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY

  The feature id for the 'Shortcuts Decorator Provider Priority' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHORTCUTS__CREATE_SHORTCUT_ACTION_CLASS_NAME

    public static final int SHORTCUTS__CREATE_SHORTCUT_ACTION_CLASS_NAME

  The feature id for the 'Create Shortcut Action Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHORTCUTS__CONTAINS_SHORTCUTS_TO

    public static final int SHORTCUTS__CONTAINS_SHORTCUTS_TO

  The feature id for the 'Contains Shortcuts To' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHORTCUTS__SHORTCUTS_PROVIDED_FOR

    public static final int SHORTCUTS__SHORTCUTS_PROVIDED_FOR

  The feature id for the 'Shortcuts Provided For' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHORTCUTS_FEATURE_COUNT

    public static final int SHORTCUTS_FEATURE_COUNT

  The number of structural features of the 'Shortcuts' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PACKAGE_NAMES

    public static final int PACKAGE_NAMES

  The meta object id for the '`Package Names`' class.

  See Also:
    `PackageNames`, `GMFGenPackageImpl.getPackageNames()`, Constant Field Values
  ** Generated **

### PACKAGE_NAMES__EDIT_COMMANDS_PACKAGE_NAME

    public static final int PACKAGE_NAMES__EDIT_COMMANDS_PACKAGE_NAME

  The feature id for the 'Edit Commands Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PACKAGE_NAMES__EDIT_HELPERS_PACKAGE_NAME

    public static final int PACKAGE_NAMES__EDIT_HELPERS_PACKAGE_NAME

  The feature id for the 'Edit Helpers Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PACKAGE_NAMES__EDIT_PARTS_PACKAGE_NAME

    public static final int PACKAGE_NAMES__EDIT_PARTS_PACKAGE_NAME

  The feature id for the 'Edit Parts Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PACKAGE_NAMES__EDIT_POLICIES_PACKAGE_NAME

    public static final int PACKAGE_NAMES__EDIT_POLICIES_PACKAGE_NAME

  The feature id for the 'Edit Policies Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PACKAGE_NAMES__PROVIDERS_PACKAGE_NAME

    public static final int PACKAGE_NAMES__PROVIDERS_PACKAGE_NAME

  The feature id for the 'Providers Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PACKAGE_NAMES__NOTATION_VIEW_FACTORIES_PACKAGE_NAME

    public static final int PACKAGE_NAMES__NOTATION_VIEW_FACTORIES_PACKAGE_NAME

  The feature id for the 'Notation View Factories Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PACKAGE_NAMES_FEATURE_COUNT

    public static final int PACKAGE_NAMES_FEATURE_COUNT

  The number of structural features of the 'Package Names' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_CONSTRAINTS

    public static final int LINK_CONSTRAINTS

  The meta object id for the '`Link Constraints`' class.

  See Also:
    `LinkConstraints`, `GMFGenPackageImpl.getLinkConstraints()`, Constant Field Values
  ** Generated **

### LINK_CONSTRAINTS_FEATURE_COUNT

    public static final int LINK_CONSTRAINTS_FEATURE_COUNT

  The number of structural features of the 'Link Constraints' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES

    public static final int EDITOR_CANDIES

  The meta object id for the '`Editor Candies`' class.

  See Also:
    `EditorCandies`, `GMFGenPackageImpl.getEditorCandies()`, Constant Field Values
  ** Generated **

### EDITOR_CANDIES__CREATION_WIZARD_CLASS_NAME

    public static final int EDITOR_CANDIES__CREATION_WIZARD_CLASS_NAME

  The feature id for the 'Creation Wizard Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__CREATION_WIZARD_PAGE_CLASS_NAME

    public static final int EDITOR_CANDIES__CREATION_WIZARD_PAGE_CLASS_NAME

  The feature id for the 'Creation Wizard Page Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__CREATION_WIZARD_ICON_PATH

    public static final int EDITOR_CANDIES__CREATION_WIZARD_ICON_PATH

  The feature id for the 'Creation Wizard Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__CREATION_WIZARD_CATEGORY_ID

    public static final int EDITOR_CANDIES__CREATION_WIZARD_CATEGORY_ID

  The feature id for the 'Creation Wizard Category ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__DIAGRAM_EDITOR_UTIL_CLASS_NAME

    public static final int EDITOR_CANDIES__DIAGRAM_EDITOR_UTIL_CLASS_NAME

  The feature id for the 'Diagram Editor Util Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__DIAGRAM_FILE_CREATOR_CLASS_NAME

    public static final int EDITOR_CANDIES__DIAGRAM_FILE_CREATOR_CLASS_NAME

  The feature id for the 'Diagram File Creator Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__DOCUMENT_PROVIDER_CLASS_NAME

    public static final int EDITOR_CANDIES__DOCUMENT_PROVIDER_CLASS_NAME

  The feature id for the 'Document Provider Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME

    public static final int EDITOR_CANDIES__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME

  The feature id for the 'Init Diagram File Action Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME

    public static final int EDITOR_CANDIES__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME

  The feature id for the 'New Diagram File Wizard Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__MATCHING_STRATEGY_CLASS_NAME

    public static final int EDITOR_CANDIES__MATCHING_STRATEGY_CLASS_NAME

  The feature id for the 'Matching Strategy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__PREFERENCE_INITIALIZER_CLASS_NAME

    public static final int EDITOR_CANDIES__PREFERENCE_INITIALIZER_CLASS_NAME

  The feature id for the 'Preference Initializer Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__VISUAL_ID_REGISTRY_CLASS_NAME

    public static final int EDITOR_CANDIES__VISUAL_ID_REGISTRY_CLASS_NAME

  The feature id for the 'Visual ID Registry Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__ELEMENT_CHOOSER_CLASS_NAME

    public static final int EDITOR_CANDIES__ELEMENT_CHOOSER_CLASS_NAME

  The feature id for the 'Element Chooser Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__LOAD_RESOURCE_ACTION_CLASS_NAME

    public static final int EDITOR_CANDIES__LOAD_RESOURCE_ACTION_CLASS_NAME

  The feature id for the 'Load Resource Action Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES__EDITING_DOMAIN_ID

    public static final int EDITOR_CANDIES__EDITING_DOMAIN_ID

  The feature id for the 'Editing Domain ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDITOR_CANDIES_FEATURE_COUNT

    public static final int EDITOR_CANDIES_FEATURE_COUNT

  The number of structural features of the 'Editor Candies' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES

    public static final int EDIT_PART_CANDIES

  The meta object id for the '`Edit Part Candies`' class.

  See Also:
    `EditPartCandies`, `GMFGenPackageImpl.getEditPartCandies()`, Constant Field Values
  ** Generated **

### EDIT_PART_CANDIES__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME

    public static final int EDIT_PART_CANDIES__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME

  The feature id for the 'Reorient Connection View Command Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__BASE_EDIT_HELPER_CLASS_NAME

    public static final int EDIT_PART_CANDIES__BASE_EDIT_HELPER_CLASS_NAME

  The feature id for the 'Base Edit Helper Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__EDIT_PART_FACTORY_CLASS_NAME

    public static final int EDIT_PART_CANDIES__EDIT_PART_FACTORY_CLASS_NAME

  The feature id for the 'Edit Part Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME

    public static final int EDIT_PART_CANDIES__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME

  The feature id for the 'Base External Node Label Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int EDIT_PART_CANDIES__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Base Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

    public static final int EDIT_PART_CANDIES__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Base Graphical Node Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__REFERENCE_CONNECTION_EDIT_POLICY_CLASS_NAME

    public static final int EDIT_PART_CANDIES__REFERENCE_CONNECTION_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Reference Connection Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__CANONICAL_EDIT_POLICY_CLASS_NAME

    public static final int EDIT_PART_CANDIES__CANONICAL_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Canonical Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME

    public static final int EDIT_PART_CANDIES__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Text Selection Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME

    public static final int EDIT_PART_CANDIES__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Text Non Resizable Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES__EXTERNAL_NODE_LABEL_HOST_LAYOUT_EDIT_POLICY_CLASS_NAME

    public static final int EDIT_PART_CANDIES__EXTERNAL_NODE_LABEL_HOST_LAYOUT_EDIT_POLICY_CLASS_NAME

  The feature id for the 'External Node Label Host Layout Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDIT_PART_CANDIES_FEATURE_COUNT

    public static final int EDIT_PART_CANDIES_FEATURE_COUNT

  The number of structural features of the 'Edit Part Candies' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MEASUREMENT_UNIT

    public static final int MEASUREMENT_UNIT

  The meta object id for the '`Measurement Unit`' class.

  See Also:
    `MeasurementUnit`, `GMFGenPackageImpl.getMeasurementUnit()`, Constant Field Values
  ** Generated **

### MEASUREMENT_UNIT__UNITS

    public static final int MEASUREMENT_UNIT__UNITS

  The feature id for the 'Units' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MEASUREMENT_UNIT_FEATURE_COUNT

    public static final int MEASUREMENT_UNIT_FEATURE_COUNT

  The number of structural features of the 'Measurement Unit' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_PLUGIN

    public static final int GEN_PLUGIN

  The meta object id for the '`Gen Plugin`' class.

  See Also:
    `GenPluginImpl`, `GMFGenPackageImpl.getGenPlugin()`, Constant Field Values
  ** Generated **

### GEN_PLUGIN__EDITOR_GEN

    public static final int GEN_PLUGIN__EDITOR_GEN

  The feature id for the 'Editor Gen' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_PLUGIN__ID

    public static final int GEN_PLUGIN__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_PLUGIN__NAME

    public static final int GEN_PLUGIN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_PLUGIN__PROVIDER

    public static final int GEN_PLUGIN__PROVIDER

  The feature id for the 'Provider' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_PLUGIN__VERSION

    public static final int GEN_PLUGIN__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_PLUGIN__PRINTING_ENABLED

    public static final int GEN_PLUGIN__PRINTING_ENABLED

  The feature id for the 'Printing Enabled' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_PLUGIN__ACTIVATOR_CLASS_NAME

    public static final int GEN_PLUGIN__ACTIVATOR_CLASS_NAME

  The feature id for the 'Activator Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_PLUGIN_FEATURE_COUNT

    public static final int GEN_PLUGIN_FEATURE_COUNT

  The number of structural features of the 'Gen Plugin' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELEMENT_TYPE

    public static final int ELEMENT_TYPE

  The meta object id for the '`Element Type`' class.

  See Also:
    `ElementTypeImpl`, `GMFGenPackageImpl.getElementType()`, Constant Field Values
  ** Generated **

### METAMODEL_TYPE

    public static final int METAMODEL_TYPE

  The meta object id for the '`Metamodel Type`' class.

  See Also:
    `MetamodelTypeImpl`, `GMFGenPackageImpl.getMetamodelType()`, Constant Field Values
  ** Generated **

### SPECIALIZATION_TYPE

    public static final int SPECIALIZATION_TYPE

  The meta object id for the '`Specialization Type`' class.

  See Also:
    `SpecializationTypeImpl`, `GMFGenPackageImpl.getSpecializationType()`, Constant Field Values
  ** Generated **

### GEN_NODE

    public static final int GEN_NODE

  The meta object id for the '`Gen Node`' class.

  See Also:
    `GenNodeImpl`, `GMFGenPackageImpl.getGenNode()`, Constant Field Values
  ** Generated **

### GEN_COMPARTMENT

    public static final int GEN_COMPARTMENT

  The meta object id for the '`Gen Compartment`' class.

  See Also:
    `GenCompartmentImpl`, `GMFGenPackageImpl.getGenCompartment()`, Constant Field Values
  ** Generated **

### GEN_CHILD_CONTAINER

    public static final int GEN_CHILD_CONTAINER

  The meta object id for the '`Gen Child Container`' class.

  See Also:
    `GenChildContainerImpl`, `GMFGenPackageImpl.getGenChildContainer()`, Constant Field Values
  ** Generated **

### GEN_CHILD_CONTAINER__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_CHILD_CONTAINER__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__VISUAL_ID

    public static final int GEN_CHILD_CONTAINER__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__ELEMENT_TYPE

    public static final int GEN_CHILD_CONTAINER__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__EDIT_PART_CLASS_NAME

    public static final int GEN_CHILD_CONTAINER__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CHILD_CONTAINER__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_CHILD_CONTAINER__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__VIEWMAP

    public static final int GEN_CHILD_CONTAINER__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__CONTAINED_NODES

    public static final int GEN_CHILD_CONTAINER__CONTAINED_NODES

  The feature id for the 'Contained Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__CHILD_NODES

    public static final int GEN_CHILD_CONTAINER__CHILD_NODES

  The feature id for the 'Child Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER__CANONICAL_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CHILD_CONTAINER__CANONICAL_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Canonical Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_CONTAINER_FEATURE_COUNT

    public static final int GEN_CHILD_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Gen Child Container' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_NODE__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__VISUAL_ID

    public static final int GEN_NODE__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__ELEMENT_TYPE

    public static final int GEN_NODE__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__EDIT_PART_CLASS_NAME

    public static final int GEN_NODE__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__VIEWMAP

    public static final int GEN_NODE__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__CONTAINED_NODES

    public static final int GEN_NODE__CONTAINED_NODES

  The feature id for the 'Contained Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__CHILD_NODES

    public static final int GEN_NODE__CHILD_NODES

  The feature id for the 'Child Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME

    public static final int GEN_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Canonical Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__MODEL_FACET

    public static final int GEN_NODE__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__LABELS

    public static final int GEN_NODE__LABELS

  The feature id for the 'Labels' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__COMPARTMENTS

    public static final int GEN_NODE__COMPARTMENTS

  The feature id for the 'Compartments' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

    public static final int GEN_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Graphical Node Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_FEATURE_COUNT

    public static final int GEN_NODE_FEATURE_COUNT

  The number of structural features of the 'Gen Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE

    public static final int GEN_TOP_LEVEL_NODE

  The meta object id for the '`Gen Top Level Node`' class.

  See Also:
    `GenTopLevelNodeImpl`, `GMFGenPackageImpl.getGenTopLevelNode()`, Constant Field Values
  ** Generated **

### GEN_TOP_LEVEL_NODE__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_TOP_LEVEL_NODE__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__VISUAL_ID

    public static final int GEN_TOP_LEVEL_NODE__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__ELEMENT_TYPE

    public static final int GEN_TOP_LEVEL_NODE__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__EDIT_PART_CLASS_NAME

    public static final int GEN_TOP_LEVEL_NODE__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_TOP_LEVEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_TOP_LEVEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__VIEWMAP

    public static final int GEN_TOP_LEVEL_NODE__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__CONTAINED_NODES

    public static final int GEN_TOP_LEVEL_NODE__CONTAINED_NODES

  The feature id for the 'Contained Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__CHILD_NODES

    public static final int GEN_TOP_LEVEL_NODE__CHILD_NODES

  The feature id for the 'Child Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME

    public static final int GEN_TOP_LEVEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Canonical Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__MODEL_FACET

    public static final int GEN_TOP_LEVEL_NODE__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__LABELS

    public static final int GEN_TOP_LEVEL_NODE__LABELS

  The feature id for the 'Labels' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__COMPARTMENTS

    public static final int GEN_TOP_LEVEL_NODE__COMPARTMENTS

  The feature id for the 'Compartments' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

    public static final int GEN_TOP_LEVEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Graphical Node Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE__DIAGRAM

    public static final int GEN_TOP_LEVEL_NODE__DIAGRAM

  The feature id for the 'Diagram' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_TOP_LEVEL_NODE_FEATURE_COUNT

    public static final int GEN_TOP_LEVEL_NODE_FEATURE_COUNT

  The number of structural features of the 'Gen Top Level Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE

    public static final int GEN_CHILD_NODE

  The meta object id for the '`Gen Child Node`' class.

  See Also:
    `GenChildNodeImpl`, `GMFGenPackageImpl.getGenChildNode()`, Constant Field Values
  ** Generated **

### GEN_CHILD_NODE__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_CHILD_NODE__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__VISUAL_ID

    public static final int GEN_CHILD_NODE__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__ELEMENT_TYPE

    public static final int GEN_CHILD_NODE__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__EDIT_PART_CLASS_NAME

    public static final int GEN_CHILD_NODE__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CHILD_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_CHILD_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__VIEWMAP

    public static final int GEN_CHILD_NODE__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__CONTAINED_NODES

    public static final int GEN_CHILD_NODE__CONTAINED_NODES

  The feature id for the 'Contained Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__CHILD_NODES

    public static final int GEN_CHILD_NODE__CHILD_NODES

  The feature id for the 'Child Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CHILD_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Canonical Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__MODEL_FACET

    public static final int GEN_CHILD_NODE__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__LABELS

    public static final int GEN_CHILD_NODE__LABELS

  The feature id for the 'Labels' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__COMPARTMENTS

    public static final int GEN_CHILD_NODE__COMPARTMENTS

  The feature id for the 'Compartments' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CHILD_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Graphical Node Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__DIAGRAM

    public static final int GEN_CHILD_NODE__DIAGRAM

  The feature id for the 'Diagram' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE__CONTAINERS

    public static final int GEN_CHILD_NODE__CONTAINERS

  The feature id for the 'Containers' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_NODE_FEATURE_COUNT

    public static final int GEN_CHILD_NODE_FEATURE_COUNT

  The number of structural features of the 'Gen Child Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE

    public static final int GEN_CHILD_LABEL_NODE

  The meta object id for the '`Gen Child Label Node`' class.

  See Also:
    `GenChildLabelNodeImpl`, `GMFGenPackageImpl.getGenChildLabelNode()`, Constant Field Values
  ** Generated **

### GEN_CHILD_LABEL_NODE__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_CHILD_LABEL_NODE__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__VISUAL_ID

    public static final int GEN_CHILD_LABEL_NODE__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__ELEMENT_TYPE

    public static final int GEN_CHILD_LABEL_NODE__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__EDIT_PART_CLASS_NAME

    public static final int GEN_CHILD_LABEL_NODE__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CHILD_LABEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_CHILD_LABEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__VIEWMAP

    public static final int GEN_CHILD_LABEL_NODE__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__CONTAINED_NODES

    public static final int GEN_CHILD_LABEL_NODE__CONTAINED_NODES

  The feature id for the 'Contained Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__CHILD_NODES

    public static final int GEN_CHILD_LABEL_NODE__CHILD_NODES

  The feature id for the 'Child Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CHILD_LABEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Canonical Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__MODEL_FACET

    public static final int GEN_CHILD_LABEL_NODE__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__LABELS

    public static final int GEN_CHILD_LABEL_NODE__LABELS

  The feature id for the 'Labels' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__COMPARTMENTS

    public static final int GEN_CHILD_LABEL_NODE__COMPARTMENTS

  The feature id for the 'Compartments' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

    public static final int GEN_CHILD_LABEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Graphical Node Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__DIAGRAM

    public static final int GEN_CHILD_LABEL_NODE__DIAGRAM

  The feature id for the 'Diagram' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__CONTAINERS

    public static final int GEN_CHILD_LABEL_NODE__CONTAINERS

  The feature id for the 'Containers' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__LABEL_READ_ONLY

    public static final int GEN_CHILD_LABEL_NODE__LABEL_READ_ONLY

  The feature id for the 'Label Read Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__LABEL_ELEMENT_ICON

    public static final int GEN_CHILD_LABEL_NODE__LABEL_ELEMENT_ICON

  The feature id for the 'Label Element Icon' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE__LABEL_MODEL_FACET

    public static final int GEN_CHILD_LABEL_NODE__LABEL_MODEL_FACET

  The feature id for the 'Label Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CHILD_LABEL_NODE_FEATURE_COUNT

    public static final int GEN_CHILD_LABEL_NODE_FEATURE_COUNT

  The number of structural features of the 'Gen Child Label Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_COMPARTMENT__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__VISUAL_ID

    public static final int GEN_COMPARTMENT__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__ELEMENT_TYPE

    public static final int GEN_COMPARTMENT__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__EDIT_PART_CLASS_NAME

    public static final int GEN_COMPARTMENT__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_COMPARTMENT__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_COMPARTMENT__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__VIEWMAP

    public static final int GEN_COMPARTMENT__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__CONTAINED_NODES

    public static final int GEN_COMPARTMENT__CONTAINED_NODES

  The feature id for the 'Contained Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__CHILD_NODES

    public static final int GEN_COMPARTMENT__CHILD_NODES

  The feature id for the 'Child Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__CANONICAL_EDIT_POLICY_CLASS_NAME

    public static final int GEN_COMPARTMENT__CANONICAL_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Canonical Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__TITLE

    public static final int GEN_COMPARTMENT__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__CAN_COLLAPSE

    public static final int GEN_COMPARTMENT__CAN_COLLAPSE

  The feature id for the 'Can Collapse' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__HIDE_IF_EMPTY

    public static final int GEN_COMPARTMENT__HIDE_IF_EMPTY

  The feature id for the 'Hide If Empty' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__NEEDS_TITLE

    public static final int GEN_COMPARTMENT__NEEDS_TITLE

  The feature id for the 'Needs Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__DIAGRAM

    public static final int GEN_COMPARTMENT__DIAGRAM

  The feature id for the 'Diagram' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__NODE

    public static final int GEN_COMPARTMENT__NODE

  The feature id for the 'Node' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT__LIST_LAYOUT

    public static final int GEN_COMPARTMENT__LIST_LAYOUT

  The feature id for the 'List Layout' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_COMPARTMENT_FEATURE_COUNT

    public static final int GEN_COMPARTMENT_FEATURE_COUNT

  The number of structural features of the 'Gen Compartment' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK

    public static final int GEN_LINK

  The meta object id for the '`Gen Link`' class.

  See Also:
    `GenLinkImpl`, `GMFGenPackageImpl.getGenLink()`, Constant Field Values
  ** Generated **

### GEN_LINK__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_LINK__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__VISUAL_ID

    public static final int GEN_LINK__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__ELEMENT_TYPE

    public static final int GEN_LINK__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__EDIT_PART_CLASS_NAME

    public static final int GEN_LINK__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_LINK__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_LINK__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__VIEWMAP

    public static final int GEN_LINK__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__DIAGRAM

    public static final int GEN_LINK__DIAGRAM

  The feature id for the 'Diagram' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__MODEL_FACET

    public static final int GEN_LINK__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__LABELS

    public static final int GEN_LINK__LABELS

  The feature id for the 'Labels' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__OUTGOING_CREATION_ALLOWED

    public static final int GEN_LINK__OUTGOING_CREATION_ALLOWED

  The feature id for the 'Outgoing Creation Allowed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__INCOMING_CREATION_ALLOWED

    public static final int GEN_LINK__INCOMING_CREATION_ALLOWED

  The feature id for the 'Incoming Creation Allowed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__VIEW_DIRECTION_ALIGNED_WITH_MODEL

    public static final int GEN_LINK__VIEW_DIRECTION_ALIGNED_WITH_MODEL

  The feature id for the 'View Direction Aligned With Model' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK__CREATION_CONSTRAINTS

    public static final int GEN_LINK__CREATION_CONSTRAINTS

  The feature id for the 'Creation Constraints' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_FEATURE_COUNT

    public static final int GEN_LINK_FEATURE_COUNT

  The number of structural features of the 'Gen Link' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL

    public static final int GEN_LABEL

  The meta object id for the '`Gen Label`' class.

  See Also:
    `GenLabelImpl`, `GMFGenPackageImpl.getGenLabel()`, Constant Field Values
  ** Generated **

### GEN_LABEL__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_LABEL__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__VISUAL_ID

    public static final int GEN_LABEL__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__ELEMENT_TYPE

    public static final int GEN_LABEL__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__EDIT_PART_CLASS_NAME

    public static final int GEN_LABEL__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__VIEWMAP

    public static final int GEN_LABEL__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__READ_ONLY

    public static final int GEN_LABEL__READ_ONLY

  The feature id for the 'Read Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__ELEMENT_ICON

    public static final int GEN_LABEL__ELEMENT_ICON

  The feature id for the 'Element Icon' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL__MODEL_FACET

    public static final int GEN_LABEL__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LABEL_FEATURE_COUNT

    public static final int GEN_LABEL_FEATURE_COUNT

  The number of structural features of the 'Gen Label' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL

    public static final int GEN_NODE_LABEL

  The meta object id for the '`Gen Node Label`' class.

  See Also:
    `GenNodeLabelImpl`, `GMFGenPackageImpl.getGenNodeLabel()`, Constant Field Values
  ** Generated **

### GEN_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__VISUAL_ID

    public static final int GEN_NODE_LABEL__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__ELEMENT_TYPE

    public static final int GEN_NODE_LABEL__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__EDIT_PART_CLASS_NAME

    public static final int GEN_NODE_LABEL__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__VIEWMAP

    public static final int GEN_NODE_LABEL__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__READ_ONLY

    public static final int GEN_NODE_LABEL__READ_ONLY

  The feature id for the 'Read Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__ELEMENT_ICON

    public static final int GEN_NODE_LABEL__ELEMENT_ICON

  The feature id for the 'Element Icon' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__MODEL_FACET

    public static final int GEN_NODE_LABEL__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL__NODE

    public static final int GEN_NODE_LABEL__NODE

  The feature id for the 'Node' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NODE_LABEL_FEATURE_COUNT

    public static final int GEN_NODE_LABEL_FEATURE_COUNT

  The number of structural features of the 'Gen Node Label' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL

    public static final int GEN_EXTERNAL_NODE_LABEL

  The meta object id for the '`Gen External Node Label`' class.

  See Also:
    `GenExternalNodeLabelImpl`, `GMFGenPackageImpl.getGenExternalNodeLabel()`, Constant Field Values
  ** Generated **

### GEN_EXTERNAL_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_EXTERNAL_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__VISUAL_ID

    public static final int GEN_EXTERNAL_NODE_LABEL__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__ELEMENT_TYPE

    public static final int GEN_EXTERNAL_NODE_LABEL__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__EDIT_PART_CLASS_NAME

    public static final int GEN_EXTERNAL_NODE_LABEL__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_EXTERNAL_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_EXTERNAL_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__VIEWMAP

    public static final int GEN_EXTERNAL_NODE_LABEL__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__READ_ONLY

    public static final int GEN_EXTERNAL_NODE_LABEL__READ_ONLY

  The feature id for the 'Read Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__ELEMENT_ICON

    public static final int GEN_EXTERNAL_NODE_LABEL__ELEMENT_ICON

  The feature id for the 'Element Icon' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__MODEL_FACET

    public static final int GEN_EXTERNAL_NODE_LABEL__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL__NODE

    public static final int GEN_EXTERNAL_NODE_LABEL__NODE

  The feature id for the 'Node' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXTERNAL_NODE_LABEL_FEATURE_COUNT

    public static final int GEN_EXTERNAL_NODE_LABEL_FEATURE_COUNT

  The number of structural features of the 'Gen External Node Label' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL

    public static final int GEN_LINK_LABEL

  The meta object id for the '`Gen Link Label`' class.

  See Also:
    `GenLinkLabelImpl`, `GMFGenPackageImpl.getGenLinkLabel()`, Constant Field Values
  ** Generated **

### GEN_LINK_LABEL__DIAGRAM_RUN_TIME_CLASS

    public static final int GEN_LINK_LABEL__DIAGRAM_RUN_TIME_CLASS

  The feature id for the 'Diagram Run Time Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__VISUAL_ID

    public static final int GEN_LINK_LABEL__VISUAL_ID

  The feature id for the 'Visual ID' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__ELEMENT_TYPE

    public static final int GEN_LINK_LABEL__ELEMENT_TYPE

  The feature id for the 'Element Type' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__EDIT_PART_CLASS_NAME

    public static final int GEN_LINK_LABEL__EDIT_PART_CLASS_NAME

  The feature id for the 'Edit Part Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

    public static final int GEN_LINK_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME

  The feature id for the 'Item Semantic Edit Policy Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME

    public static final int GEN_LINK_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME

  The feature id for the 'Notation View Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__VIEWMAP

    public static final int GEN_LINK_LABEL__VIEWMAP

  The feature id for the 'Viewmap' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__READ_ONLY

    public static final int GEN_LINK_LABEL__READ_ONLY

  The feature id for the 'Read Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__ELEMENT_ICON

    public static final int GEN_LINK_LABEL__ELEMENT_ICON

  The feature id for the 'Element Icon' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__MODEL_FACET

    public static final int GEN_LINK_LABEL__MODEL_FACET

  The feature id for the 'Model Facet' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__LINK

    public static final int GEN_LINK_LABEL__LINK

  The feature id for the 'Link' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL__ALIGNMENT

    public static final int GEN_LINK_LABEL__ALIGNMENT

  The feature id for the 'Alignment' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_LABEL_FEATURE_COUNT

    public static final int GEN_LINK_LABEL_FEATURE_COUNT

  The number of structural features of the 'Gen Link Label' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELEMENT_TYPE__DIAGRAM_ELEMENT

    public static final int ELEMENT_TYPE__DIAGRAM_ELEMENT

  The feature id for the 'Diagram Element' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELEMENT_TYPE__UNIQUE_IDENTIFIER

    public static final int ELEMENT_TYPE__UNIQUE_IDENTIFIER

  The feature id for the 'Unique Identifier' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELEMENT_TYPE__DISPLAY_NAME

    public static final int ELEMENT_TYPE__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ELEMENT_TYPE__DEFINED_EXTERNALLY

    public static final int ELEMENT_TYPE__DEFINED_EXTERNALLY

  The feature id for the 'Defined Externally' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MODEL_FACET

    public static final int MODEL_FACET

  The meta object id for the '`Model Facet`' class.

  See Also:
    `ModelFacet`, `GMFGenPackageImpl.getModelFacet()`, Constant Field Values
  ** Generated **

### LINK_MODEL_FACET

    public static final int LINK_MODEL_FACET

  The meta object id for the '`Link Model Facet`' class.

  See Also:
    `LinkModelFacet`, `GMFGenPackageImpl.getLinkModelFacet()`, Constant Field Values
  ** Generated **

### LABEL_MODEL_FACET

    public static final int LABEL_MODEL_FACET

  The meta object id for the '`Label Model Facet`' class.

  See Also:
    `LabelModelFacet`, `GMFGenPackageImpl.getLabelModelFacet()`, Constant Field Values
  ** Generated **

### ELEMENT_TYPE_FEATURE_COUNT

    public static final int ELEMENT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Element Type' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METAMODEL_TYPE__DIAGRAM_ELEMENT

    public static final int METAMODEL_TYPE__DIAGRAM_ELEMENT

  The feature id for the 'Diagram Element' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METAMODEL_TYPE__UNIQUE_IDENTIFIER

    public static final int METAMODEL_TYPE__UNIQUE_IDENTIFIER

  The feature id for the 'Unique Identifier' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METAMODEL_TYPE__DISPLAY_NAME

    public static final int METAMODEL_TYPE__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METAMODEL_TYPE__DEFINED_EXTERNALLY

    public static final int METAMODEL_TYPE__DEFINED_EXTERNALLY

  The feature id for the 'Defined Externally' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METAMODEL_TYPE__EDIT_HELPER_CLASS_NAME

    public static final int METAMODEL_TYPE__EDIT_HELPER_CLASS_NAME

  The feature id for the 'Edit Helper Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### METAMODEL_TYPE_FEATURE_COUNT

    public static final int METAMODEL_TYPE_FEATURE_COUNT

  The number of structural features of the 'Metamodel Type' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SPECIALIZATION_TYPE__DIAGRAM_ELEMENT

    public static final int SPECIALIZATION_TYPE__DIAGRAM_ELEMENT

  The feature id for the 'Diagram Element' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SPECIALIZATION_TYPE__UNIQUE_IDENTIFIER

    public static final int SPECIALIZATION_TYPE__UNIQUE_IDENTIFIER

  The feature id for the 'Unique Identifier' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SPECIALIZATION_TYPE__DISPLAY_NAME

    public static final int SPECIALIZATION_TYPE__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SPECIALIZATION_TYPE__DEFINED_EXTERNALLY

    public static final int SPECIALIZATION_TYPE__DEFINED_EXTERNALLY

  The feature id for the 'Defined Externally' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SPECIALIZATION_TYPE__METAMODEL_TYPE

    public static final int SPECIALIZATION_TYPE__METAMODEL_TYPE

  The feature id for the 'Metamodel Type' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SPECIALIZATION_TYPE__EDIT_HELPER_ADVICE_CLASS_NAME

    public static final int SPECIALIZATION_TYPE__EDIT_HELPER_ADVICE_CLASS_NAME

  The feature id for the 'Edit Helper Advice Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SPECIALIZATION_TYPE_FEATURE_COUNT

    public static final int SPECIALIZATION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Specialization Type' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NOTATION_TYPE

    public static final int NOTATION_TYPE

  The meta object id for the '`Notation Type`' class.

  See Also:
    `NotationTypeImpl`, `GMFGenPackageImpl.getNotationType()`, Constant Field Values
  ** Generated **

### NOTATION_TYPE__DIAGRAM_ELEMENT

    public static final int NOTATION_TYPE__DIAGRAM_ELEMENT

  The feature id for the 'Diagram Element' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NOTATION_TYPE__UNIQUE_IDENTIFIER

    public static final int NOTATION_TYPE__UNIQUE_IDENTIFIER

  The feature id for the 'Unique Identifier' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NOTATION_TYPE__DISPLAY_NAME

    public static final int NOTATION_TYPE__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NOTATION_TYPE__DEFINED_EXTERNALLY

    public static final int NOTATION_TYPE__DEFINED_EXTERNALLY

  The feature id for the 'Defined Externally' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NOTATION_TYPE_FEATURE_COUNT

    public static final int NOTATION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Notation Type' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MODEL_FACET_FEATURE_COUNT

    public static final int MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINK_MODEL_FACET_FEATURE_COUNT

    public static final int LINK_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Link Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_MODEL_FACET_FEATURE_COUNT

    public static final int LABEL_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Label Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_MODEL_FACET

    public static final int TYPE_MODEL_FACET

  The meta object id for the '`Type Model Facet`' class.

  See Also:
    `TypeModelFacetImpl`, `GMFGenPackageImpl.getTypeModelFacet()`, Constant Field Values
  ** Generated **

### TYPE_MODEL_FACET__META_CLASS

    public static final int TYPE_MODEL_FACET__META_CLASS

  The feature id for the 'Meta Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_MODEL_FACET__CONTAINMENT_META_FEATURE

    public static final int TYPE_MODEL_FACET__CONTAINMENT_META_FEATURE

  The feature id for the 'Containment Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_MODEL_FACET__CHILD_META_FEATURE

    public static final int TYPE_MODEL_FACET__CHILD_META_FEATURE

  The feature id for the 'Child Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_MODEL_FACET__MODEL_ELEMENT_SELECTOR

    public static final int TYPE_MODEL_FACET__MODEL_ELEMENT_SELECTOR

  The feature id for the 'Model Element Selector' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_MODEL_FACET__MODEL_ELEMENT_INITIALIZER

    public static final int TYPE_MODEL_FACET__MODEL_ELEMENT_INITIALIZER

  The feature id for the 'Model Element Initializer' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_MODEL_FACET_FEATURE_COUNT

    public static final int TYPE_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Type Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_MODEL_FACET

    public static final int FEATURE_MODEL_FACET

  The meta object id for the '`Feature Model Facet`' class.

  See Also:
    `FeatureModelFacetImpl`, `GMFGenPackageImpl.getFeatureModelFacet()`, Constant Field Values
  ** Generated **

### FEATURE_MODEL_FACET__META_FEATURE

    public static final int FEATURE_MODEL_FACET__META_FEATURE

  The feature id for the 'Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_MODEL_FACET_FEATURE_COUNT

    public static final int FEATURE_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Feature Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MODEL_FACET

    public static final int FEATURE_LABEL_MODEL_FACET

  The meta object id for the '`Feature Label Model Facet`' class.

  See Also:
    `FeatureLabelModelFacetImpl`, `GMFGenPackageImpl.getFeatureLabelModelFacet()`, Constant Field Values
  ** Generated **

### COMPOSITE_FEATURE_MODEL_FACET

    public static final int COMPOSITE_FEATURE_MODEL_FACET

  The meta object id for the '`Composite Feature Model Facet`' class.

  See Also:
    `CompositeFeatureModelFacetImpl`, `GMFGenPackageImpl.getCompositeFeatureModelFacet()`, Constant Field Values
  ** Generated **

### COMPOSITE_FEATURE_MODEL_FACET__META_FEATURES

    public static final int COMPOSITE_FEATURE_MODEL_FACET__META_FEATURES

  The feature id for the 'Meta Features' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOSITE_FEATURE_MODEL_FACET_FEATURE_COUNT

    public static final int COMPOSITE_FEATURE_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Composite Feature Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOSITE_FEATURE_LABEL_MODEL_FACET

    public static final int COMPOSITE_FEATURE_LABEL_MODEL_FACET

  The meta object id for the '`Composite Feature Label Model Facet`' class.

  See Also:
    `CompositeFeatureLabelModelFacetImpl`, `GMFGenPackageImpl.getCompositeFeatureLabelModelFacet()`, Constant Field Values
  ** Generated **

### TYPE_LINK_MODEL_FACET

    public static final int TYPE_LINK_MODEL_FACET

  The meta object id for the '`Type Link Model Facet`' class.

  See Also:
    `TypeLinkModelFacetImpl`, `GMFGenPackageImpl.getTypeLinkModelFacet()`, Constant Field Values
  ** Generated **

### TYPE_LINK_MODEL_FACET__META_CLASS

    public static final int TYPE_LINK_MODEL_FACET__META_CLASS

  The feature id for the 'Meta Class' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_LINK_MODEL_FACET__CONTAINMENT_META_FEATURE

    public static final int TYPE_LINK_MODEL_FACET__CONTAINMENT_META_FEATURE

  The feature id for the 'Containment Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_LINK_MODEL_FACET__CHILD_META_FEATURE

    public static final int TYPE_LINK_MODEL_FACET__CHILD_META_FEATURE

  The feature id for the 'Child Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_SELECTOR

    public static final int TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_SELECTOR

  The feature id for the 'Model Element Selector' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_INITIALIZER

    public static final int TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_INITIALIZER

  The feature id for the 'Model Element Initializer' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_LINK_MODEL_FACET__SOURCE_META_FEATURE

    public static final int TYPE_LINK_MODEL_FACET__SOURCE_META_FEATURE

  The feature id for the 'Source Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_LINK_MODEL_FACET__TARGET_META_FEATURE

    public static final int TYPE_LINK_MODEL_FACET__TARGET_META_FEATURE

  The feature id for the 'Target Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TYPE_LINK_MODEL_FACET_FEATURE_COUNT

    public static final int TYPE_LINK_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Type Link Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LINK_MODEL_FACET

    public static final int FEATURE_LINK_MODEL_FACET

  The meta object id for the '`Feature Link Model Facet`' class.

  See Also:
    `FeatureLinkModelFacetImpl`, `GMFGenPackageImpl.getFeatureLinkModelFacet()`, Constant Field Values
  ** Generated **

### FEATURE_LINK_MODEL_FACET__META_FEATURE

    public static final int FEATURE_LINK_MODEL_FACET__META_FEATURE

  The feature id for the 'Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LINK_MODEL_FACET_FEATURE_COUNT

    public static final int FEATURE_LINK_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Feature Link Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MODEL_FACET__META_FEATURE

    public static final int FEATURE_LABEL_MODEL_FACET__META_FEATURE

  The feature id for the 'Meta Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN

    public static final int FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN

  The feature id for the 'View Pattern' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN

    public static final int FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN

  The feature id for the 'Edit Pattern' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT

    public static final int FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Feature Label Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOSITE_FEATURE_LABEL_MODEL_FACET__META_FEATURES

    public static final int COMPOSITE_FEATURE_LABEL_MODEL_FACET__META_FEATURES

  The feature id for the 'Meta Features' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOSITE_FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN

    public static final int COMPOSITE_FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN

  The feature id for the 'View Pattern' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOSITE_FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN

    public static final int COMPOSITE_FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN

  The feature id for the 'Edit Pattern' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPOSITE_FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT

    public static final int COMPOSITE_FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Composite Feature Label Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESIGN_LABEL_MODEL_FACET

    public static final int DESIGN_LABEL_MODEL_FACET

  The meta object id for the '`Design Label Model Facet`' class.

  See Also:
    `DesignLabelModelFacetImpl`, `GMFGenPackageImpl.getDesignLabelModelFacet()`, Constant Field Values
  ** Generated **

### DESIGN_LABEL_MODEL_FACET_FEATURE_COUNT

    public static final int DESIGN_LABEL_MODEL_FACET_FEATURE_COUNT

  The number of structural features of the 'Design Label Model Facet' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEWMAP

    public static final int VIEWMAP

  The meta object id for the '`Viewmap`' class.

  See Also:
    `ViewmapImpl`, `GMFGenPackageImpl.getViewmap()`, Constant Field Values
  ** Generated **

### ATTRIBUTES

    public static final int ATTRIBUTES

  The meta object id for the '`Attributes`' class.

  See Also:
    `Attributes`, `GMFGenPackageImpl.getAttributes()`, Constant Field Values
  ** Generated **

### ATTRIBUTES_FEATURE_COUNT

    public static final int ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Attributes' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COLOR_ATTRIBUTES

    public static final int COLOR_ATTRIBUTES

  The meta object id for the '`Color Attributes`' class.

  See Also:
    `ColorAttributesImpl`, `GMFGenPackageImpl.getColorAttributes()`, Constant Field Values
  ** Generated **

### COLOR_ATTRIBUTES__FOREGROUND_COLOR

    public static final int COLOR_ATTRIBUTES__FOREGROUND_COLOR

  The feature id for the 'Foreground Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COLOR_ATTRIBUTES__BACKGROUND_COLOR

    public static final int COLOR_ATTRIBUTES__BACKGROUND_COLOR

  The feature id for the 'Background Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COLOR_ATTRIBUTES_FEATURE_COUNT

    public static final int COLOR_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Color Attributes' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STYLE_ATTRIBUTES

    public static final int STYLE_ATTRIBUTES

  The meta object id for the '`Style Attributes`' class.

  See Also:
    `StyleAttributesImpl`, `GMFGenPackageImpl.getStyleAttributes()`, Constant Field Values
  ** Generated **

### STYLE_ATTRIBUTES__FIXED_FONT

    public static final int STYLE_ATTRIBUTES__FIXED_FONT

  The feature id for the 'Fixed Font' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STYLE_ATTRIBUTES__FIXED_FOREGROUND

    public static final int STYLE_ATTRIBUTES__FIXED_FOREGROUND

  The feature id for the 'Fixed Foreground' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STYLE_ATTRIBUTES__FIXED_BACKGROUND

    public static final int STYLE_ATTRIBUTES__FIXED_BACKGROUND

  The feature id for the 'Fixed Background' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STYLE_ATTRIBUTES_FEATURE_COUNT

    public static final int STYLE_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Style Attributes' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RESIZE_CONSTRAINTS

    public static final int RESIZE_CONSTRAINTS

  The meta object id for the '`Resize Constraints`' class.

  See Also:
    `ResizeConstraintsImpl`, `GMFGenPackageImpl.getResizeConstraints()`, Constant Field Values
  ** Generated **

### RESIZE_CONSTRAINTS__RESIZE_HANDLES

    public static final int RESIZE_CONSTRAINTS__RESIZE_HANDLES

  The feature id for the 'Resize Handles' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RESIZE_CONSTRAINTS__NON_RESIZE_HANDLES

    public static final int RESIZE_CONSTRAINTS__NON_RESIZE_HANDLES

  The feature id for the 'Non Resize Handles' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RESIZE_CONSTRAINTS_FEATURE_COUNT

    public static final int RESIZE_CONSTRAINTS_FEATURE_COUNT

  The number of structural features of the 'Resize Constraints' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DEFAULT_SIZE_ATTRIBUTES

    public static final int DEFAULT_SIZE_ATTRIBUTES

  The meta object id for the '`Default Size Attributes`' class.

  See Also:
    `DefaultSizeAttributesImpl`, `GMFGenPackageImpl.getDefaultSizeAttributes()`, Constant Field Values
  ** Generated **

### DEFAULT_SIZE_ATTRIBUTES__WIDTH

    public static final int DEFAULT_SIZE_ATTRIBUTES__WIDTH

  The feature id for the 'Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DEFAULT_SIZE_ATTRIBUTES__HEIGHT

    public static final int DEFAULT_SIZE_ATTRIBUTES__HEIGHT

  The feature id for the 'Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DEFAULT_SIZE_ATTRIBUTES_FEATURE_COUNT

    public static final int DEFAULT_SIZE_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Default Size Attributes' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_OFFSET_ATTRIBUTES

    public static final int LABEL_OFFSET_ATTRIBUTES

  The meta object id for the '`Label Offset Attributes`' class.

  See Also:
    `LabelOffsetAttributesImpl`, `GMFGenPackageImpl.getLabelOffsetAttributes()`, Constant Field Values
  ** Generated **

### LABEL_OFFSET_ATTRIBUTES__X

    public static final int LABEL_OFFSET_ATTRIBUTES__X

  The feature id for the 'X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_OFFSET_ATTRIBUTES__Y

    public static final int LABEL_OFFSET_ATTRIBUTES__Y

  The feature id for the 'Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LABEL_OFFSET_ATTRIBUTES_FEATURE_COUNT

    public static final int LABEL_OFFSET_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Label Offset Attributes' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEWMAP__ATTRIBUTES

    public static final int VIEWMAP__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEWMAP__REQUIRED_PLUGIN_IDS

    public static final int VIEWMAP__REQUIRED_PLUGIN_IDS

  The feature id for the 'Required Plugin IDs' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEWMAP__LAYOUT_TYPE

    public static final int VIEWMAP__LAYOUT_TYPE

  The feature id for the 'Layout Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEWMAP_FEATURE_COUNT

    public static final int VIEWMAP_FEATURE_COUNT

  The number of structural features of the 'Viewmap' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_VIEWMAP

    public static final int FIGURE_VIEWMAP

  The meta object id for the '`Figure Viewmap`' class.

  See Also:
    `FigureViewmapImpl`, `GMFGenPackageImpl.getFigureViewmap()`, Constant Field Values
  ** Generated **

### FIGURE_VIEWMAP__ATTRIBUTES

    public static final int FIGURE_VIEWMAP__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_VIEWMAP__REQUIRED_PLUGIN_IDS

    public static final int FIGURE_VIEWMAP__REQUIRED_PLUGIN_IDS

  The feature id for the 'Required Plugin IDs' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_VIEWMAP__LAYOUT_TYPE

    public static final int FIGURE_VIEWMAP__LAYOUT_TYPE

  The feature id for the 'Layout Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME

    public static final int FIGURE_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME

  The feature id for the 'Figure Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FIGURE_VIEWMAP_FEATURE_COUNT

    public static final int FIGURE_VIEWMAP_FEATURE_COUNT

  The number of structural features of the 'Figure Viewmap' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SNIPPET_VIEWMAP

    public static final int SNIPPET_VIEWMAP

  The meta object id for the '`Snippet Viewmap`' class.

  See Also:
    `SnippetViewmapImpl`, `GMFGenPackageImpl.getSnippetViewmap()`, Constant Field Values
  ** Generated **

### SNIPPET_VIEWMAP__ATTRIBUTES

    public static final int SNIPPET_VIEWMAP__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SNIPPET_VIEWMAP__REQUIRED_PLUGIN_IDS

    public static final int SNIPPET_VIEWMAP__REQUIRED_PLUGIN_IDS

  The feature id for the 'Required Plugin IDs' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SNIPPET_VIEWMAP__LAYOUT_TYPE

    public static final int SNIPPET_VIEWMAP__LAYOUT_TYPE

  The feature id for the 'Layout Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SNIPPET_VIEWMAP__BODY

    public static final int SNIPPET_VIEWMAP__BODY

  The feature id for the 'Body' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SNIPPET_VIEWMAP_FEATURE_COUNT

    public static final int SNIPPET_VIEWMAP_FEATURE_COUNT

  The number of structural features of the 'Snippet Viewmap' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INNER_CLASS_VIEWMAP

    public static final int INNER_CLASS_VIEWMAP

  The meta object id for the '`Inner Class Viewmap`' class.

  See Also:
    `InnerClassViewmapImpl`, `GMFGenPackageImpl.getInnerClassViewmap()`, Constant Field Values
  ** Generated **

### INNER_CLASS_VIEWMAP__ATTRIBUTES

    public static final int INNER_CLASS_VIEWMAP__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INNER_CLASS_VIEWMAP__REQUIRED_PLUGIN_IDS

    public static final int INNER_CLASS_VIEWMAP__REQUIRED_PLUGIN_IDS

  The feature id for the 'Required Plugin IDs' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INNER_CLASS_VIEWMAP__LAYOUT_TYPE

    public static final int INNER_CLASS_VIEWMAP__LAYOUT_TYPE

  The feature id for the 'Layout Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INNER_CLASS_VIEWMAP__CLASS_NAME

    public static final int INNER_CLASS_VIEWMAP__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INNER_CLASS_VIEWMAP__CLASS_BODY

    public static final int INNER_CLASS_VIEWMAP__CLASS_BODY

  The feature id for the 'Class Body' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INNER_CLASS_VIEWMAP_FEATURE_COUNT

    public static final int INNER_CLASS_VIEWMAP_FEATURE_COUNT

  The number of structural features of the 'Inner Class Viewmap' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PARENT_ASSIGNED_VIEWMAP

    public static final int PARENT_ASSIGNED_VIEWMAP

  The meta object id for the '`Parent Assigned Viewmap`' class.

  See Also:
    `ParentAssignedViewmapImpl`, `GMFGenPackageImpl.getParentAssignedViewmap()`, Constant Field Values
  ** Generated **

### PARENT_ASSIGNED_VIEWMAP__ATTRIBUTES

    public static final int PARENT_ASSIGNED_VIEWMAP__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PARENT_ASSIGNED_VIEWMAP__REQUIRED_PLUGIN_IDS

    public static final int PARENT_ASSIGNED_VIEWMAP__REQUIRED_PLUGIN_IDS

  The feature id for the 'Required Plugin IDs' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PARENT_ASSIGNED_VIEWMAP__LAYOUT_TYPE

    public static final int PARENT_ASSIGNED_VIEWMAP__LAYOUT_TYPE

  The feature id for the 'Layout Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PARENT_ASSIGNED_VIEWMAP__GETTER_NAME

    public static final int PARENT_ASSIGNED_VIEWMAP__GETTER_NAME

  The feature id for the 'Getter Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PARENT_ASSIGNED_VIEWMAP__SETTER_NAME

    public static final int PARENT_ASSIGNED_VIEWMAP__SETTER_NAME

  The feature id for the 'Setter Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PARENT_ASSIGNED_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME

    public static final int PARENT_ASSIGNED_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME

  The feature id for the 'Figure Qualified Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PARENT_ASSIGNED_VIEWMAP_FEATURE_COUNT

    public static final int PARENT_ASSIGNED_VIEWMAP_FEATURE_COUNT

  The number of structural features of the 'Parent Assigned Viewmap' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE

    public static final int PALETTE

  The meta object id for the '`Palette`' class.

  See Also:
    `PaletteImpl`, `GMFGenPackageImpl.getPalette()`, Constant Field Values
  ** Generated **

### ENTRY_BASE

    public static final int ENTRY_BASE

  The meta object id for the '`Entry Base`' class.

  See Also:
    `EntryBaseImpl`, `GMFGenPackageImpl.getEntryBase()`, Constant Field Values
  ** Generated **

### TOOL_ENTRY

    public static final int TOOL_ENTRY

  The meta object id for the '`Tool Entry`' class.

  See Also:
    `ToolEntryImpl`, `GMFGenPackageImpl.getToolEntry()`, Constant Field Values
  ** Generated **

### TOOL_GROUP

    public static final int TOOL_GROUP

  The meta object id for the '`Tool Group`' class.

  See Also:
    `ToolGroupImpl`, `GMFGenPackageImpl.getToolGroup()`, Constant Field Values
  ** Generated **

### VALUE_EXPRESSION

    public static final int VALUE_EXPRESSION

  The meta object id for the '`Value Expression`' class.

  See Also:
    `ValueExpressionImpl`, `GMFGenPackageImpl.getValueExpression()`, Constant Field Values
  ** Generated **

### VALUE_EXPRESSION__BODY

    public static final int VALUE_EXPRESSION__BODY

  The feature id for the 'Body' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VALUE_EXPRESSION__LANGUAGE

    public static final int VALUE_EXPRESSION__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VALUE_EXPRESSION__LANG_NAME

    public static final int VALUE_EXPRESSION__LANG_NAME

  The feature id for the 'Lang Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VALUE_EXPRESSION_FEATURE_COUNT

    public static final int VALUE_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'Value Expression' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONSTRAINT

    public static final int GEN_CONSTRAINT

  The meta object id for the '`Gen Constraint`' class.

  See Also:
    `GenConstraintImpl`, `GMFGenPackageImpl.getGenConstraint()`, Constant Field Values
  ** Generated **

### GEN_CONSTRAINT__BODY

    public static final int GEN_CONSTRAINT__BODY

  The feature id for the 'Body' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONSTRAINT__LANGUAGE

    public static final int GEN_CONSTRAINT__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONSTRAINT__LANG_NAME

    public static final int GEN_CONSTRAINT__LANG_NAME

  The feature id for the 'Lang Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_CONSTRAINT_FEATURE_COUNT

    public static final int GEN_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Gen Constraint' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__DIAGRAM

    public static final int PALETTE__DIAGRAM

  The feature id for the 'Diagram' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__FLYOUT

    public static final int PALETTE__FLYOUT

  The feature id for the 'Flyout' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__GROUPS

    public static final int PALETTE__GROUPS

  The feature id for the 'Groups' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__PACKAGE_NAME

    public static final int PALETTE__PACKAGE_NAME

  The feature id for the 'Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE__FACTORY_CLASS_NAME

    public static final int PALETTE__FACTORY_CLASS_NAME

  The feature id for the 'Factory Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PALETTE_FEATURE_COUNT

    public static final int PALETTE_FEATURE_COUNT

  The number of structural features of the 'Palette' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ENTRY_BASE__TITLE

    public static final int ENTRY_BASE__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ENTRY_BASE__DESCRIPTION

    public static final int ENTRY_BASE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ENTRY_BASE__LARGE_ICON_PATH

    public static final int ENTRY_BASE__LARGE_ICON_PATH

  The feature id for the 'Large Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ENTRY_BASE__SMALL_ICON_PATH

    public static final int ENTRY_BASE__SMALL_ICON_PATH

  The feature id for the 'Small Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ENTRY_BASE__CREATE_METHOD_NAME

    public static final int ENTRY_BASE__CREATE_METHOD_NAME

  The feature id for the 'Create Method Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ENTRY_BASE_FEATURE_COUNT

    public static final int ENTRY_BASE_FEATURE_COUNT

  The number of structural features of the 'Entry Base' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__TITLE

    public static final int TOOL_ENTRY__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__DESCRIPTION

    public static final int TOOL_ENTRY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__LARGE_ICON_PATH

    public static final int TOOL_ENTRY__LARGE_ICON_PATH

  The feature id for the 'Large Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__SMALL_ICON_PATH

    public static final int TOOL_ENTRY__SMALL_ICON_PATH

  The feature id for the 'Small Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__CREATE_METHOD_NAME

    public static final int TOOL_ENTRY__CREATE_METHOD_NAME

  The feature id for the 'Create Method Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__DEFAULT

    public static final int TOOL_ENTRY__DEFAULT

  The feature id for the 'Default' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__GEN_NODES

    public static final int TOOL_ENTRY__GEN_NODES

  The feature id for the 'Gen Nodes' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__GEN_LINKS

    public static final int TOOL_ENTRY__GEN_LINKS

  The feature id for the 'Gen Links' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__ELEMENTS

    public static final int TOOL_ENTRY__ELEMENTS

  The feature id for the 'Elements' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__QUALIFIED_TOOL_NAME

    public static final int TOOL_ENTRY__QUALIFIED_TOOL_NAME

  The feature id for the 'Qualified Tool Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY__PROPERTIES

    public static final int TOOL_ENTRY__PROPERTIES

  The feature id for the 'Properties' map.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_ENTRY_FEATURE_COUNT

    public static final int TOOL_ENTRY_FEATURE_COUNT

  The number of structural features of the 'Tool Entry' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP_ITEM

    public static final int TOOL_GROUP_ITEM

  The meta object id for the '`Tool Group Item`' class.

  See Also:
    `ToolGroupItem`, `GMFGenPackageImpl.getToolGroupItem()`, Constant Field Values
  ** Generated **

### TOOL_GROUP_ITEM_FEATURE_COUNT

    public static final int TOOL_GROUP_ITEM_FEATURE_COUNT

  The number of structural features of the 'Tool Group Item' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEPARATOR

    public static final int SEPARATOR

  The meta object id for the '`Separator`' class.

  See Also:
    `SeparatorImpl`, `GMFGenPackageImpl.getSeparator()`, Constant Field Values
  ** Generated **

### SEPARATOR_FEATURE_COUNT

    public static final int SEPARATOR_FEATURE_COUNT

  The number of structural features of the 'Separator' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__TITLE

    public static final int TOOL_GROUP__TITLE

  The feature id for the 'Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__DESCRIPTION

    public static final int TOOL_GROUP__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__LARGE_ICON_PATH

    public static final int TOOL_GROUP__LARGE_ICON_PATH

  The feature id for the 'Large Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__SMALL_ICON_PATH

    public static final int TOOL_GROUP__SMALL_ICON_PATH

  The feature id for the 'Small Icon Path' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__CREATE_METHOD_NAME

    public static final int TOOL_GROUP__CREATE_METHOD_NAME

  The feature id for the 'Create Method Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__STACK

    public static final int TOOL_GROUP__STACK

  The feature id for the 'Stack' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__COLLAPSE

    public static final int TOOL_GROUP__COLLAPSE

  The feature id for the 'Collapse' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__ENTRIES

    public static final int TOOL_GROUP__ENTRIES

  The feature id for the 'Entries' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP__TOOLS_ONLY

    public static final int TOOL_GROUP__TOOLS_ONLY

  The feature id for the 'Tools Only' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TOOL_GROUP_FEATURE_COUNT

    public static final int TOOL_GROUP_FEATURE_COUNT

  The number of structural features of the 'Tool Group' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_ELEMENT_INITIALIZER

    public static final int GEN_ELEMENT_INITIALIZER

  The meta object id for the '`Gen Element Initializer`' class.

  See Also:
    `GenElementInitializerImpl`, `GMFGenPackageImpl.getGenElementInitializer()`, Constant Field Values
  ** Generated **

### GEN_ELEMENT_INITIALIZER__TYPE_MODEL_FACET

    public static final int GEN_ELEMENT_INITIALIZER__TYPE_MODEL_FACET

  The feature id for the 'Type Model Facet' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_ELEMENT_INITIALIZER_FEATURE_COUNT

    public static final int GEN_ELEMENT_INITIALIZER_FEATURE_COUNT

  The number of structural features of the 'Gen Element Initializer' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_SEQ_INITIALIZER

    public static final int GEN_FEATURE_SEQ_INITIALIZER

  The meta object id for the '`Gen Feature Seq Initializer`' class.

  See Also:
    `GenFeatureSeqInitializerImpl`, `GMFGenPackageImpl.getGenFeatureSeqInitializer()`, Constant Field Values
  ** Generated **

### GEN_FEATURE_SEQ_INITIALIZER__TYPE_MODEL_FACET

    public static final int GEN_FEATURE_SEQ_INITIALIZER__TYPE_MODEL_FACET

  The feature id for the 'Type Model Facet' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_SEQ_INITIALIZER__INITIALIZERS

    public static final int GEN_FEATURE_SEQ_INITIALIZER__INITIALIZERS

  The feature id for the 'Initializers' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_SEQ_INITIALIZER_FEATURE_COUNT

    public static final int GEN_FEATURE_SEQ_INITIALIZER_FEATURE_COUNT

  The number of structural features of the 'Gen Feature Seq Initializer' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_VALUE_SPEC

    public static final int GEN_FEATURE_VALUE_SPEC

  The meta object id for the '`Gen Feature Value Spec`' class.

  See Also:
    `GenFeatureValueSpecImpl`, `GMFGenPackageImpl.getGenFeatureValueSpec()`, Constant Field Values
  ** Generated **

### GEN_FEATURE_VALUE_SPEC__BODY

    public static final int GEN_FEATURE_VALUE_SPEC__BODY

  The feature id for the 'Body' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_VALUE_SPEC__LANGUAGE

    public static final int GEN_FEATURE_VALUE_SPEC__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_VALUE_SPEC__LANG_NAME

    public static final int GEN_FEATURE_VALUE_SPEC__LANG_NAME

  The feature id for the 'Lang Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_VALUE_SPEC__FEATURE

    public static final int GEN_FEATURE_VALUE_SPEC__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER

    public static final int GEN_FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER

  The feature id for the 'Feature Seq Initializer' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_FEATURE_VALUE_SPEC_FEATURE_COUNT

    public static final int GEN_FEATURE_VALUE_SPEC_FEATURE_COUNT

  The number of structural features of the 'Gen Feature Value Spec' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_CONSTRAINTS

    public static final int GEN_LINK_CONSTRAINTS

  The meta object id for the '`Gen Link Constraints`' class.

  See Also:
    `GenLinkConstraintsImpl`, `GMFGenPackageImpl.getGenLinkConstraints()`, Constant Field Values
  ** Generated **

### GEN_LINK_CONSTRAINTS__LINK

    public static final int GEN_LINK_CONSTRAINTS__LINK

  The feature id for the 'Link' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_CONSTRAINTS__SOURCE_END

    public static final int GEN_LINK_CONSTRAINTS__SOURCE_END

  The feature id for the 'Source End' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_CONSTRAINTS__TARGET_END

    public static final int GEN_LINK_CONSTRAINTS__TARGET_END

  The feature id for the 'Target End' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_LINK_CONSTRAINTS_FEATURE_COUNT

    public static final int GEN_LINK_CONSTRAINTS_FEATURE_COUNT

  The number of structural features of the 'Gen Link Constraints' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_RULE_CONTAINER_BASE

    public static final int GEN_RULE_CONTAINER_BASE

  The meta object id for the '`Gen Rule Container Base`' class.

  See Also:
    `GenRuleContainerBaseImpl`, `GMFGenPackageImpl.getGenRuleContainerBase()`, Constant Field Values
  ** Generated **

### GEN_RULE_CONTAINER_BASE__EDITOR

    public static final int GEN_RULE_CONTAINER_BASE__EDITOR

  The feature id for the 'Editor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_RULE_CONTAINER_BASE_FEATURE_COUNT

    public static final int GEN_RULE_CONTAINER_BASE_FEATURE_COUNT

  The number of structural features of the 'Gen Rule Container Base' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_CONTAINER

    public static final int GEN_AUDIT_CONTAINER

  The meta object id for the '`Gen Audit Container`' class.

  See Also:
    `GenAuditContainerImpl`, `GMFGenPackageImpl.getGenAuditContainer()`, Constant Field Values
  ** Generated **

### GEN_AUDIT_CONTAINER__EDITOR

    public static final int GEN_AUDIT_CONTAINER__EDITOR

  The feature id for the 'Editor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_CONTAINER__ID

    public static final int GEN_AUDIT_CONTAINER__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_CONTAINER__NAME

    public static final int GEN_AUDIT_CONTAINER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_CONTAINER__DESCRIPTION

    public static final int GEN_AUDIT_CONTAINER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_CONTAINER__PARENT_CONTAINER

    public static final int GEN_AUDIT_CONTAINER__PARENT_CONTAINER

  The feature id for the 'Parent Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_CONTAINER__AUDITS

    public static final int GEN_AUDIT_CONTAINER__AUDITS

  The feature id for the 'Audits' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_CONTAINER__CHILD_CONTAINERS

    public static final int GEN_AUDIT_CONTAINER__CHILD_CONTAINERS

  The feature id for the 'Child Containers' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_CONTAINER_FEATURE_COUNT

    public static final int GEN_AUDIT_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Gen Audit Container' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_RULE_BASE

    public static final int GEN_RULE_BASE

  The meta object id for the '`Gen Rule Base`' class.

  See Also:
    `GenRuleBaseImpl`, `GMFGenPackageImpl.getGenRuleBase()`, Constant Field Values
  ** Generated **

### GEN_RULE_BASE__NAME

    public static final int GEN_RULE_BASE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_RULE_BASE__DESCRIPTION

    public static final int GEN_RULE_BASE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_RULE_BASE_FEATURE_COUNT

    public static final int GEN_RULE_BASE_FEATURE_COUNT

  The number of structural features of the 'Gen Rule Base' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE

    public static final int GEN_AUDIT_RULE

  The meta object id for the '`Gen Audit Rule`' class.

  See Also:
    `GenAuditRuleImpl`, `GMFGenPackageImpl.getGenAuditRule()`, Constant Field Values
  ** Generated **

### GEN_AUDIT_RULE__NAME

    public static final int GEN_AUDIT_RULE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE__DESCRIPTION

    public static final int GEN_AUDIT_RULE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE__ID

    public static final int GEN_AUDIT_RULE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE__RULE

    public static final int GEN_AUDIT_RULE__RULE

  The feature id for the 'Rule' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE__TARGET

    public static final int GEN_AUDIT_RULE__TARGET

  The feature id for the 'Target' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE__MESSAGE

    public static final int GEN_AUDIT_RULE__MESSAGE

  The feature id for the 'Message' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE__SEVERITY

    public static final int GEN_AUDIT_RULE__SEVERITY

  The feature id for the 'Severity' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE__USE_IN_LIVE_MODE

    public static final int GEN_AUDIT_RULE__USE_IN_LIVE_MODE

  The feature id for the 'Use In Live Mode' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE__CONTAINER

    public static final int GEN_AUDIT_RULE__CONTAINER

  The feature id for the 'Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDIT_RULE_FEATURE_COUNT

    public static final int GEN_AUDIT_RULE_FEATURE_COUNT

  The number of structural features of the 'Gen Audit Rule' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_RULE_TARGET

    public static final int GEN_RULE_TARGET

  The meta object id for the '`Gen Rule Target`' class.

  See Also:
    `GenRuleTarget`, `GMFGenPackageImpl.getGenRuleTarget()`, Constant Field Values
  ** Generated **

### GEN_RULE_TARGET_FEATURE_COUNT

    public static final int GEN_RULE_TARGET_FEATURE_COUNT

  The number of structural features of the 'Gen Rule Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDITABLE

    public static final int GEN_AUDITABLE

  The meta object id for the '`Gen Auditable`' class.

  See Also:
    `GenAuditableImpl`, `GMFGenPackageImpl.getGenAuditable()`, Constant Field Values
  ** Generated **

### GEN_AUDITABLE_FEATURE_COUNT

    public static final int GEN_AUDITABLE_FEATURE_COUNT

  The number of structural features of the 'Gen Auditable' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DOMAIN_ELEMENT_TARGET

    public static final int GEN_DOMAIN_ELEMENT_TARGET

  The meta object id for the '`Gen Domain Element Target`' class.

  See Also:
    `GenDomainElementTargetImpl`, `GMFGenPackageImpl.getGenDomainElementTarget()`, Constant Field Values
  ** Generated **

### GEN_DOMAIN_ELEMENT_TARGET__ELEMENT

    public static final int GEN_DOMAIN_ELEMENT_TARGET__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DOMAIN_ELEMENT_TARGET_FEATURE_COUNT

    public static final int GEN_DOMAIN_ELEMENT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Gen Domain Element Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM_ELEMENT_TARGET

    public static final int GEN_DIAGRAM_ELEMENT_TARGET

  The meta object id for the '`Gen Diagram Element Target`' class.

  See Also:
    `GenDiagramElementTargetImpl`, `GMFGenPackageImpl.getGenDiagramElementTarget()`, Constant Field Values
  ** Generated **

### GEN_DIAGRAM_ELEMENT_TARGET__ELEMENT

    public static final int GEN_DIAGRAM_ELEMENT_TARGET__ELEMENT

  The feature id for the 'Element' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT

    public static final int GEN_DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Gen Diagram Element Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DOMAIN_ATTRIBUTE_TARGET

    public static final int GEN_DOMAIN_ATTRIBUTE_TARGET

  The meta object id for the '`Gen Domain Attribute Target`' class.

  See Also:
    `GenDomainAttributeTargetImpl`, `GMFGenPackageImpl.getGenDomainAttributeTarget()`, Constant Field Values
  ** Generated **

### GEN_DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE

    public static final int GEN_DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR

    public static final int GEN_DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR

  The feature id for the 'Null As Error' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT

    public static final int GEN_DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT

  The number of structural features of the 'Gen Domain Attribute Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NOTATION_ELEMENT_TARGET

    public static final int GEN_NOTATION_ELEMENT_TARGET

  The meta object id for the '`Gen Notation Element Target`' class.

  See Also:
    `GenNotationElementTargetImpl`, `GMFGenPackageImpl.getGenNotationElementTarget()`, Constant Field Values
  ** Generated **

### GEN_NOTATION_ELEMENT_TARGET__ELEMENT

    public static final int GEN_NOTATION_ELEMENT_TARGET__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_NOTATION_ELEMENT_TARGET_FEATURE_COUNT

    public static final int GEN_NOTATION_ELEMENT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Gen Notation Element Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_CONTAINER

    public static final int GEN_METRIC_CONTAINER

  The meta object id for the '`Gen Metric Container`' class.

  See Also:
    `GenMetricContainerImpl`, `GMFGenPackageImpl.getGenMetricContainer()`, Constant Field Values
  ** Generated **

### GEN_METRIC_CONTAINER__EDITOR

    public static final int GEN_METRIC_CONTAINER__EDITOR

  The feature id for the 'Editor' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_CONTAINER__METRICS

    public static final int GEN_METRIC_CONTAINER__METRICS

  The feature id for the 'Metrics' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_CONTAINER_FEATURE_COUNT

    public static final int GEN_METRIC_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Gen Metric Container' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE

    public static final int GEN_METRIC_RULE

  The meta object id for the '`Gen Metric Rule`' class.

  See Also:
    `GenMetricRuleImpl`, `GMFGenPackageImpl.getGenMetricRule()`, Constant Field Values
  ** Generated **

### GEN_METRIC_RULE__NAME

    public static final int GEN_METRIC_RULE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE__DESCRIPTION

    public static final int GEN_METRIC_RULE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE__KEY

    public static final int GEN_METRIC_RULE__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE__RULE

    public static final int GEN_METRIC_RULE__RULE

  The feature id for the 'Rule' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE__TARGET

    public static final int GEN_METRIC_RULE__TARGET

  The feature id for the 'Target' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE__LOW_LIMIT

    public static final int GEN_METRIC_RULE__LOW_LIMIT

  The feature id for the 'Low Limit' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE__HIGH_LIMIT

    public static final int GEN_METRIC_RULE__HIGH_LIMIT

  The feature id for the 'High Limit' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE__CONTAINER

    public static final int GEN_METRIC_RULE__CONTAINER

  The feature id for the 'Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_METRIC_RULE_FEATURE_COUNT

    public static final int GEN_METRIC_RULE_FEATURE_COUNT

  The number of structural features of the 'Gen Metric Rule' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDITED_METRIC_TARGET

    public static final int GEN_AUDITED_METRIC_TARGET

  The meta object id for the '`Gen Audited Metric Target`' class.

  See Also:
    `GenAuditedMetricTargetImpl`, `GMFGenPackageImpl.getGenAuditedMetricTarget()`, Constant Field Values
  ** Generated **

### GEN_AUDITED_METRIC_TARGET__METRIC

    public static final int GEN_AUDITED_METRIC_TARGET__METRIC

  The feature id for the 'Metric' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDITED_METRIC_TARGET__METRIC_VALUE_CONTEXT

    public static final int GEN_AUDITED_METRIC_TARGET__METRIC_VALUE_CONTEXT

  The feature id for the 'Metric Value Context' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_AUDITED_METRIC_TARGET_FEATURE_COUNT

    public static final int GEN_AUDITED_METRIC_TARGET_FEATURE_COUNT

  The number of structural features of the 'Gen Audited Metric Target' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_MEASURABLE

    public static final int GEN_MEASURABLE

  The meta object id for the '`Gen Measurable`' class.

  See Also:
    `GenMeasurable`, `GMFGenPackageImpl.getGenMeasurable()`, Constant Field Values
  ** Generated **

### GEN_MEASURABLE_FEATURE_COUNT

    public static final int GEN_MEASURABLE_FEATURE_COUNT

  The number of structural features of the 'Gen Measurable' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_PROVIDER_CONTAINER

    public static final int GEN_EXPRESSION_PROVIDER_CONTAINER

  The meta object id for the '`Gen Expression Provider Container`' class.

  See Also:
    `GenExpressionProviderContainerImpl`, `GMFGenPackageImpl.getGenExpressionProviderContainer()`, Constant Field Values
  ** Generated **

### GEN_EXPRESSION_PROVIDER_CONTAINER__EXPRESSIONS_PACKAGE_NAME

    public static final int GEN_EXPRESSION_PROVIDER_CONTAINER__EXPRESSIONS_PACKAGE_NAME

  The feature id for the 'Expressions Package Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_PROVIDER_CONTAINER__ABSTRACT_EXPRESSION_CLASS_NAME

    public static final int GEN_EXPRESSION_PROVIDER_CONTAINER__ABSTRACT_EXPRESSION_CLASS_NAME

  The feature id for the 'Abstract Expression Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_PROVIDER_CONTAINER__PROVIDERS

    public static final int GEN_EXPRESSION_PROVIDER_CONTAINER__PROVIDERS

  The feature id for the 'Providers' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_PROVIDER_CONTAINER__EDITOR_GEN

    public static final int GEN_EXPRESSION_PROVIDER_CONTAINER__EDITOR_GEN

  The feature id for the 'Editor Gen' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_PROVIDER_CONTAINER_FEATURE_COUNT

    public static final int GEN_EXPRESSION_PROVIDER_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Gen Expression Provider Container' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_PROVIDER_BASE

    public static final int GEN_EXPRESSION_PROVIDER_BASE

  The meta object id for the '`Gen Expression Provider Base`' class.

  See Also:
    `GenExpressionProviderBaseImpl`, `GMFGenPackageImpl.getGenExpressionProviderBase()`, Constant Field Values
  ** Generated **

### GEN_EXPRESSION_PROVIDER_BASE__EXPRESSIONS

    public static final int GEN_EXPRESSION_PROVIDER_BASE__EXPRESSIONS

  The feature id for the 'Expressions' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_PROVIDER_BASE__CONTAINER

    public static final int GEN_EXPRESSION_PROVIDER_BASE__CONTAINER

  The feature id for the 'Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_PROVIDER_BASE_FEATURE_COUNT

    public static final int GEN_EXPRESSION_PROVIDER_BASE_FEATURE_COUNT

  The number of structural features of the 'Gen Expression Provider Base' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_JAVA_EXPRESSION_PROVIDER

    public static final int GEN_JAVA_EXPRESSION_PROVIDER

  The meta object id for the '`Gen Java Expression Provider`' class.

  See Also:
    `GenJavaExpressionProviderImpl`, `GMFGenPackageImpl.getGenJavaExpressionProvider()`, Constant Field Values
  ** Generated **

### GEN_JAVA_EXPRESSION_PROVIDER__EXPRESSIONS

    public static final int GEN_JAVA_EXPRESSION_PROVIDER__EXPRESSIONS

  The feature id for the 'Expressions' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_JAVA_EXPRESSION_PROVIDER__CONTAINER

    public static final int GEN_JAVA_EXPRESSION_PROVIDER__CONTAINER

  The feature id for the 'Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_JAVA_EXPRESSION_PROVIDER_FEATURE_COUNT

    public static final int GEN_JAVA_EXPRESSION_PROVIDER_FEATURE_COUNT

  The number of structural features of the 'Gen Java Expression Provider' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_INTERPRETER

    public static final int GEN_EXPRESSION_INTERPRETER

  The meta object id for the '`Gen Expression Interpreter`' class.

  See Also:
    `GenExpressionInterpreterImpl`, `GMFGenPackageImpl.getGenExpressionInterpreter()`, Constant Field Values
  ** Generated **

### GEN_EXPRESSION_INTERPRETER__EXPRESSIONS

    public static final int GEN_EXPRESSION_INTERPRETER__EXPRESSIONS

  The feature id for the 'Expressions' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_INTERPRETER__CONTAINER

    public static final int GEN_EXPRESSION_INTERPRETER__CONTAINER

  The feature id for the 'Container' container reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_INTERPRETER__LANGUAGE

    public static final int GEN_EXPRESSION_INTERPRETER__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_INTERPRETER__CLASS_NAME

    public static final int GEN_EXPRESSION_INTERPRETER__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_INTERPRETER__REQUIRED_PLUGIN_IDS

    public static final int GEN_EXPRESSION_INTERPRETER__REQUIRED_PLUGIN_IDS

  The feature id for the 'Required Plugin IDs' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GEN_EXPRESSION_INTERPRETER_FEATURE_COUNT

    public static final int GEN_EXPRESSION_INTERPRETER_FEATURE_COUNT

  The number of structural features of the 'Gen Expression Interpreter' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROVIDER_PRIORITY

    public static final int PROVIDER_PRIORITY

  The meta object id for the '`Provider Priority`' enum.

  See Also:
    `ProviderPriority`, `GMFGenPackageImpl.getProviderPriority()`, Constant Field Values
  ** Generated **

### LINK_LABEL_ALIGNMENT

    public static final int LINK_LABEL_ALIGNMENT

  The meta object id for the '`Link Label Alignment`' enum.

  See Also:
    `LinkLabelAlignment`, `GMFGenPackageImpl.getLinkLabelAlignment()`, Constant Field Values
  ** Generated **

### VIEWMAP_LAYOUT_TYPE

    public static final int VIEWMAP_LAYOUT_TYPE

  The meta object id for the '`Viewmap Layout Type`' enum.

  See Also:
    `ViewmapLayoutType`, `GMFGenPackageImpl.getViewmapLayoutType()`, Constant Field Values
  ** Generated **

### GEN_SEVERITY

    public static final int GEN_SEVERITY

  The meta object id for the '`Gen Severity`' enum.

  See Also:
    `GenSeverity`, `GMFGenPackageImpl.getGenSeverity()`, Constant Field Values
  ** Generated **

### GEN_LANGUAGE

    public static final int GEN_LANGUAGE

  The meta object id for the '`Gen Language`' enum.

  See Also:
    `GenLanguage`, `GMFGenPackageImpl.getGenLanguage()`, Constant Field Values
  ** Generated **

Method Detail

### getGenEditorGenerator

    public EClass getGenEditorGenerator()

  Returns the meta object for class '`Gen Editor Generator`'.

  Returns:
    the meta object for class 'Gen Editor Generator'.
  See Also:
    `GenEditorGenerator`
  ** Generated **

### getGenEditorGenerator_Audits

    public EReference getGenEditorGenerator_Audits()

  Returns the meta object for the containment reference '`Audits`'.

  Returns:
    the meta object for the containment reference 'Audits'.
  See Also:
    `GenEditorGenerator.getAudits()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Metrics

    public EReference getGenEditorGenerator_Metrics()

  Returns the meta object for the containment reference '`Metrics`'.

  Returns:
    the meta object for the containment reference 'Metrics'.
  See Also:
    `GenEditorGenerator.getMetrics()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Diagram

    public EReference getGenEditorGenerator_Diagram()

  Returns the meta object for the containment reference '`Diagram`'.

  Returns:
    the meta object for the containment reference 'Diagram'.
  See Also:
    `GenEditorGenerator.getDiagram()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Plugin

    public EReference getGenEditorGenerator_Plugin()

  Returns the meta object for the containment reference '`Plugin`'.

  Returns:
    the meta object for the containment reference 'Plugin'.
  See Also:
    `GenEditorGenerator.getPlugin()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Editor

    public EReference getGenEditorGenerator_Editor()

  Returns the meta object for the containment reference '`Editor`'.

  Returns:
    the meta object for the containment reference 'Editor'.
  See Also:
    `GenEditorGenerator.getEditor()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DomainGenModel

    public EReference getGenEditorGenerator_DomainGenModel()

  Returns the meta object for the reference '`Domain Gen Model`'.

  Returns:
    the meta object for the reference 'Domain Gen Model'.
  See Also:
    `GenEditorGenerator.getDomainGenModel()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_PackageNamePrefix

    public EAttribute getGenEditorGenerator_PackageNamePrefix()

  Returns the meta object for the attribute '`Package Name Prefix`'.

  Returns:
    the meta object for the attribute 'Package Name Prefix'.
  See Also:
    `GenEditorGenerator.getPackageNamePrefix()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_ModelID

    public EAttribute getGenEditorGenerator_ModelID()

  Returns the meta object for the attribute '`Model ID`'.

  Returns:
    the meta object for the attribute 'Model ID'.
  See Also:
    `GenEditorGenerator.getModelID()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_SameFileForDiagramAndModel

    public EAttribute getGenEditorGenerator_SameFileForDiagramAndModel()

  Returns the meta object for the attribute '`Same File For Diagram And Model`'.

  Returns:
    the meta object for the attribute 'Same File For Diagram And Model'.
  See Also:
    `GenEditorGenerator.isSameFileForDiagramAndModel()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DiagramFileExtension

    public EAttribute getGenEditorGenerator_DiagramFileExtension()

  Returns the meta object for the attribute '`Diagram File Extension`'.

  Returns:
    the meta object for the attribute 'Diagram File Extension'.
  See Also:
    `GenEditorGenerator.getDiagramFileExtension()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DomainFileExtension

    public EAttribute getGenEditorGenerator_DomainFileExtension()

  Returns the meta object for the attribute '`Domain File Extension`'.

  Returns:
    the meta object for the attribute 'Domain File Extension'.
  See Also:
    `GenEditorGenerator.getDomainFileExtension()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DynamicTemplates

    public EAttribute getGenEditorGenerator_DynamicTemplates()

  Returns the meta object for the attribute '`Dynamic Templates`'.

  Returns:
    the meta object for the attribute 'Dynamic Templates'.
  See Also:
    `GenEditorGenerator.isDynamicTemplates()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_TemplateDirectory

    public EAttribute getGenEditorGenerator_TemplateDirectory()

  Returns the meta object for the attribute '`Template Directory`'.

  Returns:
    the meta object for the attribute 'Template Directory'.
  See Also:
    `GenEditorGenerator.getTemplateDirectory()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_CopyrightText

    public EAttribute getGenEditorGenerator_CopyrightText()

  Returns the meta object for the attribute '`Copyright Text`'.

  Returns:
    the meta object for the attribute 'Copyright Text'.
  See Also:
    `GenEditorGenerator.getCopyrightText()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_ExpressionProviders

    public EReference getGenEditorGenerator_ExpressionProviders()

  Returns the meta object for the containment reference '`Expression Providers`'.

  Returns:
    the meta object for the containment reference 'Expression Providers'.
  See Also:
    `GenEditorGenerator.getExpressionProviders()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenDiagram

    public EClass getGenDiagram()

  Returns the meta object for class '`Gen Diagram`'.

  Returns:
    the meta object for class 'Gen Diagram'.
  See Also:
    `GenDiagram`
  ** Generated **

### getGenDiagram_EditorGen

    public EReference getGenDiagram_EditorGen()

  Returns the meta object for the container reference '`Editor Gen`'.

  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenDiagram.getEditorGen()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_DomainDiagramElement

    public EReference getGenDiagram_DomainDiagramElement()

  Returns the meta object for the reference '`Domain Diagram Element`'.

  Returns:
    the meta object for the reference 'Domain Diagram Element'.
  See Also:
    `GenDiagram.getDomainDiagramElement()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_ChildNodes

    public EReference getGenDiagram_ChildNodes()

  Returns the meta object for the containment reference list '`Child Nodes`'.

  Returns:
    the meta object for the containment reference list 'Child Nodes'.
  See Also:
    `GenDiagram.getChildNodes()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_TopLevelNodes

    public EReference getGenDiagram_TopLevelNodes()

  Returns the meta object for the containment reference list '`Top Level Nodes`'.

  Returns:
    the meta object for the containment reference list 'Top Level Nodes'.
  See Also:
    `GenDiagram.getTopLevelNodes()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Links

    public EReference getGenDiagram_Links()

  Returns the meta object for the containment reference list '`Links`'.

  Returns:
    the meta object for the containment reference list 'Links'.
  See Also:
    `GenDiagram.getLinks()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Compartments

    public EReference getGenDiagram_Compartments()

  Returns the meta object for the containment reference list '`Compartments`'.

  Returns:
    the meta object for the containment reference list 'Compartments'.
  See Also:
    `GenDiagram.getCompartments()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Palette

    public EReference getGenDiagram_Palette()

  Returns the meta object for the containment reference '`Palette`'.

  Returns:
    the meta object for the containment reference 'Palette'.
  See Also:
    `GenDiagram.getPalette()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Synchronized

    public EAttribute getGenDiagram_Synchronized()

  Returns the meta object for the attribute '`Synchronized`'.

  Returns:
    the meta object for the attribute 'Synchronized'.
  See Also:
    `GenDiagram.isSynchronized()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenEditorView

    public EClass getGenEditorView()

  Returns the meta object for class '`Gen Editor View`'.

  Returns:
    the meta object for class 'Gen Editor View'.
  See Also:
    `GenEditorView`
  ** Generated **

### getGenEditorView_EditorGen

    public EReference getGenEditorView_EditorGen()

  Returns the meta object for the container reference '`Editor Gen`'.

  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenEditorView.getEditorGen()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_PackageName

    public EAttribute getGenEditorView_PackageName()

  Returns the meta object for the attribute '`Package Name`'.

  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `GenEditorView.getPackageName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ActionBarContributorClassName

    public EAttribute getGenEditorView_ActionBarContributorClassName()

  Returns the meta object for the attribute '`Action Bar Contributor Class Name`'.

  Returns:
    the meta object for the attribute 'Action Bar Contributor Class Name'.
  See Also:
    `GenEditorView.getActionBarContributorClassName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ClassName

    public EAttribute getGenEditorView_ClassName()

  Returns the meta object for the attribute '`Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenEditorView.getClassName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_IconPath

    public EAttribute getGenEditorView_IconPath()

  Returns the meta object for the attribute '`Icon Path`'.

  Returns:
    the meta object for the attribute 'Icon Path'.
  See Also:
    `GenEditorView.getIconPath()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ID

    public EAttribute getGenEditorView_ID()

  Returns the meta object for the attribute '`ID`'.

  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenEditorView.getID()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getBatchValidation

    public EClass getBatchValidation()

  Returns the meta object for class '`Batch Validation`'.

  Returns:
    the meta object for class 'Batch Validation'.
  See Also:
    `BatchValidation`
  ** Generated **

### getBatchValidation_ValidationProviderClassName

    public EAttribute getBatchValidation_ValidationProviderClassName()

  Returns the meta object for the attribute '`Validation Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Validation Provider Class Name'.
  See Also:
    `BatchValidation.getValidationProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationProviderPriority

    public EAttribute getBatchValidation_ValidationProviderPriority()

  Returns the meta object for the attribute '`Validation Provider Priority`'.

  Returns:
    the meta object for the attribute 'Validation Provider Priority'.
  See Also:
    `BatchValidation.getValidationProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MarkerNavigationProviderClassName

    public EAttribute getBatchValidation_MarkerNavigationProviderClassName()

  Returns the meta object for the attribute '`Marker Navigation Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Marker Navigation Provider Class Name'.
  See Also:
    `BatchValidation.getMarkerNavigationProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MarkerNavigationProviderPriority

    public EAttribute getBatchValidation_MarkerNavigationProviderPriority()

  Returns the meta object for the attribute '`Marker Navigation Provider Priority`'.

  Returns:
    the meta object for the attribute 'Marker Navigation Provider Priority'.
  See Also:
    `BatchValidation.getMarkerNavigationProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationEnabled

    public EAttribute getBatchValidation_ValidationEnabled()

  Returns the meta object for the attribute '`Validation Enabled`'.

  Returns:
    the meta object for the attribute 'Validation Enabled'.
  See Also:
    `BatchValidation.isValidationEnabled()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MetricProviderClassName

    public EAttribute getBatchValidation_MetricProviderClassName()

  Returns the meta object for the attribute '`Metric Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Metric Provider Class Name'.
  See Also:
    `BatchValidation.getMetricProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MetricProviderPriority

    public EAttribute getBatchValidation_MetricProviderPriority()

  Returns the meta object for the attribute '`Metric Provider Priority`'.

  Returns:
    the meta object for the attribute 'Metric Provider Priority'.
  See Also:
    `BatchValidation.getMetricProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecoratorProviderClassName

    public EAttribute getBatchValidation_ValidationDecoratorProviderClassName()

  Returns the meta object for the attribute '`Validation Decorator Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Validation Decorator Provider Class Name'.
  See Also:
    `BatchValidation.getValidationDecoratorProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecorators

    public EAttribute getBatchValidation_ValidationDecorators()

  Returns the meta object for the attribute '`Validation Decorators`'.

  Returns:
    the meta object for the attribute 'Validation Decorators'.
  See Also:
    `BatchValidation.isValidationDecorators()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecoratorProviderPriority

    public EAttribute getBatchValidation_ValidationDecoratorProviderPriority()

  Returns the meta object for the attribute '`Validation Decorator Provider Priority`'.

  Returns:
    the meta object for the attribute 'Validation Decorator Provider Priority'.
  See Also:
    `BatchValidation.getValidationDecoratorProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getProviderClassNames

    public EClass getProviderClassNames()

  Returns the meta object for class '`Provider Class Names`'.

  Returns:
    the meta object for class 'Provider Class Names'.
  See Also:
    `ProviderClassNames`
  ** Generated **

### getProviderClassNames_ElementTypesClassName

    public EAttribute getProviderClassNames_ElementTypesClassName()

  Returns the meta object for the attribute '`Element Types Class Name`'.

  Returns:
    the meta object for the attribute 'Element Types Class Name'.
  See Also:
    `ProviderClassNames.getElementTypesClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_NotationViewProviderClassName

    public EAttribute getProviderClassNames_NotationViewProviderClassName()

  Returns the meta object for the attribute '`Notation View Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Notation View Provider Class Name'.
  See Also:
    `ProviderClassNames.getNotationViewProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_NotationViewProviderPriority

    public EAttribute getProviderClassNames_NotationViewProviderPriority()

  Returns the meta object for the attribute '`Notation View Provider Priority`'.

  Returns:
    the meta object for the attribute 'Notation View Provider Priority'.
  See Also:
    `ProviderClassNames.getNotationViewProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_EditPartProviderClassName

    public EAttribute getProviderClassNames_EditPartProviderClassName()

  Returns the meta object for the attribute '`Edit Part Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Edit Part Provider Class Name'.
  See Also:
    `ProviderClassNames.getEditPartProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_EditPartProviderPriority

    public EAttribute getProviderClassNames_EditPartProviderPriority()

  Returns the meta object for the attribute '`Edit Part Provider Priority`'.

  Returns:
    the meta object for the attribute 'Edit Part Provider Priority'.
  See Also:
    `ProviderClassNames.getEditPartProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_PaletteProviderClassName

    public EAttribute getProviderClassNames_PaletteProviderClassName()

  Returns the meta object for the attribute '`Palette Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Palette Provider Class Name'.
  See Also:
    `ProviderClassNames.getPaletteProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_PaletteProviderPriority

    public EAttribute getProviderClassNames_PaletteProviderPriority()

  Returns the meta object for the attribute '`Palette Provider Priority`'.

  Returns:
    the meta object for the attribute 'Palette Provider Priority'.
  See Also:
    `ProviderClassNames.getPaletteProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ModelingAssistantProviderClassName

    public EAttribute getProviderClassNames_ModelingAssistantProviderClassName()

  Returns the meta object for the attribute '`Modeling Assistant Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Modeling Assistant Provider Class Name'.
  See Also:
    `ProviderClassNames.getModelingAssistantProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ModelingAssistantProviderPriority

    public EAttribute getProviderClassNames_ModelingAssistantProviderPriority()

  Returns the meta object for the attribute '`Modeling Assistant Provider Priority`'.

  Returns:
    the meta object for the attribute 'Modeling Assistant Provider Priority'.
  See Also:
    `ProviderClassNames.getModelingAssistantProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_PropertyProviderClassName

    public EAttribute getProviderClassNames_PropertyProviderClassName()

  Returns the meta object for the attribute '`Property Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Property Provider Class Name'.
  See Also:
    `ProviderClassNames.getPropertyProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_PropertyProviderPriority

    public EAttribute getProviderClassNames_PropertyProviderPriority()

  Returns the meta object for the attribute '`Property Provider Priority`'.

  Returns:
    the meta object for the attribute 'Property Provider Priority'.
  See Also:
    `ProviderClassNames.getPropertyProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_IconProviderClassName

    public EAttribute getProviderClassNames_IconProviderClassName()

  Returns the meta object for the attribute '`Icon Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Icon Provider Class Name'.
  See Also:
    `ProviderClassNames.getIconProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_IconProviderPriority

    public EAttribute getProviderClassNames_IconProviderPriority()

  Returns the meta object for the attribute '`Icon Provider Priority`'.

  Returns:
    the meta object for the attribute 'Icon Provider Priority'.
  See Also:
    `ProviderClassNames.getIconProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ParserProviderClassName

    public EAttribute getProviderClassNames_ParserProviderClassName()

  Returns the meta object for the attribute '`Parser Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Parser Provider Class Name'.
  See Also:
    `ProviderClassNames.getParserProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ParserProviderPriority

    public EAttribute getProviderClassNames_ParserProviderPriority()

  Returns the meta object for the attribute '`Parser Provider Priority`'.

  Returns:
    the meta object for the attribute 'Parser Provider Priority'.
  See Also:
    `ProviderClassNames.getParserProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_AbstractParserClassName

    public EAttribute getProviderClassNames_AbstractParserClassName()

  Returns the meta object for the attribute '`Abstract Parser Class Name`'.

  Returns:
    the meta object for the attribute 'Abstract Parser Class Name'.
  See Also:
    `ProviderClassNames.getAbstractParserClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_StructuralFeatureParserClassName

    public EAttribute getProviderClassNames_StructuralFeatureParserClassName()

  Returns the meta object for the attribute '`Structural Feature Parser Class Name`'.

  Returns:
    the meta object for the attribute 'Structural Feature Parser Class Name'.
  See Also:
    `ProviderClassNames.getStructuralFeatureParserClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_StructuralFeaturesParserClassName

    public EAttribute getProviderClassNames_StructuralFeaturesParserClassName()

  Returns the meta object for the attribute '`Structural Features Parser Class Name`'.

  Returns:
    the meta object for the attribute 'Structural Features Parser Class Name'.
  See Also:
    `ProviderClassNames.getStructuralFeaturesParserClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ContributionItemProviderClassName

    public EAttribute getProviderClassNames_ContributionItemProviderClassName()

  Returns the meta object for the attribute '`Contribution Item Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Contribution Item Provider Class Name'.
  See Also:
    `ProviderClassNames.getContributionItemProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getShortcuts

    public EClass getShortcuts()

  Returns the meta object for class '`Shortcuts`'.

  Returns:
    the meta object for class 'Shortcuts'.
  See Also:
    `Shortcuts`
  ** Generated **

### getShortcuts_ShortcutsDecoratorProviderClassName

    public EAttribute getShortcuts_ShortcutsDecoratorProviderClassName()

  Returns the meta object for the attribute '`Shortcuts Decorator Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Shortcuts Decorator Provider Class Name'.
  See Also:
    `Shortcuts.getShortcutsDecoratorProviderClassName()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ShortcutsDecoratorProviderPriority

    public EAttribute getShortcuts_ShortcutsDecoratorProviderPriority()

  Returns the meta object for the attribute '`Shortcuts Decorator Provider Priority`'.

  Returns:
    the meta object for the attribute 'Shortcuts Decorator Provider Priority'.
  See Also:
    `Shortcuts.getShortcutsDecoratorProviderPriority()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_CreateShortcutActionClassName

    public EAttribute getShortcuts_CreateShortcutActionClassName()

  Returns the meta object for the attribute '`Create Shortcut Action Class Name`'.

  Returns:
    the meta object for the attribute 'Create Shortcut Action Class Name'.
  See Also:
    `Shortcuts.getCreateShortcutActionClassName()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ContainsShortcutsTo

    public EAttribute getShortcuts_ContainsShortcutsTo()

  Returns the meta object for the attribute list '`Contains Shortcuts To`'.

  Returns:
    the meta object for the attribute list 'Contains Shortcuts To'.
  See Also:
    `Shortcuts.getContainsShortcutsTo()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ShortcutsProvidedFor

    public EAttribute getShortcuts_ShortcutsProvidedFor()

  Returns the meta object for the attribute list '`Shortcuts Provided For`'.

  Returns:
    the meta object for the attribute list 'Shortcuts Provided For'.
  See Also:
    `Shortcuts.getShortcutsProvidedFor()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getPackageNames

    public EClass getPackageNames()

  Returns the meta object for class '`Package Names`'.

  Returns:
    the meta object for class 'Package Names'.
  See Also:
    `PackageNames`
  ** Generated **

### getPackageNames_EditCommandsPackageName

    public EAttribute getPackageNames_EditCommandsPackageName()

  Returns the meta object for the attribute '`Edit Commands Package Name`'.

  Returns:
    the meta object for the attribute 'Edit Commands Package Name'.
  See Also:
    `PackageNames.getEditCommandsPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditHelpersPackageName

    public EAttribute getPackageNames_EditHelpersPackageName()

  Returns the meta object for the attribute '`Edit Helpers Package Name`'.

  Returns:
    the meta object for the attribute 'Edit Helpers Package Name'.
  See Also:
    `PackageNames.getEditHelpersPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditPartsPackageName

    public EAttribute getPackageNames_EditPartsPackageName()

  Returns the meta object for the attribute '`Edit Parts Package Name`'.

  Returns:
    the meta object for the attribute 'Edit Parts Package Name'.
  See Also:
    `PackageNames.getEditPartsPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditPoliciesPackageName

    public EAttribute getPackageNames_EditPoliciesPackageName()

  Returns the meta object for the attribute '`Edit Policies Package Name`'.

  Returns:
    the meta object for the attribute 'Edit Policies Package Name'.
  See Also:
    `PackageNames.getEditPoliciesPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_ProvidersPackageName

    public EAttribute getPackageNames_ProvidersPackageName()

  Returns the meta object for the attribute '`Providers Package Name`'.

  Returns:
    the meta object for the attribute 'Providers Package Name'.
  See Also:
    `PackageNames.getProvidersPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_NotationViewFactoriesPackageName

    public EAttribute getPackageNames_NotationViewFactoriesPackageName()

  Returns the meta object for the attribute '`Notation View Factories Package Name`'.

  Returns:
    the meta object for the attribute 'Notation View Factories Package Name'.
  See Also:
    `PackageNames.getNotationViewFactoriesPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getLinkConstraints

    public EClass getLinkConstraints()

  Returns the meta object for class '`Link Constraints`'.

  Returns:
    the meta object for class 'Link Constraints'.
  See Also:
    `LinkConstraints`
  ** Generated **

### getEditorCandies

    public EClass getEditorCandies()

  Returns the meta object for class '`Editor Candies`'.

  Returns:
    the meta object for class 'Editor Candies'.
  See Also:
    `EditorCandies`
  ** Generated **

### getEditorCandies_CreationWizardClassName

    public EAttribute getEditorCandies_CreationWizardClassName()

  Returns the meta object for the attribute '`Creation Wizard Class Name`'.

  Returns:
    the meta object for the attribute 'Creation Wizard Class Name'.
  See Also:
    `EditorCandies.getCreationWizardClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardPageClassName

    public EAttribute getEditorCandies_CreationWizardPageClassName()

  Returns the meta object for the attribute '`Creation Wizard Page Class Name`'.

  Returns:
    the meta object for the attribute 'Creation Wizard Page Class Name'.
  See Also:
    `EditorCandies.getCreationWizardPageClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardIconPath

    public EAttribute getEditorCandies_CreationWizardIconPath()

  Returns the meta object for the attribute '`Creation Wizard Icon Path`'.

  Returns:
    the meta object for the attribute 'Creation Wizard Icon Path'.
  See Also:
    `EditorCandies.getCreationWizardIconPath()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardCategoryID

    public EAttribute getEditorCandies_CreationWizardCategoryID()

  Returns the meta object for the attribute '`Creation Wizard Category ID`'.

  Returns:
    the meta object for the attribute 'Creation Wizard Category ID'.
  See Also:
    `EditorCandies.getCreationWizardCategoryID()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DiagramEditorUtilClassName

    public EAttribute getEditorCandies_DiagramEditorUtilClassName()

  Returns the meta object for the attribute '`Diagram Editor Util Class Name`'.

  Returns:
    the meta object for the attribute 'Diagram Editor Util Class Name'.
  See Also:
    `EditorCandies.getDiagramEditorUtilClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DiagramFileCreatorClassName

    public EAttribute getEditorCandies_DiagramFileCreatorClassName()

  Returns the meta object for the attribute '`Diagram File Creator Class Name`'.

  Returns:
    the meta object for the attribute 'Diagram File Creator Class Name'.
  See Also:
    `EditorCandies.getDiagramFileCreatorClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DocumentProviderClassName

    public EAttribute getEditorCandies_DocumentProviderClassName()

  Returns the meta object for the attribute '`Document Provider Class Name`'.

  Returns:
    the meta object for the attribute 'Document Provider Class Name'.
  See Also:
    `EditorCandies.getDocumentProviderClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_InitDiagramFileActionClassName

    public EAttribute getEditorCandies_InitDiagramFileActionClassName()

  Returns the meta object for the attribute '`Init Diagram File Action Class Name`'.

  Returns:
    the meta object for the attribute 'Init Diagram File Action Class Name'.
  See Also:
    `EditorCandies.getInitDiagramFileActionClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_NewDiagramFileWizardClassName

    public EAttribute getEditorCandies_NewDiagramFileWizardClassName()

  Returns the meta object for the attribute '`New Diagram File Wizard Class Name`'.

  Returns:
    the meta object for the attribute 'New Diagram File Wizard Class Name'.
  See Also:
    `EditorCandies.getNewDiagramFileWizardClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_MatchingStrategyClassName

    public EAttribute getEditorCandies_MatchingStrategyClassName()

  Returns the meta object for the attribute '`Matching Strategy Class Name`'.

  Returns:
    the meta object for the attribute 'Matching Strategy Class Name'.
  See Also:
    `EditorCandies.getMatchingStrategyClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_PreferenceInitializerClassName

    public EAttribute getEditorCandies_PreferenceInitializerClassName()

  Returns the meta object for the attribute '`Preference Initializer Class Name`'.

  Returns:
    the meta object for the attribute 'Preference Initializer Class Name'.
  See Also:
    `EditorCandies.getPreferenceInitializerClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_VisualIDRegistryClassName

    public EAttribute getEditorCandies_VisualIDRegistryClassName()

  Returns the meta object for the attribute '`Visual ID Registry Class Name`'.

  Returns:
    the meta object for the attribute 'Visual ID Registry Class Name'.
  See Also:
    `EditorCandies.getVisualIDRegistryClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_ElementChooserClassName

    public EAttribute getEditorCandies_ElementChooserClassName()

  Returns the meta object for the attribute '`Element Chooser Class Name`'.

  Returns:
    the meta object for the attribute 'Element Chooser Class Name'.
  See Also:
    `EditorCandies.getElementChooserClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_LoadResourceActionClassName

    public EAttribute getEditorCandies_LoadResourceActionClassName()

  Returns the meta object for the attribute '`Load Resource Action Class Name`'.

  Returns:
    the meta object for the attribute 'Load Resource Action Class Name'.
  See Also:
    `EditorCandies.getLoadResourceActionClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_EditingDomainID

    public EAttribute getEditorCandies_EditingDomainID()

  Returns the meta object for the attribute '`Editing Domain ID`'.

  Returns:
    the meta object for the attribute 'Editing Domain ID'.
  See Also:
    `EditorCandies.getEditingDomainID()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditPartCandies

    public EClass getEditPartCandies()

  Returns the meta object for class '`Edit Part Candies`'.

  Returns:
    the meta object for class 'Edit Part Candies'.
  See Also:
    `EditPartCandies`
  ** Generated **

### getEditPartCandies_ReorientConnectionViewCommandClassName

    public EAttribute getEditPartCandies_ReorientConnectionViewCommandClassName()

  Returns the meta object for the attribute '`Reorient Connection View Command Class Name`'.

  Returns:
    the meta object for the attribute 'Reorient Connection View Command Class Name'.
  See Also:
    `EditPartCandies.getReorientConnectionViewCommandClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseEditHelperClassName

    public EAttribute getEditPartCandies_BaseEditHelperClassName()

  Returns the meta object for the attribute '`Base Edit Helper Class Name`'.

  Returns:
    the meta object for the attribute 'Base Edit Helper Class Name'.
  See Also:
    `EditPartCandies.getBaseEditHelperClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_EditPartFactoryClassName

    public EAttribute getEditPartCandies_EditPartFactoryClassName()

  Returns the meta object for the attribute '`Edit Part Factory Class Name`'.

  Returns:
    the meta object for the attribute 'Edit Part Factory Class Name'.
  See Also:
    `EditPartCandies.getEditPartFactoryClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseExternalNodeLabelEditPartClassName

    public EAttribute getEditPartCandies_BaseExternalNodeLabelEditPartClassName()

  Returns the meta object for the attribute '`Base External Node Label Edit Part Class Name`'.

  Returns:
    the meta object for the attribute 'Base External Node Label Edit Part Class Name'.
  See Also:
    `EditPartCandies.getBaseExternalNodeLabelEditPartClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseItemSemanticEditPolicyClassName

    public EAttribute getEditPartCandies_BaseItemSemanticEditPolicyClassName()

  Returns the meta object for the attribute '`Base Item Semantic Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Base Item Semantic Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getBaseItemSemanticEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseGraphicalNodeEditPolicyClassName

    public EAttribute getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()

  Returns the meta object for the attribute '`Base Graphical Node Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Base Graphical Node Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getBaseGraphicalNodeEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_ReferenceConnectionEditPolicyClassName

    public EAttribute getEditPartCandies_ReferenceConnectionEditPolicyClassName()

  Returns the meta object for the attribute '`Reference Connection Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Reference Connection Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getReferenceConnectionEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_CanonicalEditPolicyClassName

    public EAttribute getEditPartCandies_CanonicalEditPolicyClassName()

  Returns the meta object for the attribute '`Canonical Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Canonical Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getCanonicalEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_TextSelectionEditPolicyClassName

    public EAttribute getEditPartCandies_TextSelectionEditPolicyClassName()

  Returns the meta object for the attribute '`Text Selection Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Text Selection Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getTextSelectionEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_TextNonResizableEditPolicyClassName

    public EAttribute getEditPartCandies_TextNonResizableEditPolicyClassName()

  Returns the meta object for the attribute '`Text Non Resizable Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Text Non Resizable Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getTextNonResizableEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_ExternalNodeLabelHostLayoutEditPolicyClassName

    public EAttribute getEditPartCandies_ExternalNodeLabelHostLayoutEditPolicyClassName()

  Returns the meta object for the attribute '`External Node Label Host Layout Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'External Node Label Host Layout Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getExternalNodeLabelHostLayoutEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getMeasurementUnit

    public EClass getMeasurementUnit()

  Returns the meta object for class '`Measurement Unit`'.

  Returns:
    the meta object for class 'Measurement Unit'.
  See Also:
    `MeasurementUnit`
  ** Generated **

### getMeasurementUnit_Units

    public EAttribute getMeasurementUnit_Units()

  Returns the meta object for the attribute '`Units`'.

  Returns:
    the meta object for the attribute 'Units'.
  See Also:
    `MeasurementUnit.getUnits()`, `GMFGenPackage.getMeasurementUnit()`
  ** Generated **

### getGenPlugin

    public EClass getGenPlugin()

  Returns the meta object for class '`Gen Plugin`'.

  Returns:
    the meta object for class 'Gen Plugin'.
  See Also:
    `GenPlugin`
  ** Generated **

### getGenPlugin_EditorGen

    public EReference getGenPlugin_EditorGen()

  Returns the meta object for the container reference '`Editor Gen`'.

  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenPlugin.getEditorGen()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_ID

    public EAttribute getGenPlugin_ID()

  Returns the meta object for the attribute '`ID`'.

  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenPlugin.getID()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Name

    public EAttribute getGenPlugin_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenPlugin.getName()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Provider

    public EAttribute getGenPlugin_Provider()

  Returns the meta object for the attribute '`Provider`'.

  Returns:
    the meta object for the attribute 'Provider'.
  See Also:
    `GenPlugin.getProvider()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Version

    public EAttribute getGenPlugin_Version()

  Returns the meta object for the attribute '`Version`'.

  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `GenPlugin.getVersion()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_PrintingEnabled

    public EAttribute getGenPlugin_PrintingEnabled()

  Returns the meta object for the attribute '`Printing Enabled`'.

  Returns:
    the meta object for the attribute 'Printing Enabled'.
  See Also:
    `GenPlugin.isPrintingEnabled()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_ActivatorClassName

    public EAttribute getGenPlugin_ActivatorClassName()

  Returns the meta object for the attribute '`Activator Class Name`'.

  Returns:
    the meta object for the attribute 'Activator Class Name'.
  See Also:
    `GenPlugin.getActivatorClassName()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getElementType

    public EClass getElementType()

  Returns the meta object for class '`Element Type`'.

  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`
  ** Generated **

### getElementType_DiagramElement

    public EReference getElementType_DiagramElement()

  Returns the meta object for the container reference '`Diagram Element`'.

  Returns:
    the meta object for the container reference 'Diagram Element'.
  See Also:
    `ElementType.getDiagramElement()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_UniqueIdentifier

    public EAttribute getElementType_UniqueIdentifier()

  Returns the meta object for the attribute '`Unique Identifier`'.

  Returns:
    the meta object for the attribute 'Unique Identifier'.
  See Also:
    `ElementType.getUniqueIdentifier()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_DisplayName

    public EAttribute getElementType_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `ElementType.getDisplayName()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_DefinedExternally

    public EAttribute getElementType_DefinedExternally()

  Returns the meta object for the attribute '`Defined Externally`'.

  Returns:
    the meta object for the attribute 'Defined Externally'.
  See Also:
    `ElementType.isDefinedExternally()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getMetamodelType

    public EClass getMetamodelType()

  Returns the meta object for class '`Metamodel Type`'.

  Returns:
    the meta object for class 'Metamodel Type'.
  See Also:
    `MetamodelType`
  ** Generated **

### getMetamodelType_EditHelperClassName

    public EAttribute getMetamodelType_EditHelperClassName()

  Returns the meta object for the attribute '`Edit Helper Class Name`'.

  Returns:
    the meta object for the attribute 'Edit Helper Class Name'.
  See Also:
    `MetamodelType.getEditHelperClassName()`, `GMFGenPackage.getMetamodelType()`
  ** Generated **

### getSpecializationType

    public EClass getSpecializationType()

  Returns the meta object for class '`Specialization Type`'.

  Returns:
    the meta object for class 'Specialization Type'.
  See Also:
    `SpecializationType`
  ** Generated **

### getSpecializationType_MetamodelType

    public EReference getSpecializationType_MetamodelType()

  Returns the meta object for the reference '`Metamodel Type`'.

  Returns:
    the meta object for the reference 'Metamodel Type'.
  See Also:
    `SpecializationType.getMetamodelType()`, `GMFGenPackage.getSpecializationType()`
  ** Generated **

### getSpecializationType_EditHelperAdviceClassName

    public EAttribute getSpecializationType_EditHelperAdviceClassName()

  Returns the meta object for the attribute '`Edit Helper Advice Class Name`'.

  Returns:
    the meta object for the attribute 'Edit Helper Advice Class Name'.
  See Also:
    `SpecializationType.getEditHelperAdviceClassName()`, `GMFGenPackage.getSpecializationType()`
  ** Generated **

### getNotationType

    public EClass getNotationType()

  Returns the meta object for class '`Notation Type`'.

  Returns:
    the meta object for class 'Notation Type'.
  See Also:
    `NotationType`
  ** Generated **

### getGenCommonBase

    public EClass getGenCommonBase()

  Returns the meta object for class '`Gen Common Base`'.

  Returns:
    the meta object for class 'Gen Common Base'.
  See Also:
    `GenCommonBase`
  ** Generated **

### getGenCommonBase_DiagramRunTimeClass

    public EReference getGenCommonBase_DiagramRunTimeClass()

  Returns the meta object for the reference '`Diagram Run Time Class`'.

  Returns:
    the meta object for the reference 'Diagram Run Time Class'.
  See Also:
    `GenCommonBase.getDiagramRunTimeClass()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_VisualID

    public EAttribute getGenCommonBase_VisualID()

  Returns the meta object for the attribute '`Visual ID`'.

  Returns:
    the meta object for the attribute 'Visual ID'.
  See Also:
    `GenCommonBase.getVisualID()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_ElementType

    public EReference getGenCommonBase_ElementType()

  Returns the meta object for the containment reference '`Element Type`'.

  Returns:
    the meta object for the containment reference 'Element Type'.
  See Also:
    `GenCommonBase.getElementType()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_EditPartClassName

    public EAttribute getGenCommonBase_EditPartClassName()

  Returns the meta object for the attribute '`Edit Part Class Name`'.

  Returns:
    the meta object for the attribute 'Edit Part Class Name'.
  See Also:
    `GenCommonBase.getEditPartClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_ItemSemanticEditPolicyClassName

    public EAttribute getGenCommonBase_ItemSemanticEditPolicyClassName()

  Returns the meta object for the attribute '`Item Semantic Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Item Semantic Edit Policy Class Name'.
  See Also:
    `GenCommonBase.getItemSemanticEditPolicyClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_NotationViewFactoryClassName

    public EAttribute getGenCommonBase_NotationViewFactoryClassName()

  Returns the meta object for the attribute '`Notation View Factory Class Name`'.

  Returns:
    the meta object for the attribute 'Notation View Factory Class Name'.
  See Also:
    `GenCommonBase.getNotationViewFactoryClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_Viewmap

    public EReference getGenCommonBase_Viewmap()

  Returns the meta object for the containment reference '`Viewmap`'.

  Returns:
    the meta object for the containment reference 'Viewmap'.
  See Also:
    `GenCommonBase.getViewmap()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenContainerBase

    public EClass getGenContainerBase()

  Returns the meta object for class '`Gen Container Base`'.

  Returns:
    the meta object for class 'Gen Container Base'.
  See Also:
    `GenContainerBase`
  ** Generated **

### getGenContainerBase_ContainedNodes

    public EReference getGenContainerBase_ContainedNodes()

  Returns the meta object for the reference list '`Contained Nodes`'.

  Returns:
    the meta object for the reference list 'Contained Nodes'.
  See Also:
    `GenContainerBase.getContainedNodes()`, `GMFGenPackage.getGenContainerBase()`
  ** Generated **

### getGenNode

    public EClass getGenNode()

  Returns the meta object for class '`Gen Node`'.

  Returns:
    the meta object for class 'Gen Node'.
  See Also:
    `GenNode`
  ** Generated **

### getGenNode_Labels

    public EReference getGenNode_Labels()

  Returns the meta object for the containment reference list '`Labels`'.

  Returns:
    the meta object for the containment reference list 'Labels'.
  See Also:
    `GenNode.getLabels()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_Compartments

    public EReference getGenNode_Compartments()

  Returns the meta object for the reference list '`Compartments`'.

  Returns:
    the meta object for the reference list 'Compartments'.
  See Also:
    `GenNode.getCompartments()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_GraphicalNodeEditPolicyClassName

    public EAttribute getGenNode_GraphicalNodeEditPolicyClassName()

  Returns the meta object for the attribute '`Graphical Node Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Graphical Node Edit Policy Class Name'.
  See Also:
    `GenNode.getGraphicalNodeEditPolicyClassName()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenTopLevelNode

    public EClass getGenTopLevelNode()

  Returns the meta object for class '`Gen Top Level Node`'.

  Returns:
    the meta object for class 'Gen Top Level Node'.
  See Also:
    `GenTopLevelNode`
  ** Generated **

### getGenTopLevelNode_Diagram

    public EReference getGenTopLevelNode_Diagram()

  Returns the meta object for the container reference '`Diagram`'.

  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenTopLevelNode.getDiagram()`, `GMFGenPackage.getGenTopLevelNode()`
  ** Generated **

### getGenChildNode

    public EClass getGenChildNode()

  Returns the meta object for class '`Gen Child Node`'.

  Returns:
    the meta object for class 'Gen Child Node'.
  See Also:
    `GenChildNode`
  ** Generated **

### getGenChildNode_Diagram

    public EReference getGenChildNode_Diagram()

  Returns the meta object for the container reference '`Diagram`'.

  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenChildNode.getDiagram()`, `GMFGenPackage.getGenChildNode()`
  ** Generated **

### getGenChildNode_Containers

    public EReference getGenChildNode_Containers()

  Returns the meta object for the reference list '`Containers`'.

  Returns:
    the meta object for the reference list 'Containers'.
  See Also:
    `GenChildNode.getContainers()`, `GMFGenPackage.getGenChildNode()`
  ** Generated **

### getGenChildLabelNode

    public EClass getGenChildLabelNode()

  Returns the meta object for class '`Gen Child Label Node`'.

  Returns:
    the meta object for class 'Gen Child Label Node'.
  See Also:
    `GenChildLabelNode`
  ** Generated **

### getGenChildLabelNode_LabelReadOnly

    public EAttribute getGenChildLabelNode_LabelReadOnly()

  Returns the meta object for the attribute '`Label Read Only`'.

  Returns:
    the meta object for the attribute 'Label Read Only'.
  See Also:
    `GenChildLabelNode.isLabelReadOnly()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenChildLabelNode_LabelElementIcon

    public EAttribute getGenChildLabelNode_LabelElementIcon()

  Returns the meta object for the attribute '`Label Element Icon`'.

  Returns:
    the meta object for the attribute 'Label Element Icon'.
  See Also:
    `GenChildLabelNode.isLabelElementIcon()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenChildLabelNode_LabelModelFacet

    public EReference getGenChildLabelNode_LabelModelFacet()

  Returns the meta object for the containment reference '`Label Model Facet`'.

  Returns:
    the meta object for the containment reference 'Label Model Facet'.
  See Also:
    `GenChildLabelNode.getLabelModelFacet()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenCompartment

    public EClass getGenCompartment()

  Returns the meta object for class '`Gen Compartment`'.

  Returns:
    the meta object for class 'Gen Compartment'.
  See Also:
    `GenCompartment`
  ** Generated **

### getGenCompartment_Title

    public EAttribute getGenCompartment_Title()

  Returns the meta object for the attribute '`Title`'.

  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `GenCompartment.getTitle()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_CanCollapse

    public EAttribute getGenCompartment_CanCollapse()

  Returns the meta object for the attribute '`Can Collapse`'.

  Returns:
    the meta object for the attribute 'Can Collapse'.
  See Also:
    `GenCompartment.isCanCollapse()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_HideIfEmpty

    public EAttribute getGenCompartment_HideIfEmpty()

  Returns the meta object for the attribute '`Hide If Empty`'.

  Returns:
    the meta object for the attribute 'Hide If Empty'.
  See Also:
    `GenCompartment.isHideIfEmpty()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_NeedsTitle

    public EAttribute getGenCompartment_NeedsTitle()

  Returns the meta object for the attribute '`Needs Title`'.

  Returns:
    the meta object for the attribute 'Needs Title'.
  See Also:
    `GenCompartment.isNeedsTitle()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_Diagram

    public EReference getGenCompartment_Diagram()

  Returns the meta object for the container reference '`Diagram`'.

  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenCompartment.getDiagram()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_Node

    public EReference getGenCompartment_Node()

  Returns the meta object for the reference '`Node`'.

  Returns:
    the meta object for the reference 'Node'.
  See Also:
    `GenCompartment.getNode()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_ListLayout

    public EAttribute getGenCompartment_ListLayout()

  Returns the meta object for the attribute '`List Layout`'.

  Returns:
    the meta object for the attribute 'List Layout'.
  See Also:
    `GenCompartment.isListLayout()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenNode_ModelFacet

    public EReference getGenNode_ModelFacet()

  Returns the meta object for the containment reference '`Model Facet`'.

  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenNode.getModelFacet()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenChildContainer

    public EClass getGenChildContainer()

  Returns the meta object for class '`Gen Child Container`'.

  Returns:
    the meta object for class 'Gen Child Container'.
  See Also:
    `GenChildContainer`
  ** Generated **

### getGenChildContainer_ChildNodes

    public EReference getGenChildContainer_ChildNodes()

  Returns the meta object for the reference list '`Child Nodes`'.

  Returns:
    the meta object for the reference list 'Child Nodes'.
  See Also:
    `GenChildContainer.getChildNodes()`, `GMFGenPackage.getGenChildContainer()`
  ** Generated **

### getGenChildContainer_CanonicalEditPolicyClassName

    public EAttribute getGenChildContainer_CanonicalEditPolicyClassName()

  Returns the meta object for the attribute '`Canonical Edit Policy Class Name`'.

  Returns:
    the meta object for the attribute 'Canonical Edit Policy Class Name'.
  See Also:
    `GenChildContainer.getCanonicalEditPolicyClassName()`, `GMFGenPackage.getGenChildContainer()`
  ** Generated **

### getGenLink

    public EClass getGenLink()

  Returns the meta object for class '`Gen Link`'.

  Returns:
    the meta object for class 'Gen Link'.
  See Also:
    `GenLink`
  ** Generated **

### getGenLink_Diagram

    public EReference getGenLink_Diagram()

  Returns the meta object for the container reference '`Diagram`'.

  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenLink.getDiagram()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_ModelFacet

    public EReference getGenLink_ModelFacet()

  Returns the meta object for the containment reference '`Model Facet`'.

  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenLink.getModelFacet()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_Labels

    public EReference getGenLink_Labels()

  Returns the meta object for the containment reference list '`Labels`'.

  Returns:
    the meta object for the containment reference list 'Labels'.
  See Also:
    `GenLink.getLabels()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_OutgoingCreationAllowed

    public EAttribute getGenLink_OutgoingCreationAllowed()

  Returns the meta object for the attribute '`Outgoing Creation Allowed`'.

  Returns:
    the meta object for the attribute 'Outgoing Creation Allowed'.
  See Also:
    `GenLink.isOutgoingCreationAllowed()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_IncomingCreationAllowed

    public EAttribute getGenLink_IncomingCreationAllowed()

  Returns the meta object for the attribute '`Incoming Creation Allowed`'.

  Returns:
    the meta object for the attribute 'Incoming Creation Allowed'.
  See Also:
    `GenLink.isIncomingCreationAllowed()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_ViewDirectionAlignedWithModel

    public EAttribute getGenLink_ViewDirectionAlignedWithModel()

  Returns the meta object for the attribute '`View Direction Aligned With Model`'.

  Returns:
    the meta object for the attribute 'View Direction Aligned With Model'.
  See Also:
    `GenLink.isViewDirectionAlignedWithModel()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_CreationConstraints

    public EReference getGenLink_CreationConstraints()

  Returns the meta object for the containment reference '`Creation Constraints`'.

  Returns:
    the meta object for the containment reference 'Creation Constraints'.
  See Also:
    `GenLink.getCreationConstraints()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLabel

    public EClass getGenLabel()

  Returns the meta object for class '`Gen Label`'.

  Returns:
    the meta object for class 'Gen Label'.
  See Also:
    `GenLabel`
  ** Generated **

### getGenLabel_ReadOnly

    public EAttribute getGenLabel_ReadOnly()

  Returns the meta object for the attribute '`Read Only`'.

  Returns:
    the meta object for the attribute 'Read Only'.
  See Also:
    `GenLabel.isReadOnly()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenLabel_ElementIcon

    public EAttribute getGenLabel_ElementIcon()

  Returns the meta object for the attribute '`Element Icon`'.

  Returns:
    the meta object for the attribute 'Element Icon'.
  See Also:
    `GenLabel.isElementIcon()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenLabel_ModelFacet

    public EReference getGenLabel_ModelFacet()

  Returns the meta object for the containment reference '`Model Facet`'.

  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenLabel.getModelFacet()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenNodeLabel

    public EClass getGenNodeLabel()

  Returns the meta object for class '`Gen Node Label`'.

  Returns:
    the meta object for class 'Gen Node Label'.
  See Also:
    `GenNodeLabel`
  ** Generated **

### getGenNodeLabel_Node

    public EReference getGenNodeLabel_Node()

  Returns the meta object for the container reference '`Node`'.

  Returns:
    the meta object for the container reference 'Node'.
  See Also:
    `GenNodeLabel.getNode()`, `GMFGenPackage.getGenNodeLabel()`
  ** Generated **

### getGenExternalNodeLabel

    public EClass getGenExternalNodeLabel()

  Returns the meta object for class '`Gen External Node Label`'.

  Returns:
    the meta object for class 'Gen External Node Label'.
  See Also:
    `GenExternalNodeLabel`
  ** Generated **

### getGenLinkLabel

    public EClass getGenLinkLabel()

  Returns the meta object for class '`Gen Link Label`'.

  Returns:
    the meta object for class 'Gen Link Label'.
  See Also:
    `GenLinkLabel`
  ** Generated **

### getGenLinkLabel_Link

    public EReference getGenLinkLabel_Link()

  Returns the meta object for the container reference '`Link`'.

  Returns:
    the meta object for the container reference 'Link'.
  See Also:
    `GenLinkLabel.getLink()`, `GMFGenPackage.getGenLinkLabel()`
  ** Generated **

### getGenLinkLabel_Alignment

    public EAttribute getGenLinkLabel_Alignment()

  Returns the meta object for the attribute '`Alignment`'.

  Returns:
    the meta object for the attribute 'Alignment'.
  See Also:
    `GenLinkLabel.getAlignment()`, `GMFGenPackage.getGenLinkLabel()`
  ** Generated **

### getModelFacet

    public EClass getModelFacet()

  Returns the meta object for class '`Model Facet`'.

  Returns:
    the meta object for class 'Model Facet'.
  See Also:
    `ModelFacet`
  ** Generated **

### getLinkModelFacet

    public EClass getLinkModelFacet()

  Returns the meta object for class '`Link Model Facet`'.

  Returns:
    the meta object for class 'Link Model Facet'.
  See Also:
    `LinkModelFacet`
  ** Generated **

### getLabelModelFacet

    public EClass getLabelModelFacet()

  Returns the meta object for class '`Label Model Facet`'.

  Returns:
    the meta object for class 'Label Model Facet'.
  See Also:
    `LabelModelFacet`
  ** Generated **

### getTypeModelFacet

    public EClass getTypeModelFacet()

  Returns the meta object for class '`Type Model Facet`'.

  Returns:
    the meta object for class 'Type Model Facet'.
  See Also:
    `TypeModelFacet`
  ** Generated **

### getTypeModelFacet_MetaClass

    public EReference getTypeModelFacet_MetaClass()

  Returns the meta object for the reference '`Meta Class`'.

  Returns:
    the meta object for the reference 'Meta Class'.
  See Also:
    `TypeModelFacet.getMetaClass()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ContainmentMetaFeature

    public EReference getTypeModelFacet_ContainmentMetaFeature()

  Returns the meta object for the reference '`Containment Meta Feature`'.

  Returns:
    the meta object for the reference 'Containment Meta Feature'.
  See Also:
    `TypeModelFacet.getContainmentMetaFeature()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ChildMetaFeature

    public EReference getTypeModelFacet_ChildMetaFeature()

  Returns the meta object for the reference '`Child Meta Feature`'.

  Returns:
    the meta object for the reference 'Child Meta Feature'.
  See Also:
    `TypeModelFacet.getChildMetaFeature()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ModelElementSelector

    public EReference getTypeModelFacet_ModelElementSelector()

  Returns the meta object for the containment reference '`Model Element Selector`'.

  Returns:
    the meta object for the containment reference 'Model Element Selector'.
  See Also:
    `TypeModelFacet.getModelElementSelector()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ModelElementInitializer

    public EReference getTypeModelFacet_ModelElementInitializer()

  Returns the meta object for the containment reference '`Model Element Initializer`'.

  Returns:
    the meta object for the containment reference 'Model Element Initializer'.
  See Also:
    `TypeModelFacet.getModelElementInitializer()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getFeatureModelFacet

    public EClass getFeatureModelFacet()

  Returns the meta object for class '`Feature Model Facet`'.

  Returns:
    the meta object for class 'Feature Model Facet'.
  See Also:
    `FeatureModelFacet`
  ** Generated **

### getFeatureModelFacet_MetaFeature

    public EReference getFeatureModelFacet_MetaFeature()

  Returns the meta object for the reference '`Meta Feature`'.

  Returns:
    the meta object for the reference 'Meta Feature'.
  See Also:
    `FeatureModelFacet.getMetaFeature()`, `GMFGenPackage.getFeatureModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet

    public EClass getFeatureLabelModelFacet()

  Returns the meta object for class '`Feature Label Model Facet`'.

  Returns:
    the meta object for class 'Feature Label Model Facet'.
  See Also:
    `FeatureLabelModelFacet`
  ** Generated **

### getFeatureLabelModelFacet_ViewPattern

    public EAttribute getFeatureLabelModelFacet_ViewPattern()

  Returns the meta object for the attribute '`View Pattern`'.

  Returns:
    the meta object for the attribute 'View Pattern'.
  See Also:
    `FeatureLabelModelFacet.getViewPattern()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet_EditPattern

    public EAttribute getFeatureLabelModelFacet_EditPattern()

  Returns the meta object for the attribute '`Edit Pattern`'.

  Returns:
    the meta object for the attribute 'Edit Pattern'.
  See Also:
    `FeatureLabelModelFacet.getEditPattern()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getCompositeFeatureModelFacet

    public EClass getCompositeFeatureModelFacet()

  Returns the meta object for class '`Composite Feature Model Facet`'.

  Returns:
    the meta object for class 'Composite Feature Model Facet'.
  See Also:
    `CompositeFeatureModelFacet`
  ** Generated **

### getCompositeFeatureModelFacet_MetaFeatures

    public EReference getCompositeFeatureModelFacet_MetaFeatures()

  Returns the meta object for the reference list '`Meta Features`'.

  Returns:
    the meta object for the reference list 'Meta Features'.
  See Also:
    `CompositeFeatureModelFacet.getMetaFeatures()`, `GMFGenPackage.getCompositeFeatureModelFacet()`
  ** Generated **

### getCompositeFeatureLabelModelFacet

    public EClass getCompositeFeatureLabelModelFacet()

  Returns the meta object for class '`Composite Feature Label Model Facet`'.

  Returns:
    the meta object for class 'Composite Feature Label Model Facet'.
  See Also:
    `CompositeFeatureLabelModelFacet`
  ** Generated **

### getCompositeFeatureLabelModelFacet_ViewPattern

    public EAttribute getCompositeFeatureLabelModelFacet_ViewPattern()

  Returns the meta object for the attribute '`View Pattern`'.

  Returns:
    the meta object for the attribute 'View Pattern'.
  See Also:
    `CompositeFeatureLabelModelFacet.getViewPattern()`, `GMFGenPackage.getCompositeFeatureLabelModelFacet()`
  ** Generated **

### getCompositeFeatureLabelModelFacet_EditPattern

    public EAttribute getCompositeFeatureLabelModelFacet_EditPattern()

  Returns the meta object for the attribute '`Edit Pattern`'.

  Returns:
    the meta object for the attribute 'Edit Pattern'.
  See Also:
    `CompositeFeatureLabelModelFacet.getEditPattern()`, `GMFGenPackage.getCompositeFeatureLabelModelFacet()`
  ** Generated **

### getDesignLabelModelFacet

    public EClass getDesignLabelModelFacet()

  Returns the meta object for class '`Design Label Model Facet`'.

  Returns:
    the meta object for class 'Design Label Model Facet'.
  See Also:
    `DesignLabelModelFacet`
  ** Generated **

### getTypeLinkModelFacet

    public EClass getTypeLinkModelFacet()

  Returns the meta object for class '`Type Link Model Facet`'.

  Returns:
    the meta object for class 'Type Link Model Facet'.
  See Also:
    `TypeLinkModelFacet`
  ** Generated **

### getTypeLinkModelFacet_SourceMetaFeature

    public EReference getTypeLinkModelFacet_SourceMetaFeature()

  Returns the meta object for the reference '`Source Meta Feature`'.

  Returns:
    the meta object for the reference 'Source Meta Feature'.
  See Also:
    `TypeLinkModelFacet.getSourceMetaFeature()`, `GMFGenPackage.getTypeLinkModelFacet()`
  ** Generated **

### getTypeLinkModelFacet_TargetMetaFeature

    public EReference getTypeLinkModelFacet_TargetMetaFeature()

  Returns the meta object for the reference '`Target Meta Feature`'.

  Returns:
    the meta object for the reference 'Target Meta Feature'.
  See Also:
    `TypeLinkModelFacet.getTargetMetaFeature()`, `GMFGenPackage.getTypeLinkModelFacet()`
  ** Generated **

### getFeatureLinkModelFacet

    public EClass getFeatureLinkModelFacet()

  Returns the meta object for class '`Feature Link Model Facet`'.

  Returns:
    the meta object for class 'Feature Link Model Facet'.
  See Also:
    `FeatureLinkModelFacet`
  ** Generated **

### getViewmap

    public EClass getViewmap()

  Returns the meta object for class '`Viewmap`'.

  Returns:
    the meta object for class 'Viewmap'.
  See Also:
    `Viewmap`
  ** Generated **

### getViewmap_Attributes

    public EReference getViewmap_Attributes()

  Returns the meta object for the containment reference list '`Attributes`'.

  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `Viewmap.getAttributes()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getViewmap_RequiredPluginIDs

    public EAttribute getViewmap_RequiredPluginIDs()

  Returns the meta object for the attribute list '`Required Plugin IDs`'.

  Returns:
    the meta object for the attribute list 'Required Plugin IDs'.
  See Also:
    `Viewmap.getRequiredPluginIDs()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getViewmap_LayoutType

    public EAttribute getViewmap_LayoutType()

  Returns the meta object for the attribute '`Layout Type`'.

  Returns:
    the meta object for the attribute 'Layout Type'.
  See Also:
    `Viewmap.getLayoutType()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getAttributes

    public EClass getAttributes()

  Returns the meta object for class '`Attributes`'.

  Returns:
    the meta object for class 'Attributes'.
  See Also:
    `Attributes`
  ** Generated **

### getColorAttributes

    public EClass getColorAttributes()

  Returns the meta object for class '`Color Attributes`'.

  Returns:
    the meta object for class 'Color Attributes'.
  See Also:
    `ColorAttributes`
  ** Generated **

### getColorAttributes_ForegroundColor

    public EAttribute getColorAttributes_ForegroundColor()

  Returns the meta object for the attribute '`Foreground Color`'.

  Returns:
    the meta object for the attribute 'Foreground Color'.
  See Also:
    `ColorAttributes.getForegroundColor()`, `GMFGenPackage.getColorAttributes()`
  ** Generated **

### getColorAttributes_BackgroundColor

    public EAttribute getColorAttributes_BackgroundColor()

  Returns the meta object for the attribute '`Background Color`'.

  Returns:
    the meta object for the attribute 'Background Color'.
  See Also:
    `ColorAttributes.getBackgroundColor()`, `GMFGenPackage.getColorAttributes()`
  ** Generated **

### getStyleAttributes

    public EClass getStyleAttributes()

  Returns the meta object for class '`Style Attributes`'.

  Returns:
    the meta object for class 'Style Attributes'.
  See Also:
    `StyleAttributes`
  ** Generated **

### getStyleAttributes_FixedFont

    public EAttribute getStyleAttributes_FixedFont()

  Returns the meta object for the attribute '`Fixed Font`'.

  Returns:
    the meta object for the attribute 'Fixed Font'.
  See Also:
    `StyleAttributes.isFixedFont()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getStyleAttributes_FixedForeground

    public EAttribute getStyleAttributes_FixedForeground()

  Returns the meta object for the attribute '`Fixed Foreground`'.

  Returns:
    the meta object for the attribute 'Fixed Foreground'.
  See Also:
    `StyleAttributes.isFixedForeground()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getStyleAttributes_FixedBackground

    public EAttribute getStyleAttributes_FixedBackground()

  Returns the meta object for the attribute '`Fixed Background`'.

  Returns:
    the meta object for the attribute 'Fixed Background'.
  See Also:
    `StyleAttributes.isFixedBackground()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getResizeConstraints

    public EClass getResizeConstraints()

  Returns the meta object for class '`Resize Constraints`'.

  Returns:
    the meta object for class 'Resize Constraints'.
  See Also:
    `ResizeConstraints`
  ** Generated **

### getResizeConstraints_ResizeHandles

    public EAttribute getResizeConstraints_ResizeHandles()

  Returns the meta object for the attribute '`Resize Handles`'.

  Returns:
    the meta object for the attribute 'Resize Handles'.
  See Also:
    `ResizeConstraints.getResizeHandles()`, `GMFGenPackage.getResizeConstraints()`
  ** Generated **

### getResizeConstraints_NonResizeHandles

    public EAttribute getResizeConstraints_NonResizeHandles()

  Returns the meta object for the attribute '`Non Resize Handles`'.

  Returns:
    the meta object for the attribute 'Non Resize Handles'.
  See Also:
    `ResizeConstraints.getNonResizeHandles()`, `GMFGenPackage.getResizeConstraints()`
  ** Generated **

### getDefaultSizeAttributes

    public EClass getDefaultSizeAttributes()

  Returns the meta object for class '`Default Size Attributes`'.

  Returns:
    the meta object for class 'Default Size Attributes'.
  See Also:
    `DefaultSizeAttributes`
  ** Generated **

### getDefaultSizeAttributes_Width

    public EAttribute getDefaultSizeAttributes_Width()

  Returns the meta object for the attribute '`Width`'.

  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `DefaultSizeAttributes.getWidth()`, `GMFGenPackage.getDefaultSizeAttributes()`
  ** Generated **

### getDefaultSizeAttributes_Height

    public EAttribute getDefaultSizeAttributes_Height()

  Returns the meta object for the attribute '`Height`'.

  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `DefaultSizeAttributes.getHeight()`, `GMFGenPackage.getDefaultSizeAttributes()`
  ** Generated **

### getLabelOffsetAttributes

    public EClass getLabelOffsetAttributes()

  Returns the meta object for class '`Label Offset Attributes`'.

  Returns:
    the meta object for class 'Label Offset Attributes'.
  See Also:
    `LabelOffsetAttributes`
  ** Generated **

### getLabelOffsetAttributes_X

    public EAttribute getLabelOffsetAttributes_X()

  Returns the meta object for the attribute '`X`'.

  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `LabelOffsetAttributes.getX()`, `GMFGenPackage.getLabelOffsetAttributes()`
  ** Generated **

### getLabelOffsetAttributes_Y

    public EAttribute getLabelOffsetAttributes_Y()

  Returns the meta object for the attribute '`Y`'.

  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `LabelOffsetAttributes.getY()`, `GMFGenPackage.getLabelOffsetAttributes()`
  ** Generated **

### getFigureViewmap

    public EClass getFigureViewmap()

  Returns the meta object for class '`Figure Viewmap`'.

  Returns:
    the meta object for class 'Figure Viewmap'.
  See Also:
    `FigureViewmap`
  ** Generated **

### getFigureViewmap_FigureQualifiedClassName

    public EAttribute getFigureViewmap_FigureQualifiedClassName()

  Returns the meta object for the attribute '`Figure Qualified Class Name`'.

  Returns:
    the meta object for the attribute 'Figure Qualified Class Name'.
  See Also:
    `FigureViewmap.getFigureQualifiedClassName()`, `GMFGenPackage.getFigureViewmap()`
  ** Generated **

### getSnippetViewmap

    public EClass getSnippetViewmap()

  Returns the meta object for class '`Snippet Viewmap`'.

  Returns:
    the meta object for class 'Snippet Viewmap'.
  See Also:
    `SnippetViewmap`
  ** Generated **

### getSnippetViewmap_Body

    public EAttribute getSnippetViewmap_Body()

  Returns the meta object for the attribute '`Body`'.

  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `SnippetViewmap.getBody()`, `GMFGenPackage.getSnippetViewmap()`
  ** Generated **

### getInnerClassViewmap

    public EClass getInnerClassViewmap()

  Returns the meta object for class '`Inner Class Viewmap`'.

  Returns:
    the meta object for class 'Inner Class Viewmap'.
  See Also:
    `InnerClassViewmap`
  ** Generated **

### getInnerClassViewmap_ClassName

    public EAttribute getInnerClassViewmap_ClassName()

  Returns the meta object for the attribute '`Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `InnerClassViewmap.getClassName()`, `GMFGenPackage.getInnerClassViewmap()`
  ** Generated **

### getInnerClassViewmap_ClassBody

    public EAttribute getInnerClassViewmap_ClassBody()

  Returns the meta object for the attribute '`Class Body`'.

  Returns:
    the meta object for the attribute 'Class Body'.
  See Also:
    `InnerClassViewmap.getClassBody()`, `GMFGenPackage.getInnerClassViewmap()`
  ** Generated **

### getParentAssignedViewmap

    public EClass getParentAssignedViewmap()

  Returns the meta object for class '`Parent Assigned Viewmap`'.

  Returns:
    the meta object for class 'Parent Assigned Viewmap'.
  See Also:
    `ParentAssignedViewmap`
  ** Generated **

### getParentAssignedViewmap_GetterName

    public EAttribute getParentAssignedViewmap_GetterName()

  Returns the meta object for the attribute '`Getter Name`'.

  Returns:
    the meta object for the attribute 'Getter Name'.
  See Also:
    `ParentAssignedViewmap.getGetterName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getParentAssignedViewmap_SetterName

    public EAttribute getParentAssignedViewmap_SetterName()

  Returns the meta object for the attribute '`Setter Name`'.

  Returns:
    the meta object for the attribute 'Setter Name'.
  See Also:
    `ParentAssignedViewmap.getSetterName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getParentAssignedViewmap_FigureQualifiedClassName

    public EAttribute getParentAssignedViewmap_FigureQualifiedClassName()

  Returns the meta object for the attribute '`Figure Qualified Class Name`'.

  Returns:
    the meta object for the attribute 'Figure Qualified Class Name'.
  See Also:
    `ParentAssignedViewmap.getFigureQualifiedClassName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getValueExpression

    public EClass getValueExpression()

  Returns the meta object for class '`Value Expression`'.

  Returns:
    the meta object for class 'Value Expression'.
  See Also:
    `ValueExpression`
  ** Generated **

### getValueExpression_Body

    public EAttribute getValueExpression_Body()

  Returns the meta object for the attribute '`Body`'.

  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `ValueExpression.getBody()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getValueExpression_Language

    public EAttribute getValueExpression_Language()

  Returns the meta object for the attribute '`Language`'.

  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `ValueExpression.getLanguage()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getValueExpression_LangName

    public EAttribute getValueExpression_LangName()

  Returns the meta object for the attribute '`Lang Name`'.

  Returns:
    the meta object for the attribute 'Lang Name'.
  See Also:
    `ValueExpression.getLangName()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getGenConstraint

    public EClass getGenConstraint()

  Returns the meta object for class '`Gen Constraint`'.

  Returns:
    the meta object for class 'Gen Constraint'.
  See Also:
    `GenConstraint`
  ** Generated **

### getPalette

    public EClass getPalette()

  Returns the meta object for class '`Palette`'.

  Returns:
    the meta object for class 'Palette'.
  See Also:
    `Palette`
  ** Generated **

### getPalette_Diagram

    public EReference getPalette_Diagram()

  Returns the meta object for the container reference '`Diagram`'.

  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `Palette.getDiagram()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_Flyout

    public EAttribute getPalette_Flyout()

  Returns the meta object for the attribute '`Flyout`'.

  Returns:
    the meta object for the attribute 'Flyout'.
  See Also:
    `Palette.isFlyout()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_Groups

    public EReference getPalette_Groups()

  Returns the meta object for the containment reference list '`Groups`'.

  Returns:
    the meta object for the containment reference list 'Groups'.
  See Also:
    `Palette.getGroups()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_PackageName

    public EAttribute getPalette_PackageName()

  Returns the meta object for the attribute '`Package Name`'.

  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `Palette.getPackageName()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_FactoryClassName

    public EAttribute getPalette_FactoryClassName()

  Returns the meta object for the attribute '`Factory Class Name`'.

  Returns:
    the meta object for the attribute 'Factory Class Name'.
  See Also:
    `Palette.getFactoryClassName()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getEntryBase

    public EClass getEntryBase()

  Returns the meta object for class '`Entry Base`'.

  Returns:
    the meta object for class 'Entry Base'.
  See Also:
    `EntryBase`
  ** Generated **

### getEntryBase_Title

    public EAttribute getEntryBase_Title()

  Returns the meta object for the attribute '`Title`'.

  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `EntryBase.getTitle()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_Description

    public EAttribute getEntryBase_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `EntryBase.getDescription()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_LargeIconPath

    public EAttribute getEntryBase_LargeIconPath()

  Returns the meta object for the attribute '`Large Icon Path`'.

  Returns:
    the meta object for the attribute 'Large Icon Path'.
  See Also:
    `EntryBase.getLargeIconPath()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_SmallIconPath

    public EAttribute getEntryBase_SmallIconPath()

  Returns the meta object for the attribute '`Small Icon Path`'.

  Returns:
    the meta object for the attribute 'Small Icon Path'.
  See Also:
    `EntryBase.getSmallIconPath()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_CreateMethodName

    public EAttribute getEntryBase_CreateMethodName()

  Returns the meta object for the attribute '`Create Method Name`'.

  Returns:
    the meta object for the attribute 'Create Method Name'.
  See Also:
    `EntryBase.getCreateMethodName()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getToolEntry

    public EClass getToolEntry()

  Returns the meta object for class '`Tool Entry`'.

  Returns:
    the meta object for class 'Tool Entry'.
  See Also:
    `ToolEntry`
  ** Generated **

### getToolEntry_Default

    public EAttribute getToolEntry_Default()

  Returns the meta object for the attribute '`Default`'.

  Returns:
    the meta object for the attribute 'Default'.
  See Also:
    `ToolEntry.isDefault()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_GenNodes

    public EReference getToolEntry_GenNodes()

  Returns the meta object for the reference list '`Gen Nodes`'.

  Returns:
    the meta object for the reference list 'Gen Nodes'.
  See Also:
    `ToolEntry.getGenNodes()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_GenLinks

    public EReference getToolEntry_GenLinks()

  Returns the meta object for the reference list '`Gen Links`'.

  Returns:
    the meta object for the reference list 'Gen Links'.
  See Also:
    `ToolEntry.getGenLinks()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_Elements

    public EReference getToolEntry_Elements()

  Returns the meta object for the reference list '`Elements`'.

  Returns:
    the meta object for the reference list 'Elements'.
  See Also:
    `ToolEntry.getElements()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_QualifiedToolName

    public EAttribute getToolEntry_QualifiedToolName()

  Returns the meta object for the attribute '`Qualified Tool Name`'.

  Returns:
    the meta object for the attribute 'Qualified Tool Name'.
  See Also:
    `ToolEntry.getQualifiedToolName()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_Properties

    public EReference getToolEntry_Properties()

  Returns the meta object for the map '`Properties`'.

  Returns:
    the meta object for the map 'Properties'.
  See Also:
    `ToolEntry.getProperties()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolGroupItem

    public EClass getToolGroupItem()

  Returns the meta object for class '`Tool Group Item`'.

  Returns:
    the meta object for class 'Tool Group Item'.
  See Also:
    `ToolGroupItem`
  ** Generated **

### getSeparator

    public EClass getSeparator()

  Returns the meta object for class '`Separator`'.

  Returns:
    the meta object for class 'Separator'.
  See Also:
    `Separator`
  ** Generated **

### getToolGroup

    public EClass getToolGroup()

  Returns the meta object for class '`Tool Group`'.

  Returns:
    the meta object for class 'Tool Group'.
  See Also:
    `ToolGroup`
  ** Generated **

### getToolGroup_Stack

    public EAttribute getToolGroup_Stack()

  Returns the meta object for the attribute '`Stack`'.

  Returns:
    the meta object for the attribute 'Stack'.
  See Also:
    `ToolGroup.isStack()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Collapse

    public EAttribute getToolGroup_Collapse()

  Returns the meta object for the attribute '`Collapse`'.

  Returns:
    the meta object for the attribute 'Collapse'.
  See Also:
    `ToolGroup.isCollapse()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Entries

    public EReference getToolGroup_Entries()

  Returns the meta object for the containment reference list '`Entries`'.

  Returns:
    the meta object for the containment reference list 'Entries'.
  See Also:
    `ToolGroup.getEntries()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_ToolsOnly

    public EAttribute getToolGroup_ToolsOnly()

  Returns the meta object for the attribute '`Tools Only`'.

  Returns:
    the meta object for the attribute 'Tools Only'.
  See Also:
    `ToolGroup.isToolsOnly()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getGenElementInitializer

    public EClass getGenElementInitializer()

  Returns the meta object for class '`Gen Element Initializer`'.

  Returns:
    the meta object for class 'Gen Element Initializer'.
  See Also:
    `GenElementInitializer`
  ** Generated **

### getGenElementInitializer_TypeModelFacet

    public EReference getGenElementInitializer_TypeModelFacet()

  Returns the meta object for the container reference '`Type Model Facet`'.

  Returns:
    the meta object for the container reference 'Type Model Facet'.
  See Also:
    `GenElementInitializer.getTypeModelFacet()`, `GMFGenPackage.getGenElementInitializer()`
  ** Generated **

### getGenFeatureSeqInitializer

    public EClass getGenFeatureSeqInitializer()

  Returns the meta object for class '`Gen Feature Seq Initializer`'.

  Returns:
    the meta object for class 'Gen Feature Seq Initializer'.
  See Also:
    `GenFeatureSeqInitializer`
  ** Generated **

### getGenFeatureSeqInitializer_Initializers

    public EReference getGenFeatureSeqInitializer_Initializers()

  Returns the meta object for the containment reference list '`Initializers`'.

  Returns:
    the meta object for the containment reference list 'Initializers'.
  See Also:
    `GenFeatureSeqInitializer.getInitializers()`, `GMFGenPackage.getGenFeatureSeqInitializer()`
  ** Generated **

### getGenFeatureValueSpec

    public EClass getGenFeatureValueSpec()

  Returns the meta object for class '`Gen Feature Value Spec`'.

  Returns:
    the meta object for class 'Gen Feature Value Spec'.
  See Also:
    `GenFeatureValueSpec`
  ** Generated **

### getGenFeatureValueSpec_Feature

    public EReference getGenFeatureValueSpec_Feature()

  Returns the meta object for the reference '`Feature`'.

  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `GenFeatureValueSpec.getFeature()`, `GMFGenPackage.getGenFeatureValueSpec()`
  ** Generated **

### getGenFeatureValueSpec_FeatureSeqInitializer

    public EReference getGenFeatureValueSpec_FeatureSeqInitializer()

  Returns the meta object for the container reference '`Feature Seq Initializer`'.

  Returns:
    the meta object for the container reference 'Feature Seq Initializer'.
  See Also:
    `GenFeatureValueSpec.getFeatureSeqInitializer()`, `GMFGenPackage.getGenFeatureValueSpec()`
  ** Generated **

### getGenLinkConstraints

    public EClass getGenLinkConstraints()

  Returns the meta object for class '`Gen Link Constraints`'.

  Returns:
    the meta object for class 'Gen Link Constraints'.
  See Also:
    `GenLinkConstraints`
  ** Generated **

### getGenLinkConstraints_Link

    public EReference getGenLinkConstraints_Link()

  Returns the meta object for the container reference '`Link`'.

  Returns:
    the meta object for the container reference 'Link'.
  See Also:
    `GenLinkConstraints.getLink()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenLinkConstraints_SourceEnd

    public EReference getGenLinkConstraints_SourceEnd()

  Returns the meta object for the containment reference '`Source End`'.

  Returns:
    the meta object for the containment reference 'Source End'.
  See Also:
    `GenLinkConstraints.getSourceEnd()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenLinkConstraints_TargetEnd

    public EReference getGenLinkConstraints_TargetEnd()

  Returns the meta object for the containment reference '`Target End`'.

  Returns:
    the meta object for the containment reference 'Target End'.
  See Also:
    `GenLinkConstraints.getTargetEnd()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenRuleContainerBase

    public EClass getGenRuleContainerBase()

  Returns the meta object for class '`Gen Rule Container Base`'.

  Returns:
    the meta object for class 'Gen Rule Container Base'.
  See Also:
    `GenRuleContainerBase`
  ** Generated **

### getGenRuleContainerBase_Editor

    public EReference getGenRuleContainerBase_Editor()

  Returns the meta object for the reference '`Editor`'.

  Returns:
    the meta object for the reference 'Editor'.
  See Also:
    `GenRuleContainerBase.getEditor()`, `GMFGenPackage.getGenRuleContainerBase()`
  ** Generated **

### getGenAuditContainer

    public EClass getGenAuditContainer()

  Returns the meta object for class '`Gen Audit Container`'.

  Returns:
    the meta object for class 'Gen Audit Container'.
  See Also:
    `GenAuditContainer`
  ** Generated **

### getGenAuditContainer_Audits

    public EReference getGenAuditContainer_Audits()

  Returns the meta object for the containment reference list '`Audits`'.

  Returns:
    the meta object for the containment reference list 'Audits'.
  See Also:
    `GenAuditContainer.getAudits()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_ChildContainers

    public EReference getGenAuditContainer_ChildContainers()

  Returns the meta object for the containment reference list '`Child Containers`'.

  Returns:
    the meta object for the containment reference list 'Child Containers'.
  See Also:
    `GenAuditContainer.getChildContainers()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenRuleBase

    public EClass getGenRuleBase()

  Returns the meta object for class '`Gen Rule Base`'.

  Returns:
    the meta object for class 'Gen Rule Base'.
  See Also:
    `GenRuleBase`
  ** Generated **

### getGenRuleBase_Name

    public EAttribute getGenRuleBase_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenRuleBase.getName()`, `GMFGenPackage.getGenRuleBase()`
  ** Generated **

### getGenRuleBase_Description

    public EAttribute getGenRuleBase_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `GenRuleBase.getDescription()`, `GMFGenPackage.getGenRuleBase()`
  ** Generated **

### getGenAuditContainer_Id

    public EAttribute getGenAuditContainer_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `GenAuditContainer.getId()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_Name

    public EAttribute getGenAuditContainer_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenAuditContainer.getName()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_Description

    public EAttribute getGenAuditContainer_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `GenAuditContainer.getDescription()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_ParentContainer

    public EReference getGenAuditContainer_ParentContainer()

  Returns the meta object for the container reference '`Parent Container`'.

  Returns:
    the meta object for the container reference 'Parent Container'.
  See Also:
    `GenAuditContainer.getParentContainer()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditRule

    public EClass getGenAuditRule()

  Returns the meta object for class '`Gen Audit Rule`'.

  Returns:
    the meta object for class 'Gen Audit Rule'.
  See Also:
    `GenAuditRule`
  ** Generated **

### getGenAuditRule_Id

    public EAttribute getGenAuditRule_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `GenAuditRule.getId()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Rule

    public EReference getGenAuditRule_Rule()

  Returns the meta object for the containment reference '`Rule`'.

  Returns:
    the meta object for the containment reference 'Rule'.
  See Also:
    `GenAuditRule.getRule()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Target

    public EReference getGenAuditRule_Target()

  Returns the meta object for the containment reference '`Target`'.

  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `GenAuditRule.getTarget()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Message

    public EAttribute getGenAuditRule_Message()

  Returns the meta object for the attribute '`Message`'.

  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `GenAuditRule.getMessage()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Severity

    public EAttribute getGenAuditRule_Severity()

  Returns the meta object for the attribute '`Severity`'.

  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `GenAuditRule.getSeverity()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_UseInLiveMode

    public EAttribute getGenAuditRule_UseInLiveMode()

  Returns the meta object for the attribute '`Use In Live Mode`'.

  Returns:
    the meta object for the attribute 'Use In Live Mode'.
  See Also:
    `GenAuditRule.isUseInLiveMode()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Container

    public EReference getGenAuditRule_Container()

  Returns the meta object for the container reference '`Container`'.

  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `GenAuditRule.getContainer()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenRuleTarget

    public EClass getGenRuleTarget()

  Returns the meta object for class '`Gen Rule Target`'.

  Returns:
    the meta object for class 'Gen Rule Target'.
  See Also:
    `GenRuleTarget`
  ** Generated **

### getGenDomainElementTarget

    public EClass getGenDomainElementTarget()

  Returns the meta object for class '`Gen Domain Element Target`'.

  Returns:
    the meta object for class 'Gen Domain Element Target'.
  See Also:
    `GenDomainElementTarget`
  ** Generated **

### getGenDomainElementTarget_Element

    public EReference getGenDomainElementTarget_Element()

  Returns the meta object for the reference '`Element`'.

  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `GenDomainElementTarget.getElement()`, `GMFGenPackage.getGenDomainElementTarget()`
  ** Generated **

### getGenDiagramElementTarget

    public EClass getGenDiagramElementTarget()

  Returns the meta object for class '`Gen Diagram Element Target`'.

  Returns:
    the meta object for class 'Gen Diagram Element Target'.
  See Also:
    `GenDiagramElementTarget`
  ** Generated **

### getGenDiagramElementTarget_Element

    public EReference getGenDiagramElementTarget_Element()

  Returns the meta object for the reference list '`Element`'.

  Returns:
    the meta object for the reference list 'Element'.
  See Also:
    `GenDiagramElementTarget.getElement()`, `GMFGenPackage.getGenDiagramElementTarget()`
  ** Generated **

### getGenDomainAttributeTarget

    public EClass getGenDomainAttributeTarget()

  Returns the meta object for class '`Gen Domain Attribute Target`'.

  Returns:
    the meta object for class 'Gen Domain Attribute Target'.
  See Also:
    `GenDomainAttributeTarget`
  ** Generated **

### getGenDomainAttributeTarget_Attribute

    public EReference getGenDomainAttributeTarget_Attribute()

  Returns the meta object for the reference '`Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `GenDomainAttributeTarget.getAttribute()`, `GMFGenPackage.getGenDomainAttributeTarget()`
  ** Generated **

### getGenDomainAttributeTarget_NullAsError

    public EAttribute getGenDomainAttributeTarget_NullAsError()

  Returns the meta object for the attribute '`Null As Error`'.

  Returns:
    the meta object for the attribute 'Null As Error'.
  See Also:
    `GenDomainAttributeTarget.isNullAsError()`, `GMFGenPackage.getGenDomainAttributeTarget()`
  ** Generated **

### getGenNotationElementTarget

    public EClass getGenNotationElementTarget()

  Returns the meta object for class '`Gen Notation Element Target`'.

  Returns:
    the meta object for class 'Gen Notation Element Target'.
  See Also:
    `GenNotationElementTarget`
  ** Generated **

### getGenNotationElementTarget_Element

    public EReference getGenNotationElementTarget_Element()

  Returns the meta object for the reference '`Element`'.

  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `GenNotationElementTarget.getElement()`, `GMFGenPackage.getGenNotationElementTarget()`
  ** Generated **

### getGenMetricContainer

    public EClass getGenMetricContainer()

  Returns the meta object for class '`Gen Metric Container`'.

  Returns:
    the meta object for class 'Gen Metric Container'.
  See Also:
    `GenMetricContainer`
  ** Generated **

### getGenMetricContainer_Metrics

    public EReference getGenMetricContainer_Metrics()

  Returns the meta object for the containment reference list '`Metrics`'.

  Returns:
    the meta object for the containment reference list 'Metrics'.
  See Also:
    `GenMetricContainer.getMetrics()`, `GMFGenPackage.getGenMetricContainer()`
  ** Generated **

### getGenMetricRule

    public EClass getGenMetricRule()

  Returns the meta object for class '`Gen Metric Rule`'.

  Returns:
    the meta object for class 'Gen Metric Rule'.
  See Also:
    `GenMetricRule`
  ** Generated **

### getGenMetricRule_Key

    public EAttribute getGenMetricRule_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `GenMetricRule.getKey()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Rule

    public EReference getGenMetricRule_Rule()

  Returns the meta object for the containment reference '`Rule`'.

  Returns:
    the meta object for the containment reference 'Rule'.
  See Also:
    `GenMetricRule.getRule()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Target

    public EReference getGenMetricRule_Target()

  Returns the meta object for the containment reference '`Target`'.

  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `GenMetricRule.getTarget()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Container

    public EReference getGenMetricRule_Container()

  Returns the meta object for the container reference '`Container`'.

  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `GenMetricRule.getContainer()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_LowLimit

    public EAttribute getGenMetricRule_LowLimit()

  Returns the meta object for the attribute '`Low Limit`'.

  Returns:
    the meta object for the attribute 'Low Limit'.
  See Also:
    `GenMetricRule.getLowLimit()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_HighLimit

    public EAttribute getGenMetricRule_HighLimit()

  Returns the meta object for the attribute '`High Limit`'.

  Returns:
    the meta object for the attribute 'High Limit'.
  See Also:
    `GenMetricRule.getHighLimit()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenAuditedMetricTarget

    public EClass getGenAuditedMetricTarget()

  Returns the meta object for class '`Gen Audited Metric Target`'.

  Returns:
    the meta object for class 'Gen Audited Metric Target'.
  See Also:
    `GenAuditedMetricTarget`
  ** Generated **

### getGenAuditedMetricTarget_Metric

    public EReference getGenAuditedMetricTarget_Metric()

  Returns the meta object for the reference '`Metric`'.

  Returns:
    the meta object for the reference 'Metric'.
  See Also:
    `GenAuditedMetricTarget.getMetric()`, `GMFGenPackage.getGenAuditedMetricTarget()`
  ** Generated **

### getGenAuditedMetricTarget_MetricValueContext

    public EReference getGenAuditedMetricTarget_MetricValueContext()

  Returns the meta object for the reference '`Metric Value Context`'.

  Returns:
    the meta object for the reference 'Metric Value Context'.
  See Also:
    `GenAuditedMetricTarget.getMetricValueContext()`, `GMFGenPackage.getGenAuditedMetricTarget()`
  ** Generated **

### getGenAuditable

    public EClass getGenAuditable()

  Returns the meta object for class '`Gen Auditable`'.

  Returns:
    the meta object for class 'Gen Auditable'.
  See Also:
    `GenAuditable`
  ** Generated **

### getGenMeasurable

    public EClass getGenMeasurable()

  Returns the meta object for class '`Gen Measurable`'.

  Returns:
    the meta object for class 'Gen Measurable'.
  See Also:
    `GenMeasurable`
  ** Generated **

### getGenExpressionProviderContainer

    public EClass getGenExpressionProviderContainer()

  Returns the meta object for class '`Gen Expression Provider Container`'.

  Returns:
    the meta object for class 'Gen Expression Provider Container'.
  See Also:
    `GenExpressionProviderContainer`
  ** Generated **

### getGenExpressionProviderContainer_ExpressionsPackageName

    public EAttribute getGenExpressionProviderContainer_ExpressionsPackageName()

  Returns the meta object for the attribute '`Expressions Package Name`'.

  Returns:
    the meta object for the attribute 'Expressions Package Name'.
  See Also:
    `GenExpressionProviderContainer.getExpressionsPackageName()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_AbstractExpressionClassName

    public EAttribute getGenExpressionProviderContainer_AbstractExpressionClassName()

  Returns the meta object for the attribute '`Abstract Expression Class Name`'.

  Returns:
    the meta object for the attribute 'Abstract Expression Class Name'.
  See Also:
    `GenExpressionProviderContainer.getAbstractExpressionClassName()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_Providers

    public EReference getGenExpressionProviderContainer_Providers()

  Returns the meta object for the containment reference list '`Providers`'.

  Returns:
    the meta object for the containment reference list 'Providers'.
  See Also:
    `GenExpressionProviderContainer.getProviders()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_EditorGen

    public EReference getGenExpressionProviderContainer_EditorGen()

  Returns the meta object for the container reference '`Editor Gen`'.

  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenExpressionProviderContainer.getEditorGen()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderBase

    public EClass getGenExpressionProviderBase()

  Returns the meta object for class '`Gen Expression Provider Base`'.

  Returns:
    the meta object for class 'Gen Expression Provider Base'.
  See Also:
    `GenExpressionProviderBase`
  ** Generated **

### getGenExpressionProviderBase_Expressions

    public EReference getGenExpressionProviderBase_Expressions()

  Returns the meta object for the reference list '`Expressions`'.

  Returns:
    the meta object for the reference list 'Expressions'.
  See Also:
    `GenExpressionProviderBase.getExpressions()`, `GMFGenPackage.getGenExpressionProviderBase()`
  ** Generated **

### getGenExpressionProviderBase_Container

    public EReference getGenExpressionProviderBase_Container()

  Returns the meta object for the container reference '`Container`'.

  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `GenExpressionProviderBase.getContainer()`, `GMFGenPackage.getGenExpressionProviderBase()`
  ** Generated **

### getGenJavaExpressionProvider

    public EClass getGenJavaExpressionProvider()

  Returns the meta object for class '`Gen Java Expression Provider`'.

  Returns:
    the meta object for class 'Gen Java Expression Provider'.
  See Also:
    `GenJavaExpressionProvider`
  ** Generated **

### getGenExpressionInterpreter

    public EClass getGenExpressionInterpreter()

  Returns the meta object for class '`Gen Expression Interpreter`'.

  Returns:
    the meta object for class 'Gen Expression Interpreter'.
  See Also:
    `GenExpressionInterpreter`
  ** Generated **

### getGenExpressionInterpreter_Language

    public EAttribute getGenExpressionInterpreter_Language()

  Returns the meta object for the attribute '`Language`'.

  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `GenExpressionInterpreter.getLanguage()`, `GMFGenPackage.getGenExpressionInterpreter()`
  ** Generated **

### getGenExpressionInterpreter_ClassName

    public EAttribute getGenExpressionInterpreter_ClassName()

  Returns the meta object for the attribute '`Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenExpressionInterpreter.getClassName()`, `GMFGenPackage.getGenExpressionInterpreter()`
  ** Generated **

### getGenExpressionInterpreter_RequiredPluginIDs

    public EAttribute getGenExpressionInterpreter_RequiredPluginIDs()

  Returns the meta object for the attribute list '`Required Plugin IDs`'.

  Returns:
    the meta object for the attribute list 'Required Plugin IDs'.
  See Also:
    `GenExpressionInterpreter.getRequiredPluginIDs()`, `GMFGenPackage.getGenExpressionInterpreter()`
  ** Generated **

### getProviderPriority

    public EEnum getProviderPriority()

  Returns the meta object for enum '`Provider Priority`'.

  Returns:
    the meta object for enum 'Provider Priority'.
  See Also:
    `ProviderPriority`
  ** Generated **

### getLinkLabelAlignment

    public EEnum getLinkLabelAlignment()

  Returns the meta object for enum '`Link Label Alignment`'.

  Returns:
    the meta object for enum 'Link Label Alignment'.
  See Also:
    `LinkLabelAlignment`
  ** Generated **

### getViewmapLayoutType

    public EEnum getViewmapLayoutType()

  Returns the meta object for enum '`Viewmap Layout Type`'.

  Returns:
    the meta object for enum 'Viewmap Layout Type'.
  See Also:
    `ViewmapLayoutType`
  ** Generated **

### getGenSeverity

    public EEnum getGenSeverity()

  Returns the meta object for enum '`Gen Severity`'.

  Returns:
    the meta object for enum 'Gen Severity'.
  See Also:
    `GenSeverity`
  ** Generated **

### getGenLanguage

    public EEnum getGenLanguage()

  Returns the meta object for enum '`Gen Language`'.

  Returns:
    the meta object for enum 'Gen Language'.
  See Also:
    `GenLanguage`
  ** Generated **

### getGMFGenFactory

    public GMFGenFactory getGMFGenFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.